commit 685efd81061ff2428a0984e3fc0d80960ddc864f
Author: Jens Georg <mail@jensge.org>
Date:   Mon Jun 19 18:42:33 2017 +0200

    Prepare 0.27.0

M	NEWS
M	meson.build

commit 85a0872e4a2def44dd3cc5ee046680d688899369
Author: Jens Georg <mail@jensge.org>
Date:	Mon Jun 19 21:09:22 2017 +0200

    build: Dist new ui files

M	shotwell.am
M	ui/Makefile.am

commit 1f6956a247423442740e6fac1011b0512304fdaf
Author: Jens Georg <mail@jensge.org>
Date:	Mon Jun 19 21:09:08 2017 +0200

    build: Dist graphics processor helper files

M	pipeline.am

commit dddab55309c29604d77fa944c1188d91c74d6881
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 18 21:57:07 2017 +0200

    Remove "sidebar" style class from treeview

    Fixes missing drop prelight

    https://bugzilla.gnome.org/show_bug.cgi?id=768938

M	src/sidebar/Tree.vala

commit d247268ad42de0f0e6d873f5476488a02ca6d456
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Jun 18 21:18:09 2017 +0200

    Update Polish translation

M	po/pl.po

commit 43c17c9eece5387d3cc5a332b2c7acdf9cc871e6
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 18 13:40:46 2017 +0200

    import: When receiving IO_USB_CLAIM error, retry

    It seems that this at least in GNOME will allow Shotwell to continue
    to talk
    to the camera without any scary dialog or user interaction.

    https://bugzilla.gnome.org/show_bug.cgi?id=716499

M	src/camera/ImportPage.vala

commit 7e03c54c67f4d791d2d94ec870adc436b62a6c41
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 18 08:36:30 2017 +0200

    Remove explicit memcopy in import

M	src/camera/GPhoto.vala
M	src/camera/ImportPage.vala
M	src/data_imports/DataImportSource.vala
M	src/photos/PhotoMetadata.vala
M	src/util/misc.vala

commit f87e80255d0ff273536f5f78afcd34b4665ec7c9
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:	Wed Jun 7 12:18:28 2017 +0000

    Update Turkish translation

M	po/tr.po

commit 0b1ae0ea6a5552ef346878816926226458b065bf
Author: Jordi Mas <jmas@softcatala.org>
Date:	Mon Jun 5 21:28:54 2017 +0200

    Update Catalan translation

M	po/ca.po

commit 59ef23afa1168593c01c30895b83ab782975f2c5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Jun 4 10:25:56 2017 +0200

    Update Polish translation

M	po/pl.po

commit d3f4bd0ab9dcf3bb8c7f4d2aeac1bfba2825db98
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jun 3 10:18:01 2017 +0200

    Fix search path for local gsettings schema

M	misc/meson.build
M	src/main.vala

commit 3b010ca59f8930e5daec68858a521a3518028702
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jun 3 13:27:17 2017 +0200

    Use old-style file copy if library is on remote fs

    Especially on vboxfs backed bz NTFS we have an issue that the
    hiddenfile/rename mechanism of GIO breaks

    https://bugzilla.gnome.org/show_bug.cgi?id=760868

M	src/LibraryFiles.vala
M	src/MediaDataRepresentation.vala
M	src/main.vala

commit d05ace2653227c7ba5b8b0804045ac5df2cfe678
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jun 3 09:20:05 2017 +0200

    debian: Depend on libexiv2 explicitly

M	debian/control

commit 153f78055026d4435861691d24760eb89f7051fd
Author: Jens Georg <mail@jensge.org>
Date:	Thu Jun 1 18:42:47 2017 +0200

    Fix crash when no import plugin is enabled

    https://bugzilla.gnome.org/show_bug.cgi?id=783250

M	src/data_imports/DataImportsUI.vala

commit 101c88652c7a4e4d85daa65eff54c399f6048b8c
Author: Jens Georg <mail@jensge.org>
Date:	Wed May 31 19:35:35 2017 +0200

    build: Dist meson files in automake tarball

M	Makefile.am

commit d44130a4cf9de5a24719c404588829bd60ba5f57
Author: Jens Georg <mail@jensge.org>
Date:	Wed May 31 19:09:12 2017 +0200

    Add missing build files

M	Makefile.am
A	apport/Makefile.am
A	apport/meson.build

commit c9f414307468dd3f9706b4702646cb7ed162b06f
Author: Jens Georg <mail@jensge.org>
Date:	Tue May 30 22:15:13 2017 +0200

    Add option to install apport hook

    https://bugzilla.gnome.org/show_bug.cgi?id=716547

M	Makefile.am
M	configure.ac
M	meson.build
M	meson_options.txt

commit b7291a262ea5755676f8395c2e53b3bc9ca32332
Author: Jens Georg <mail@jensge.org>
Date:	Tue May 30 22:13:20 2017 +0200

    Remove f-spot help from meson build

M	help/meson.build

commit 036f831a14d74160741b7c6d8e404d0be63e8e1d
Author: Jens Georg <mail@jensge.org>
Date:	Tue May 30 18:28:48 2017 +0200

    Fix typo in fullscreen option

    https://bugzilla.gnome.org/show_bug.cgi?id=716830

M	src/main.vala

commit 802c4a92c83afc3380286731b1faf8e35aeae8f4
Author: Jens Georg <mail@jensge.org>
Date:	Tue May 30 18:27:22 2017 +0200

    Fix automake build

M	help/Makefile.am

commit 0f8afb46d62765181bb2a2c6ab16ec8a55761dce
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 29 22:55:13 2017 +0200

    doc: Add --fullscreen option to manpage

M	help/shotwell.1

commit b958b2ee0410987589392dc2ed9fa5c340ae9167
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 29 22:42:27 2017 +0200

    direct: Add option to start fullscreen

    https://bugzilla.gnome.org/show_bug.cgi?id=716830

M	src/main.vala

commit c6f5114554725e12e7c0e9c3384bdc8eb376b40d
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 29 22:19:45 2017 +0200

    Remove F-Sport related things from help

D	help/C/import-f-spot.page
M	help/C/import-file.page
M	help/C/view-sidebar.page

commit 82cd4ca2cb1cd6f5e382d9073a3015f4d2287f12
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 29 22:07:42 2017 +0200

    import: Add option to not recurse into subfolders

    https://bugzilla.gnome.org/show_bug.cgi?id=716448

M	help/C/import-file.page
M	src/BatchImport.vala
M	src/LibraryMonitor.vala
M	src/library/LibraryWindow.vala
M	src/main.vala

commit 877d86b16ddc35f26ddfcfecc50728c8a8e809f5
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 29 20:02:26 2017 +0200

    Fix build

M	Makefile.am
M	src/CollectionPage.vala

commit 6a6bc91e40b9bfee4d5e9cba1860944123e400b6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun May 28 17:18:54 2017 +0200

    Update Polish translation

M	po/pl.po

commit 62c96ed53845943e629905ecc1e91fc00705dd44
Author: Jens Georg <mail@jensge.org>
Date:	Sun May 28 00:29:24 2017 +0200

    Use ngettext for export dialog title

M	src/CollectionPage.vala

commit 65239afd1b8efecd6045e84f1c67ada0b2fb78c3
Author: Jens Georg <mail@jensge.org>
Date:	Sat May 27 23:50:38 2017 +0200

    build: Expose varios code options through meson config

M	meson.build
M	meson_options.txt

commit 5347425b43784ba85152a642cef3db50a788e689
Author: Jens Georg <mail@jensge.org>
Date:	Fri May 26 09:50:26 2017 +0200

    Fix running from meson build dir

M	src/AppDirs.vala
M	src/util/system.vala

commit fd478255fa3749d8e1dc236c33c4880ff19ce96b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu May 25 15:49:34 2017 +0200

    Update POTFILES.skip

M	po/POTFILES.skip

commit 97194a9c3dab535cd1a79f6a080fe0c7602e16ed
Author: Jens Georg <mail@jensge.org>
Date:	Thu May 25 10:07:02 2017 +0200

    build: meson: Add back build options

A	git-hash
M	meson.build
A	meson_options.txt
M	plugins/meson.build
M	src/meson.build
D	vapi/unity.deps
D	vapi/unity.vapi

commit e1420e580eff4f782115a48f71c474cd15e0f1ff
Author: Jens Georg <mail@jensge.org>
Date:	Thu May 25 09:35:37 2017 +0200

    build: Set meson buildtype to debugoptimized

    Otherwise the image manipulation algorithms get really slow

M	meson.build

commit b77a0711c8a7a590b697bfd1e8403a966e564da0
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 8 19:45:39 2017 +0200

    build: Add meson support

A	app-icons/meson.build
A	help/meson.build
A	meson.build
A	misc/meson.build
A	plugins/authenticator/meson.build
A	plugins/authenticator/shotwell/meson.build
A	plugins/common/meson.build
A	plugins/meson.build
A	plugins/shotwell-publishing-extras/meson.build
A	plugins/shotwell-publishing/meson.build
A	plugins/shotwell-transitions/meson.build
A	po/meson.build
A	settings-migrator/meson.build
A	src/meson.build
A	src/plugins/meson.build
A	thumbnailer/meson.build

commit 2b5a2e7c5e58baccce32a42a6ec881af1464ebe5
Author: Jens Georg <mail@jensge.org>
Date:	Thu May 25 08:34:07 2017 +0200

    build: Remove unnecessary desktop file processing

M	misc/Makefile.am
R100	misc/shotwell-viewer.desktop.in.in
misc/shotwell-viewer.desktop.in
R100	misc/shotwell.desktop.in.in	misc/shotwell.desktop.in
M	po/POTFILES.in

commit f2bf2893256cf88f0b8f44b917c59ed85038f4f3
Author: Jens Georg <mail@jensge.org>
Date:	Wed May 24 08:00:24 2017 +0200

    build: Prepare for meson

M	po/POTFILES.in
M	shotwell.am
R100	src/camera/Branch.vala	src/camera/CameraBranch.vala
R100	src/events/Branch.vala	src/events/EventsBranch.vala
R100	src/folders/Branch.vala src/folders/FoldersBranch.vala
R100	src/folders/Page.vala	src/folders/FoldersPage.vala
R100	src/library/Branch.vala src/library/LibraryBranch.vala
R100	src/searches/Branch.vala	src/searches/SearchesBranch.vala
R100	src/tags/Branch.vala	src/tags/TagsBranch.vala

commit e6ffdef23a0a93d2e658366b4902e0e864b60967
Author: Jens Georg <mail@jensge.org>
Date:	Thu May 18 22:25:15 2017 +0200

    gphoto: Don't copy buffer when creating input stream from CameraFile

M	src/camera/GPhoto.vala

commit 30bc836cdaf9416bde793643d3d5c549aa638a35
Author: Jens Georg <mail@jensge.org>
Date:	Thu May 18 19:48:20 2017 +0200

    metadata: Save one memcpy when generating the md5s

M	src/BatchImport.vala
M	src/camera/ImportPage.vala
M	src/photos/GdkSupport.vala
M	src/photos/PhotoMetadata.vala
M	src/photos/RawSupport.vala

commit 60331744c4c9a5afd7f71ac1f13a57c4d3f18e73
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sun May 14 19:23:32 2017 +0000

    Update German translation

M	po/de.po

commit 2916157ce111bc0b7485b83fdd3cf36b0fc748f3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun May 14 15:20:07 2017 +0200

    Update Polish translation

M	po/pl.po

commit 7e3a8ca1edc829b1247557964cb2f3b01eb4fea7
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	Thu Apr 20 21:35:08 2017 -0400

    Capitalize From and With consistently

    https://developer.gnome.org/hig/stable/writing-style.html#capitalization

    https://bugzilla.gnome.org/show_bug.cgi?id=781567

M	ui/collection.ui
M	ui/event.ui
M	ui/events_directory.ui
M	ui/import.ui
M	ui/import_queue.ui
M	ui/media.ui
M	ui/offline.ui
M	ui/photo.ui
M	ui/photo_context.ui
M	ui/tags.ui
M	ui/trash.ui

commit e00379b5545254bc197a9d42946d1dd9ddfc54f7
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 1 18:29:34 2017 +0200

    Do not strip newlines from comments on write-back

    Stripping newlines makes sense for titles etc, but it makes sense
    to keep them
    for comments.

    https://bugzilla.gnome.org/show_bug.cgi?id=781897

M	src/photos/PhotoMetadata.vala

commit bcb05381f57e3b452800aab18bc65ed49105750b
Author: Claude Paroz <claude@2xlibre.net>
Date:	Thu May 4 22:09:26 2017 +0200

    Updated French translation

    Kindly reviewed by Julien Hardelin.

M	po/fr.po

commit b8056c5d25b904ac6397580ff5a9bbc86b30a464
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon May 1 20:34:05 2017 +0200

    Update POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit 6c78096023dcf16771fcb2261fcdea60b357a1b6
Author: Jordi Mas <jmas@softcatala.org>
Date:	Mon May 1 19:40:02 2017 +0200

    Fixes to Catalan translation

M	po/ca.po

commit 5b7a8754849ca8cd366508ed724f9b8e407e2fe7
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 1 16:51:16 2017 +0200

    Revert accidental dependency change

M	configure.ac

commit 830f041bbec1d45844917bba65243826f33a46d6
Author: Jens Georg <mail@jensge.org>
Date:	Sat Apr 22 23:59:58 2017 +0200

    Move Tumblr connector to standard publishing plugins

    https://bugzilla.gnome.org/show_bug.cgi?id=719020

M
plugins/shotwell-publishing-extras/org.gnome.Shotwell.Publishing.Extras.gresource.xml
M	plugins/shotwell-publishing-extras/shotwell-publishing-extras.vala
R097	plugins/shotwell-publishing-extras/TumblrPublishing.vala
plugins/shotwell-publishing/TumblrPublishing.vala
M
plugins/shotwell-publishing/org.gnome.Shotwell.Publishing.gresource.xml
M	plugins/shotwell-publishing/shotwell-publishing.vala
R100	plugins/shotwell-publishing-extras/tumblr.png
plugins/shotwell-publishing/tumblr.png
R100	plugins/shotwell-publishing-extras/tumblr_authentication_pane.ui
plugins/shotwell-publishing/tumblr_authentication_pane.ui
R100
plugins/shotwell-publishing-extras/tumblr_publishing_options_pane.ui
plugins/shotwell-publishing/tumblr_publishing_options_pane.ui
M	publish-extra.am
M	publish.am

commit 9db1e4db604a2e5791806d5c125a80779dbfa1ad
Author: Jens Georg <mail@jensge.org>
Date:	Sat Apr 22 09:30:54 2017 +0200

    Fix header bar for preferences dialog

M	src/Dialogs.vala

commit 0c99adc7513bf07536ab2bf75dba2cab60217d9c
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Sun Apr 30 19:13:37 2017 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit 4c6cb058290bdd399a95b0b8c0b7db9d14ac293c
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	Sun Apr 30 10:10:59 2017 +0000

    Update Indonesian translation

M	po/id.po

commit 683e2285ee73b71e96b3d652d889c593682de6ca
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	Sun Apr 30 10:04:31 2017 +0000

    Update Indonesian translation

    (cherry picked from commit 0c23fdd826e9330c254b2b5293c1458980e3a91d)

M	po/id.po

commit c5d7f1931c8b464398dc1d8b2144ad095dfeeba8
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	Sat Apr 29 10:59:45 2017 +0000

    Update Indonesian translation

    (cherry picked from commit 85d55e4b6b68aa02dff4da7f0a3081f9c82687a4)

M	po/id.po

commit 752823691ef7d5c9154c596e5d55cda2789af63b
Author: Jordi Mas <jmas@softcatala.org>
Date:	Fri Apr 28 19:35:41 2017 +0200

    Fix to Catalan translation

M	po/ca.po

commit 32c49a8397078538924fbe8141b4c5f4b421c630
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Apr 27 17:43:56 2017 +0200

    Update po/Makevars

M	po/Makevars

commit 8d412ad1f727085af39d979834398ca610837933
Author: Jordi Mas <jmas@softcatala.org>
Date:	Wed Apr 26 20:22:53 2017 +0200

    Update Catalan translation

M	po/ca.po

commit 09c7bb554e81e131ab8fd6f06eec73472f711ff9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Apr 23 20:25:18 2017 +0200

    Update Polish translation

M	po/pl.po

commit a001b96928f2c789a93766ada3a24d85b21f0a14
Author: Jens Georg <mail@jensge.org>
Date:	Sat Apr 22 08:47:13 2017 +0200

    Paint transparent background on thumbnails

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=716708

M	src/CheckerboardLayout.vala

commit f02f5c4560310ad96ca277101a5150c4445bd4e8
Author: Jens Georg <mail@jensge.org>
Date:	Sat Apr 22 00:56:01 2017 +0200

    Add transparancy settings to preferences

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=716708

M	src/Dialogs.vala
M	ui/preferences_dialog.ui

commit e3f1b4360a2085559b4479f02068ce95aed1fe6c
Author: Jens Georg <mail@jensge.org>
Date:	Fri Apr 21 23:42:31 2017 +0200

    Add signals for transparent color change

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=716708

M	src/Page.vala
M	src/config/Config.vala
M	src/config/ConfigurationInterfaces.vala
M	src/util/image.vala

commit 6e9ea5fc8e72faf857e48866cddcf128c9f1bbad
Author: Jens Georg <mail@jensge.org>
Date:	Fri Apr 21 22:51:52 2017 +0200

    Add gsettings for transparency background

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=716708

M	misc/org.yorba.shotwell.gschema.xml
M	src/config/ConfigurationInterfaces.vala
M	src/config/GSettingsEngine.vala
M	src/util/image.vala

commit 6d1786b36a93298a35e19d6dd3ec95569de9bd2a
Author: Jens Georg <mail@jensge.org>
Date:	Thu Apr 20 21:44:50 2017 +0200

    Paint image background for transparent images

    Fixes issue with images that have black foreground and transparent
    background
    by painting stippled background pattern.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=716708

M	configure.ac
M	src/Page.vala
M	src/editing_tools/EditingTools.vala
M	src/editing_tools/StraightenTool.vala
M	src/util/image.vala

commit 0697b78bc32c409d49916d139e2cbb76e51da86f
Author: Jens Georg <mail@jensge.org>
Date:	Sat Apr 22 08:47:43 2017 +0200

    Remove deprecated functions

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/CollectionPage.vala
M	src/MediaPage.vala
M	src/Page.vala
M	src/PhotoPage.vala
M	src/camera/ImportPage.vala
M	src/events/EventPage.vala
M	src/events/EventsDirectoryPage.vala
M	src/library/TrashPage.vala

commit 171416306165013e664d66c141e1f8551ac4935b
Author: Jens Georg <mail@jensge.org>
Date:	Mon Apr 17 08:40:16 2017 +0200

    Fix warning messages on compile

    "You should give exactly one file name"

    Caused by shotwell.am passing too many and the authenticator
    passing not
    enough

    Signed-off-by: Jens Georg <mail@jensge.org>

M	authenticator.am
M	shotwell.am

commit b138c780f4f9412685e455d678516f5e5f292d43
Author: Jens Georg <mail@jensge.org>
Date:	Mon Apr 17 08:04:42 2017 +0200

    Use nice 19 for video thumbnailer

    Signed-off-by: Jens Georg <mail@jensge.org>

M	thumbnailer.am
M	thumbnailer/shotwell-video-thumbnailer.vala

commit 6fb50b78c45c1a48f048b2f8ebf708672376c4ad
Author: Jens Georg <mail@jensge.org>
Date:	Mon Apr 17 08:03:48 2017 +0200

    Update vaapi blacklisting

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/VideoSupport.vala
M	thumbnailer/shotwell-video-thumbnailer.vala

commit d03303ec059f086efb7773a04e0ada773dca0334
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Apr 18 10:17:32 2017 +0000

    Update Spanish translation

    (cherry picked from commit ce5e8576276481f15b015017283afa8d0f119646)

M	po/es.po

commit 37b02518d069239535d8eb0a58b96aa1a189bfd0
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sat Apr 15 17:29:54 2017 +0000

    Update Slovak translation

    (cherry picked from commit 0860f8657c1bf69c04fc37bac0901faf57022ce6)

M	po/sk.po

commit 91c097b16559417bc3fccbb680bfab1fdec41e9c
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Wed Apr 12 10:24:05 2017 +0000

    Update Swedish translation

M	help/sv/sv.po

commit f286c01022f4180122eff7c64df366d7302137fb
Author: Jens Georg <mail@jensge.org>
Date:	Mon Apr 10 20:37:16 2017 +0200

    Remove deprecated function in histogram

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/editing_tools/RGBHistogramManipulator.vala

commit 9bd9ed556fc948592f60302d22a669ad60bb4905
Author: Jens Georg <mail@jensge.org>
Date:	Mon Apr 10 20:36:39 2017 +0200

    Remove histogram frame

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/editing_tools/RGBHistogramManipulator.vala

commit 312e837b1ced28f7157f47c893b1a756a4d60f51
Author: Jens Georg <mail@jensge.org>
Date:	Mon Apr 10 20:09:26 2017 +0200

    Use Cairo to draw histogram overlays

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/editing_tools/RGBHistogramManipulator.vala

commit 0eee31c74bbe387238c90a9168b4c6556418eed0
Author: Jens Georg <mail@jensge.org>
Date:	Mon Apr 10 18:51:36 2017 +0200

    Remove non-functional slider

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/editing_tools/RGBHistogramManipulator.vala

commit 79d4477f2b1c556f0655f0022ba9e895936d5723
Author: Jens Georg <mail@jensge.org>
Date:	Sun Apr 9 22:44:34 2017 +0200

    Extract preferences ui

    Signed-off-by: Jens Georg <mail@jensge.org>

M	org.gnome.Shotwell.gresource.xml
M	po/POTFILES.in
M	src/Dialogs.vala
M	src/library/LibraryWindow.vala
C064	ui/shotwell.ui	ui/preferences_dialog.ui
M	ui/shotwell.ui

commit 5df63e07261b44e6fc1b5d046e16af0c451a0c0b
Author: Jens Georg <mail@jensge.org>
Date:	Sun Apr 9 22:15:00 2017 +0200

    docs: Link mentioned manpage directly

    Signed-off-by: Jens Georg <mail@jensge.org>

M	help/C/other-files.page

commit 3c4c0b80836407e5d247d1970ebbfd2b1a76c671
Author: Jens Georg <mail@jensge.org>
Date:	Fri Apr 7 19:57:10 2017 +0200

    Make slideshow settings templated

    Signed-off-by: Jens Georg <mail@jensge.org>

M	org.gnome.Shotwell.gresource.xml
M	po/POTFILES.in
M	src/SlideshowPage.vala
M	src/config/Config.vala
M	ui/shotwell.ui
A	ui/slideshow_settings.ui

commit 9bf27fc5ab7c0172cb28175cbc12f5fd7d3c6268
Author: gogo <trebelnik2@gmail.com>
Date:	Sun Apr 9 22:24:58 2017 +0000

    Update Croatian translation

M	po/hr.po

commit a3a1ae47e93a79b3bd768907eeb856a167a6378b
Author: gogo <trebelnik2@gmail.com>
Date:	Sun Apr 9 22:23:13 2017 +0000

    Update Croatian translation

M	po/hr.po

commit 26a529f3df179fc0c92136b7c71bb44f61edd2db
Author: gogo <trebelnik2@gmail.com>
Date:	Sun Apr 9 22:17:10 2017 +0000

    Update Croatian translation

M	po/hr.po

commit 3ec3b858eef79a06becc1df649bab881a41addb1
Author: Jens Georg <mail@jensge.org>
Date:	Fri Apr 7 16:09:18 2017 +0200

    Remove custom complicated drag nub

    Signed-off-by: Jens Georg <mail@jensge.org>

M	icons/Makefile.am
D	icons/drag_nub.png
M	org.gnome.Shotwell.gresource.xml
M	shotwell.am
R062	src/CustomComponents.vala
src/editing_tools/RGBHistogramManipulator.vala

commit f6b5b243029e581b8f30d210f1ef58b3a410f364
Author: Jens Georg <mail@jensge.org>
Date:	Thu Apr 6 22:28:59 2017 +0200

    Remove deprecated theme adaption

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/CustomComponents.vala

commit d7743656fcfe515cf201f38a5e3fc6e115ae2456
Author: Jens Georg <mail@jensge.org>
Date:	Tue Apr 4 21:23:29 2017 +0200

    Bump Gtk+ requirements to 3.18

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=774650

M	configure.ac
M	ui/collection.ui
M	ui/direct_context.ui
M	ui/printing_widget.ui
M	ui/set_background_dialog.ui
M	ui/set_background_slideshow_dialog.ui
M	ui/shotwell.ui

commit 1a290847c83ee2900544fd9e9dc2717c894be77b
Author: Jens Georg <mail@jensge.org>
Date:	Sun Apr 2 20:28:48 2017 +0200

    Fix direct ui context menu

    Signed-off-by: Jens Georg <mail@jensge.org>

M	ui/direct_context.ui

commit 21b38c07291a01984fe96d922a073d7156abef85
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Apr 3 10:26:01 2017 +0200

    Update Polish translation

M	po/pl.po

commit 218edbb1dbb230996ebbf8a3ea8f21125e6c14dd
Author: Jens Georg <mail@jensge.org>
Date:	Sun Apr 2 19:52:30 2017 +0200

    Fix browsing on gvfs filesystems

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=733652

M	src/DirectoryMonitor.vala

commit c7c30e248284f9acb358883d9b8cdd42c3a61233
Author: Jens Georg <mail@jensge.org>
Date:	Sun Apr 2 18:25:58 2017 +0200

    Add missing Keyboard shortcuts

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=780811

M	ui/collection.ui
M	ui/event.ui
M	ui/media.ui
M	ui/photo.ui
M	ui/photo_context.ui
M	ui/tags.ui

commit f8ee4c16b894e54af8e8b08d7b124442f7e1cb71
Author: Jens Georg <mail@jensge.org>
Date:	Sun Mar 26 18:50:22 2017 +0200

    Do not use functions to convert RGB values

M	src/ColorTransformation.vala

commit 95a3411c234cb234baf6214635eb2c58065aa44b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Mar 27 22:38:33 2017 +0200

    Update Polish translation

M	po/pl.po

commit b69329a1d90ecc1f6262a05bc1dbd8b6d5b89852
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Sun Mar 26 21:34:10 2017 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit ba85d38da7caff4f9ae1a701cace4194716b80b7
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:	Sat Mar 25 22:51:23 2017 +0100

    Updated Danish translation

M	po/da.po

commit e2bc1744ee2fe43ac85f9dce688666de3cde1a17
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Mar 25 22:24:24 2017 +0100

    Update Polish translation

M	po/pl.po

commit 1d6f2c52db76072472f349e6796c2ad801d2acb0
Author: Jens Georg <mail@jensge.org>
Date:	Fri Mar 24 22:53:11 2017 +0100

    RGB value lookup

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/ColorTransformation.vala

commit 6d7373884ba3a055449549c3b6958e60d4fbea13
Author: Jens Georg <mail@jensge.org>
Date:	Fri Mar 24 22:00:10 2017 +0100

    Compose HSV transformations

    This is possible because all work on the light value only an use
    remapping
    tables, so we can just remap the tables from one operation into
    the other

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/ColorTransformation.vala

commit a050c2b72f51a14db508611dcd980f1a0543b773
Author: Jens Georg <mail@jensge.org>
Date:	Fri Mar 24 21:59:38 2017 +0100

    Disable cast checks for ColorTransformation

    Signed-off-by: Jens Georg <mail@jensge.org>

M	pipeline.am

commit 2f562c8f843236370918ee52e99b6ff7f7191696
Author: Jens Georg <mail@jensge.org>
Date:	Fri Mar 24 20:43:39 2017 +0100

    transformer: Make it possible to set output format

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/graphics-processor.vala

commit cc0c75f9dfb6df75576d45f67b8ad7624e630899
Author: Jens Georg <mail@jensge.org>
Date:	Fri Mar 24 20:36:20 2017 +0100

    transformer: Add possibility to define options on commandline

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/graphics-processor.vala

commit ca90c9242b7702f50c81a0f4dfd67ef90fe772c6
Author: Jens Georg <mail@jensge.org>
Date:	Fri Mar 24 20:24:22 2017 +0100

    transformer: Implement auto-enhance

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/graphics-processor.vala

commit 0b2e029eaee954b1ea9838920389ef99b643ea1f
Author: Jens Georg <mail@jensge.org>
Date:	Fri Mar 24 20:24:05 2017 +0100

    transformer: Check input parameters

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/graphics-processor.vala

commit b28e4aec37478dcd48ce6c1768039ffe9dcee0f8
Author: Jens Georg <mail@jensge.org>
Date:	Wed Mar 15 21:24:44 2017 +0100

    Disable asserts in color processing

    Signed-off-by: Jens Georg <mail@jensge.org>

M	pipeline.am

commit a902a3031284c4ee6ff05990ba878cfd92432fe1
Author: Jens Georg <mail@jensge.org>
Date:	Tue Mar 14 23:43:22 2017 +0100

    Do not use abstract functions to lookup constants

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=742563

M	src/ColorTransformation.vala

commit 0621137d56b664ac23438c2114bb6d20a3cbe3b7
Author: Jens Georg <mail@jensge.org>
Date:	Tue Mar 14 23:09:53 2017 +0100

    Create commandline utility to apply transformations

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
A	pipeline.am
M	shotwell.am
M	src/ColorTransformation.vala
A	src/graphics-processor.vala

commit a94a5c66a1d00f669076aed4212c606d9848322a
Author: Jens Georg <mail@jensge.org>
Date:	Fri Mar 24 19:47:52 2017 +0100

    Disable minimize button on Unity

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=719240

M	src/publishing/PublishingUI.vala

commit 9dda9980371d47b8386a44bf9924b55f480487a7
Author: Jens Georg <mail@jensge.org>
Date:	Wed Mar 22 22:37:20 2017 +0100

    Remove codename

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/AppWindow.vala

commit 0cef3922b53c20291cbdb77d9a0054c6711c168e
Author: Jens Georg <mail@jensge.org>
Date:	Wed Mar 22 00:03:01 2017 +0100

    Post-release version bump

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 93eee7fe1f92acf08ad9220ef377a14eaeee65a6
Author: Jens Georg <mail@jensge.org>
Date:	Tue Mar 21 23:48:57 2017 +0100

    Remove F-Spot support

    https://bugzilla.gnome.org/show_bug.cgi?id=773267
    https://bugzilla.gnome.org/show_bug.cgi?id=716599
    https://bugzilla.gnome.org/show_bug.cgi?id=717767
    https://bugzilla.gnome.org/show_bug.cgi?id=718809
    https://bugzilla.gnome.org/show_bug.cgi?id=718846
    https://bugzilla.gnome.org/show_bug.cgi?id=719031
    https://bugzilla.gnome.org/show_bug.cgi?id=752008

M	Makefile.am
D	import.am
D	plugins/shotwell-data-imports/FSpotDatabase.vala
D	plugins/shotwell-data-imports/FSpotDatabaseBehavior.vala
D	plugins/shotwell-data-imports/FSpotDatabaseTable.vala
D	plugins/shotwell-data-imports/FSpotImporter.vala
D	plugins/shotwell-data-imports/FSpotMetaTable.vala
D	plugins/shotwell-data-imports/FSpotPhotoTagsTable.vala
D	plugins/shotwell-data-imports/FSpotPhotoVersionsTable.vala
D	plugins/shotwell-data-imports/FSpotPhotosTable.vala
D	plugins/shotwell-data-imports/FSpotRollsTable.vala
D	plugins/shotwell-data-imports/FSpotTableBehavior.vala
D	plugins/shotwell-data-imports/FSpotTagsTable.vala
D	plugins/shotwell-data-imports/SqliteSupport.vala
D	plugins/shotwell-data-imports/VersionNumber.vala
D	plugins/shotwell-data-imports/f-spot-24.png
D
plugins/shotwell-data-imports/org.gnome.Shotwell.Imports.gresource.xml
D	plugins/shotwell-data-imports/shotwell-data-imports.vala
M	po/POTFILES.in
M	po/POTFILES.skip

commit b83a820fc0a3f85f22484f3275adf086ad8e2ca3
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 20 13:41:40 2017 +0100

    Prepare shotwell 0.26.0

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS
M	configure.ac
M	debian/changelog
M	icons/Makefile.am
A	icons/about-aachen.jpg
M	org.gnome.Shotwell.gresource.xml
M	src/AppWindow.vala
M	src/Resources.vala

commit a54ff87cce112a075b91591f811ed605d1d84430
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Fri Mar 17 08:39:22 2017 +0000

    Update Kazakh translation

M	po/kk.po

commit 683e673975674852828d17fc441a98e39a5c3bcd
Author: Jens Georg <mail@jensge.org>
Date:	Thu Mar 16 20:51:15 2017 +0100

    Fix some spelling errors in NEWS

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS

commit 844c7b8357b4cb3790d9ffd3f8705f4e68d5b83c
Author: Jens Georg <mail@jensge.org>
Date:	Thu Mar 16 20:44:50 2017 +0100

    Update debian

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/changelog

commit 3194563aa794a1700b1ce44f6dbe7ce3b6c3db8d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Mar 16 19:02:54 2017 +0100

    Fix a syntax error in Latvian help translation

    https://bugzilla.gnome.org/show_bug.cgi?id=780116

M	help/lv/lv.po

commit 5e304722ad2e0f4caec6f7ecea71717d4de9ef39
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Thu Mar 16 10:20:58 2017 +0000

    Update German translation

M	po/de.po

commit b134f99e439b6e21f0423805d1bc23fab3a5877d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Mar 16 07:15:37 2017 +0000

    Update Spanish translation

M	help/es/es.po

commit e621cec664dedd62b0bc294b0bdacb0f8953f2ff
Author: Jens Georg <mail@jensge.org>
Date:	Wed Mar 15 22:32:08 2017 +0100

    Use custom --enable-debug switch

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac
D	m4/ax_check_enable_debug.m4

commit fee674ea7a2bb57f11efa59bc04fe5b08332fb79
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Wed Mar 15 17:11:57 2017 +0000

    Update Hungarian translation

M	po/hu.po

commit 76e8aedfe6678c3b5a367d3d6f2ef0002fd33a95
Author: gogo <trebelnik2@gmail.com>
Date:	Wed Mar 15 11:10:14 2017 +0000

    Update Croatian translation

M	po/hr.po

commit e0f75e01c38c17d5bef5c04c95e2810b3aad0c59
Author: Marek Černocký <marek@manet.cz>
Date:	Wed Mar 15 00:56:16 2017 +0100

    Updated Czech translation

M	po/cs.po

commit b11f1b0fe626f50c5c715018d97bf7e438777fd7
Author: Jens Georg <mail@jensge.org>
Date:	Tue Mar 14 20:44:44 2017 +0100

    Check for LC_MEASUREMENT in a more portable way

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=779844

M	src/Resources.vala

commit b9ac3e74033749b4864a59bb5b21b69dcc90678c
Author: Josef Andersson <l10nl18nsweja@gmail.com>
Date:	Tue Mar 14 13:43:49 2017 +0000

    Update Swedish translation

M	po/sv.po

commit 05caf49deda458a49f9cc21babca5c4fb2c4b580
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Mar 14 13:43:45 2017 +0100

    Update Polish translation

M	po/pl.po

commit 190a7e948d679344c00d46695623e770aae06549
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 13 19:45:14 2017 +0100

    Prepare 0.25.92

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS
M	configure.ac

commit 3d71f6f68df5a0e965a395e501f22b816095f71e
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 13 20:57:57 2017 +0100

    icons: Add missing files to tarball

    Signed-off-by: Jens Georg <mail@jensge.org>

M	icons/Makefile.am

commit 5b2490388036237c82dd8837fc9267ea6b88ff57
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 13 20:40:38 2017 +0100

    Fix issue with non-distributed ui files

    Signed-off-by: Jens Georg <mail@jensge.org>

M	ui/Makefile.am

commit eaf7e88240369f87defe0f7f8ba9fe9f468a256e
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 13 19:33:07 2017 +0100

    printing: Use inch/cm depending on locale settings

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=779844

M	misc/org.yorba.shotwell.gschema.xml
M	src/Printing.vala
M	src/Resources.vala
M	src/config/ConfigurationInterfaces.vala

commit 31ee9ff2bbad67918f14efaf52903c177ce35d2b
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 13 19:08:57 2017 +0100

    build: Remove debugging leftover

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 9fa3ac748d330b21400d15d883d2437073f231f4
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Mon Mar 13 16:54:15 2017 +0100

    Unique summary for each transition

    https://bugzilla.gnome.org/show_bug.cgi?id=779989

M	misc/org.yorba.shotwell.gschema.xml

commit 379ea72c323f7aa84383991075cc492cc0e3833e
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 13 19:03:11 2017 +0100

    Enable GExiv2 GLib logging handler

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/main.vala

commit 2f9ad9731ca512f888e716c7cf5e70d701dbcc51
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 13 19:02:29 2017 +0100

    Prevent needless string copy

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Printing.vala

commit e031ef34362cb656b40ddf7ad36e192a5b59b50f
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 13 18:59:27 2017 +0100

    build: Use proper argument for AX_IS_RELEASE

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 3db3d1f357a85000d3f5c1fc825d7466420c0d28
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Sun Mar 12 04:10:09 2017 +0000

    Update Kazakh translation

M	po/kk.po

commit e5e018338eda698432673038da85686db293fd0c
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	Fri Mar 10 10:19:47 2017 +0000

    Update Scottish Gaelic translation

    (cherry picked from commit 9f41fcb9cc54734b4f02c0e5003f2b6309ece9e5)

M	po/gd.po

commit e7376bf09a8811a2380b23ccd553972d46dd4cc5
Author: Jens Georg <mail@jensge.org>
Date:	Thu Mar 9 22:37:03 2017 +0100

    viewer: Enable context menu

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/direct/DirectPhotoPage.vala

commit eceb40c3578c9c795ad20612a0702024686eafba
Author: Jens Georg <mail@jensge.org>
Date:	Thu Mar 9 21:24:28 2017 +0100

    Use gp_file_new_from_fd for getting files

    Previously, we would use a memory file and load the whole file into
    memory and
    write it to disk afterwards. That was probably ok for (small)
    photos, but
    totally killed memory usage with videos.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=732663

M	src/camera/GPhoto.vala
M	vapi/libgphoto2.vapi

commit 764d257bd4e532b858c4338b6c52e69125505856
Author: Jens Georg <mail@jensge.org>
Date:	Wed Mar 8 22:01:06 2017 +0100

    Allow CCW rotation by ctrl-Space on tool button

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=715501

M	src/CollectionPage.vala
M	src/PhotoPage.vala

commit f24bd7af01eff3e3085134ba7de5a5e898e3fbbf
Author: Jens Georg <mail@jensge.org>
Date:	Tue Mar 7 23:53:25 2017 +0100

    piwigo: Add .jpg extension to file name

    Otherwise downloading files would cause the original RAW file name
    created with JPEG contents

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=729091

M	plugins/shotwell-publishing/PiwigoPublishing.vala

commit 268e65fe6a1348f1bfcc702041048467b1f63d37
Author: Jens Georg <mail@jensge.org>
Date:	Tue Mar 7 22:40:30 2017 +0100

    Speed-up autogen.sh

    Signed-off-by: Jens Georg <mail@jensge.org>

M	autogen.sh

commit 8284f1a227050a99f0740222bacc0444d5859aa7
Author: Jens Georg <mail@jensge.org>
Date:	Tue Mar 7 22:31:58 2017 +0100

    Simplify printing dialog a bit

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Printing.vala
M	ui/printing_widget.ui

commit bd3ccefcd6d8066d47fd4f998436668913fcc096
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 6 23:26:59 2017 +0100

    Make custom printing widget a GtkTemplate

    Signed-off-by: Jens Georg <mail@jensge.org>

M	org.gnome.Shotwell.gresource.xml
M	po/POTFILES.in
M	src/Printing.vala
A	ui/printing_widget.ui
M	ui/shotwell.ui

commit ece3fb96288db5ae7920417c99c02f7881a53b61
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	Tue Mar 7 00:20:49 2017 +0000

    Update Hungarian translation

M	po/hu.po

commit de793a9b0af74c309486349395c8b9193043f87a
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 6 22:49:23 2017 +0100

    Remove obsolete Glade helper

    Signed-off-by: Jens Georg <mail@jensge.org>

D	sw-glade
D	ui/shotwell.xml

commit 93ee36a52afe4a07b73ce499854aa3e8c10154d9
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 6 22:15:54 2017 +0100

    Move ui files into resources

    Signed-off-by: Jens Georg <mail@jensge.org>

M	org.gnome.Shotwell.gresource.xml
M	src/AppWindow.vala
M	src/Page.vala
M	src/Resources.vala
M	src/SearchFilter.vala
M	src/searches/Branch.vala
M	src/sidebar/Tree.vala
M	src/tags/Branch.vala
M	ui/Makefile.am

commit 056b465182a2cc4310dc999bd9f30a791a66e224
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 6 21:53:56 2017 +0100

    Move icons into resource file

    Signed-off-by: Jens Georg <mail@jensge.org>

M	icons/Makefile.am
M	org.gnome.Shotwell.gresource.xml
M	src/AppDirs.vala
M	src/Resources.vala
M	src/editing_tools/EditingTools.vala
M	src/main.vala

commit 97c0e4f8829edb18c061fc7acd8fd30c5c5804f8
Author: Jens Georg <mail@jensge.org>
Date:	Mon Mar 6 21:52:39 2017 +0100

    Fix compilation issue with no authenticators enabled

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/shotwell-publishing.vala

commit 7ee7bbf9126faa3d49df74656843bc2602bfbf2c
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sun Mar 5 20:58:03 2017 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 33f86a14c2e5e99465292c863f5e1f2ce74b6659
Author: Jens Georg <mail@jensge.org>
Date:	Sun Mar 5 20:24:08 2017 +0100

    Remove obsolete top.ui

    Signed-off-by: Jens Georg <mail@jensge.org>

M	po/POTFILES.in
M	ui/Makefile.am
D	ui/top.ui

commit 4b60125bfa77bbe725b7de598eea24a3d1e244a1
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sun Mar 5 12:40:28 2017 +0000

    Update German translation

M	po/de.po

commit 3d26c342a7e7aaf8e89c5ab4b695618a0f6ee1a7
Author: Jens Georg <mail@jensge.org>
Date:	Sat Mar 4 15:58:58 2017 +0100

    Make it possible to disable individual publishers

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=775158

M	configure.ac
M	plugins/shotwell-publishing-extras/shotwell-publishing-extras.vala
M	plugins/shotwell-publishing/shotwell-publishing.vala
M	publish-extra.am
M	publish.am

commit 13f8bd03ebb7883abe23917f1ee84ea618f924fe
Author: Jens Georg <mail@jensge.org>
Date:	Sat Mar 4 11:51:50 2017 +0100

    Temporarily remove goa and uoa from configure

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 954da8e7e7bf1430dd5b1ec6544745f96dd04ce9
Author: Jens Georg <mail@jensge.org>
Date:	Sat Mar 4 10:47:39 2017 +0100

    Remove [Version] tag from gdata vapi

    Signed-off-by: Jens Georg <mail@jensge.org>

M	vapi/libgdata.vapi

commit 2ca6abe3443a845a3bc6b1a8bbd71b48ed61ad5d
Author: Jens Georg <mail@jensge.org>
Date:	Sat Mar 4 10:25:04 2017 +0100

    Minor debian fixes

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS
M	debian/changelog
M	debian/control

commit 8e539a21c46141aaa891057ce50fafaf6497b10a
Author: Jens Georg <mail@jensge.org>
Date:	Sat Mar 4 09:43:23 2017 +0100

    Remove web dependencies of core shotwell

    Only necessary for plugins or authenticators

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 0c383826ec9c45fcfb8e9d42b57b97eabce214b4
Author: Jörg Frings-Fürst <debian@jff-webhosting.net>
Date:	Sat Aug 20 18:29:03 2016 +0000

    manpage: Remove wrong macro 'R'

    https://bugzilla.gnome.org/show_bug.cgi?id=779558

M	help/shotwell.1

commit 83aa3870cae8d958a253630c988a1f4a48dd5783
Author: Jens Georg <mail@jensge.org>
Date:	Sat Mar 4 00:05:43 2017 +0100

    viewer: Don't always add photo again after saving

    This seems to cause the photo being in the collection twice, causing
    not being able to navigate to the previous photo anymore

    Just do it when the photo we save isn't the current photo.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=734816

M	src/direct/DirectPhotoPage.vala

commit 054ca90f435498d1a58a2f4c91b6ed4857553398
Author: Jens Georg <mail@jensge.org>
Date:	Thu Mar 2 23:32:48 2017 +0100

    Fix toolbox not visible in fullscreen

    Seems to affect Cinnamon so far. Most likely due to the work-around
    for crashing on wayland (1eec412e97c255c9ca235e039dcdc59ee4c3c140)

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/PhotoPage.vala

commit 8b6b33f14aecf448a14eef5372219d4f524bccab
Author: Jens Georg <mail@jensge.org>
Date:	Thu Mar 2 21:49:57 2017 +0100

    Fix issue when deleting image in Fullscreen

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Page.vala

commit 8e4268248f035bf0f1ae071d451b335321e6c686
Author: Jordi Mas <jmas@softcatala.org>
Date:	Tue Feb 28 20:05:45 2017 +0100

    Fix Catalan translation

M	po/ca.po

commit 70e9071a01d1d596fca9851f393a8ff847c79bb3
Author: Jens Georg <mail@jensge.org>
Date:	Mon Feb 27 21:01:51 2017 +0100

    Post-release version bump

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 46cb5788d823338f0b0e2e64ec79851f701ab444
Author: Jens Georg <mail@jensge.org>
Date:	Mon Feb 27 20:45:28 2017 +0100

    Prepare 0.25.90

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS
M	configure.ac
M	debian/changelog

commit e590ff354add6024dda62eab9c1aa9fe6cb4bca1
Author: Jens Georg <mail@jensge.org>
Date:	Mon Feb 27 20:29:06 2017 +0100

    picasa: Skip default url from album list

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala

commit 9afb5a61f866768b0c45344448fa9958edf15636
Author: Jens Georg <mail@jensge.org>
Date:	Sun Feb 26 20:53:43 2017 +0100

    More Save As => Export

    Signed-off-by: Jens Georg <mail@jensge.org>

M	ui/event.ui
M	ui/tags.ui

commit 5a944fb2379f63b2278cf2192022911da1723f74
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Feb 26 18:33:19 2017 +0100

    Update Polish translation

M	po/pl.po

commit 969d102177f150ee7fbd700acb6304648b41e461
Author: Jens Georg <mail@jensge.org>
Date:	Sun Feb 26 17:01:42 2017 +0100

    Drop GOA dependency

    Signed-off-by: Jens Georg <mail@jensge.org>

M	publish.am
M	vapi/libgdata.vapi

commit 1ae4e1315fa9b20ef59946e1885de886b04f7f2b
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sun Feb 26 10:33:30 2017 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit d6328842ef4da39c9dbe20579ceb4177ff5950b3
Author: Jens Georg <mail@jensge.org>
Date:	Sat Feb 25 23:41:03 2017 +0100

    Re-introduce "Export" menu

    Accidently named "Save As" because the mixing up the icon with
    the label

    Signed-off-by: Jens Georg <mail@jensge.org>

M	ui/media.ui
M	ui/photo.ui

commit a334c78881f0ddbec4a2c2a2656d7c7d9f1fd8a8
Author: Jens Georg <mail@jensge.org>
Date:	Sat Feb 25 23:24:31 2017 +0100

    Fix import of files ending in ogg

    This will only work for "local" imports, not from camera.

    https://bugzilla.gnome.org/show_bug.cgi?id=717305

M	src/BatchImport.vala
M	src/VideoSupport.vala

commit da83d231f6efe00e2bea5ccc7d1a5fbab8a20749
Author: Jens Georg <mail@jensge.org>
Date:	Wed Oct 12 16:20:09 2016 +0200

    Get prefetched copy after setting the developer

    Avoid doing a raw development if we want the embedded developer

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Photo.vala

commit 50cce33b66a3bd40f9edc347e56c9b8a19b1b234
Author: Jens Georg <mail@jensge.org>
Date:	Sun Oct 9 18:26:00 2016 +0200

    Don't uncessarily do a raw processing for thumbs

    Try to use the embedded preview instead.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=718248

M	src/photos/RawSupport.vala

commit 5873a3c4f46ddf1a3045387876cb20415e267338
Author: Jens Georg <mail@jensge.org>
Date:	Sun Oct 9 18:24:41 2016 +0200

    Attach a role to PhotoFileReader

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Photo.vala
M	src/photos/PhotoFileAdapter.vala

commit ead1bd5373ce572380f598ea14ad443568822b62
Author: Jens Georg <mail@jensge.org>
Date:	Sat Feb 25 22:07:50 2017 +0100

    youtube: Show progress while uploading

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/YouTubePublishing.vala

commit 8776a682fb305aa91111533cea10fc7b403de913
Author: Jens Georg <mail@jensge.org>
Date:	Sat Feb 25 20:47:45 2017 +0100

    youtube: Add local gdata vapi, fix authorizer

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/YouTubePublishing.vala
M	publish.am
A	vapi/libgdata.vapi

commit e63a88e328ab268e3cea3d178a47e519f2e03b87
Author: Jens Georg <mail@jensge.org>
Date:	Tue Feb 21 23:48:07 2017 +0100

    google: Extract access token expiry time

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/authenticator/shotwell/GoogleAuthenticator.vala

commit f5a89c745f00f15d88e63a401e9fb6d9c4fca7e5
Author: Jens Georg <mail@jensge.org>
Date:	Sat Feb 11 22:29:39 2017 +0100

    youtube: Port to libgdata

    Make YouTube upload work again

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=777910

M	configure.ac
M	plugins/shotwell-publishing/YouTubePublishing.vala
M	publish.am

commit dca35c362b741c1379676c2e1c7099d39e4d1755
Author: Jens Georg <mail@jensge.org>
Date:	Sat Feb 11 22:28:47 2017 +0100

    Update Google API keys

    Old API keys were not activated for YouTube Data API v3 uploading.

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/authenticator/shotwell/GoogleAuthenticator.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala

commit 5d3559d149c4e9c21dd78e396edcfe82bbe702f6
Author: Jens Georg <mail@jensge.org>
Date:	Thu Feb 23 19:27:12 2017 +0100

    Update debian

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/changelog

commit 441e36711a52a65540345c8d385488f4169fe0e5
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Wed Feb 22 18:50:12 2017 +0000

    Update Finnish translation

M	po/fi.po

commit ddcc9c9b4eb4e3c2582f939235282791465157ba
Author: Jens Georg <mail@jensge.org>
Date:	Tue Feb 21 22:57:47 2017 +0100

    picasa: Use proper mime type for video

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/PicasaPublishing.vala

commit b3fe24ea953ca86310dca39226a1b87f54bfb8ee
Author: Jens Georg <mail@jensge.org>
Date:	Tue Feb 21 22:05:49 2017 +0100

    picasa: Remove possibility to create new albums

    This has been dropped from the Picasa Web API / Google Photos

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/authenticator/shotwell/GoogleAuthenticator.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/picasa_publishing_options_pane.ui

commit 12dd77b2e08712eb9a4fc8f85bd2639092422bc5
Author: Jens Georg <mail@jensge.org>
Date:	Tue Feb 21 21:36:21 2017 +0100

    picasa: Remove obsolete comment

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/PicasaPublishing.vala

commit 4aa315083e4fa1984905a907788e595510f183de
Author: Jens Georg <mail@jensge.org>
Date:	Sun Feb 19 17:49:00 2017 +0100

    Post-releease version bump

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit cfb0e920a3328d07787dab0e7751d6da7a9cf72a
Author: Jens Georg <mail@jensge.org>
Date:	Mon Feb 13 21:39:24 2017 +0100

    Prepare 0.25.5

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS

commit 178070af02ea3dd9af920ec33d112b2fb354055c
Author: Jens Georg <mail@jensge.org>
Date:	Mon Feb 13 21:37:01 2017 +0100

    Distribute resource and header files

    Signed-off-by: Jens Georg <mail@jensge.org>

M	authenticator.am

commit b834fe3d8cd117b9bda916e9b8abc23472c005bd
Author: Jens Georg <mail@jensge.org>
Date:	Mon Feb 13 20:51:14 2017 +0100

    Fix dependencies for authenticator library

    Signed-off-by: Jens Georg <mail@jensge.org>

M	authenticator.am

commit e96362678ca4e8b5650df2fdbfd0e55ee50cb326
Author: Jens Georg <mail@jensge.org>
Date:	Mon Feb 13 20:50:51 2017 +0100

    Introduce "refresh()" method to authenticator

    Signed-off-by: Jens Georg <mail@jensge.org>

M
plugins/authenticator/shotwell/FacebookPublishingAuthenticator.vala
M	plugins/authenticator/shotwell/FlickrPublishingAuthenticator.vala
M	plugins/authenticator/shotwell/GoogleAuthenticator.vala
M	src/plugins/PublishingInterfaces.vala

commit 841db576d864fb0252e1b34e086bcbab94f8ef5d
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sun Feb 12 14:59:45 2017 +0000

    Update Swedish translation

M	help/sv/sv.po

commit 5c64525827f751dad749c39706f1630e7e189e84
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Feb 11 20:11:02 2017 +0100

    Update POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit d4687a780564111e8d312f60efd87e42b31c5ee1
Author: Jens Georg <mail@jensge.org>
Date:	Sat Feb 11 19:34:25 2017 +0100

    i18n: Update POTFILES.{in,skip}

    Signed-off-by: Jens Georg <mail@jensge.org>

M	po/POTFILES.in
M	po/POTFILES.skip

commit 0a170a63276965e5548b7e2c561bccdd401bd7d5
Author: Jens Georg <mail@jensge.org>
Date:	Sat Feb 11 00:04:20 2017 +0100

    Only show logout button if authenticator supports it

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/FlickrPublishing.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala

commit b0fa855491788456973575794ec97ee753ea514c
Author: Jens Georg <mail@jensge.org>
Date:	Thu Feb 9 23:02:15 2017 +0100

    Flickr: Fix authentication from persistent data

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/authenticator/shotwell/FlickrPublishingAuthenticator.vala
M	plugins/shotwell-publishing/FlickrPublishing.vala

commit f0f65a1275e84b9dfab2124be6a36396997f8683
Author: Jens Georg <mail@jensge.org>
Date:	Thu Feb 9 22:38:42 2017 +0100

    google: Persistency handling in authenticator

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/authenticator/shotwell/GoogleAuthenticator.vala
M	plugins/authenticator/shotwell/ShotwellAuthenticatorFactory.vala
M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala

commit 161c19ba01045b942e050e6dd5956c759c1fa140
Author: Jens Georg <mail@jensge.org>
Date:	Thu Feb 9 22:17:45 2017 +0100

    Make pluggables depend on authenticator availability

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/authenticator/shotwell/GoogleAuthenticator.vala
M	plugins/authenticator/shotwell/ShotwellAuthenticatorFactory.vala
M	plugins/shotwell-publishing/shotwell-publishing.vala
M	src/plugins/PublishingInterfaces.vala

commit abad9e07aeaae6a91c571ddeb99cfedfb4afa5e3
Author: Jens Georg <mail@jensge.org>
Date:	Thu Feb 9 22:16:53 2017 +0100

    Facebook: Move persitency into authenticator

    Signed-off-by: Jens Georg <mail@jensge.org>

M
plugins/authenticator/shotwell/FacebookPublishingAuthenticator.vala
M	plugins/shotwell-publishing/FacebookPublishing.vala

commit 7544a3eba84686cbfeafed8cab572e3aff9ba9b8
Author: Jens Georg <mail@jensge.org>
Date:	Thu Feb 9 21:36:14 2017 +0100

    flickr: Move persistency to authenticator

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/authenticator/shotwell/FlickrPublishingAuthenticator.vala
M	plugins/shotwell-publishing/FlickrPublishing.vala

commit b8b39ef517ae0a944175e66d3a27262e5503c6df
Author: Jens Georg <mail@jensge.org>
Date:	Wed Feb 8 23:15:04 2017 +0100

    Extract Google authenticator

    Put it into the authenticator library as well

    Signed-off-by: Jens Georg <mail@jensge.org>

M	authenticator.am
M	configure.ac
A	plugins/authenticator/shotwell/GoogleAuthenticator.vala
M	plugins/authenticator/shotwell/ShotwellAuthenticatorFactory.vala
M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala

commit a3b6e0f6f73069ad2472ffa68f36f77adadd0485
Author: Jens Georg <mail@jensge.org>
Date:	Mon Feb 6 19:08:31 2017 +0100

    Put authenticators into separate library

M	Makefile.am
A	authenticator.am
M	configure.ac
R096	plugins/shotwell-publishing/FacebookPublishingAuthenticator.vala
plugins/authenticator/shotwell/FacebookPublishingAuthenticator.vala
R066	plugins/shotwell-publishing/FlickrPublishingAuthenticator.vala
plugins/authenticator/shotwell/FlickrPublishingAuthenticator.vala
A	plugins/authenticator/shotwell/ShotwellAuthenticatorFactory.vala
R100	plugins/shotwell-publishing/flickr_pin_entry_pane.ui
plugins/authenticator/shotwell/flickr_pin_entry_pane.ui
A
plugins/authenticator/shotwell/org.gnome.Shotwell.Authenticator.gresource.xml
M	plugins/shotwell-publishing/FacebookPublishing.vala
M	plugins/shotwell-publishing/FlickrPublishing.vala
M
plugins/shotwell-publishing/org.gnome.Shotwell.Publishing.gresource.xml
M	publish.am
M	src/plugins/PublishingInterfaces.vala

commit a90cf2623f57ec50f1ad2284a7ae552f33381be4
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jan 4 11:37:43 2017 +0100

    No need for request phase tokens in Flickr publisher

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/FlickrPublishing.vala

commit 6b6e2818218e80d90dfcca5382da635e9b16b580
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jan 4 11:28:05 2017 +0100

    flickr: Move API keys into authenticator

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/FlickrPublishing.vala
M	plugins/shotwell-publishing/FlickrPublishingAuthenticator.vala

commit b473cddea88394badb66faaf7dab5091a620c027
Author: Jens Georg <mail@jensge.org>
Date:	Thu Dec 22 21:05:41 2016 +0100

    Extract Flickr authentication into own class

M	plugins/shotwell-publishing/FlickrPublishing.vala
A	plugins/shotwell-publishing/FlickrPublishingAuthenticator.vala
M	publish.am

commit 3351086742689b8397dd8df0c2961e42a46499be
Author: Jens Georg <mail@jensge.org>
Date:	Mon Dec 19 19:28:39 2016 +0100

    Move Facebook authenticator in extra file

M	plugins/shotwell-publishing/FacebookPublishing.vala
A	plugins/shotwell-publishing/FacebookPublishingAuthenticator.vala
M	po/POTFILES.in
M	po/POTFILES.skip
M	publish.am

commit 25ec931a9447eefbcffb34e0a1d5362eb3b5cb55
Author: Jens Georg <mail@jensge.org>
Date:	Sun Dec 18 23:09:04 2016 +0100

    Only show Facebook logout button if supported

    If authenticator does not have logout feature, don't show it

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/FacebookPublishing.vala

commit a8bda161eb06acafadc95c907b1acb0e2b34212d
Author: Jens Georg <mail@jensge.org>
Date:	Sun Dec 18 23:02:29 2016 +0100

    Extract Facebook authentication process

    Put it into extra class implementing the Authenticator interface

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/FacebookPublishing.vala
M	src/plugins/PublishingInterfaces.vala

commit 9a04c84ec121a6a027540a8aad422c5fffa90d69
Author: Jens Georg <mail@jensge.org>
Date:	Thu Dec 15 20:08:54 2016 +0100

    Define Authenticator interface

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/plugins/PublishingInterfaces.vala

commit 535b205eb061bc1d95cf83fb07a415d7515f31f3
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:	Sat Feb 11 19:14:45 2017 +0100

    Updated Danish translation

M	po/da.po

commit c73d7b5f14b71f12df11a654dc688edd566f8592
Author: Jens Georg <mail@jensge.org>
Date:	Mon Feb 6 19:52:49 2017 +0100

    libraw.vapi: Fix setting of parameters on OutputParams

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=778174

M	src/photos/GRaw.vala
M	vapi/libraw.vapi

commit 478e943e82926ee617126f659fffd8810e202b65
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Mon Feb 6 12:17:32 2017 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit 6c6182f341dafdb39c2b270fd11edb5fa8e30941
Author: Debarshi Ray <debarshir@gnome.org>
Date:	Sat Feb 4 16:48:24 2017 +0100

    graw, libraw.vapi: Use the correct type for use_camera_matrix

    libraw_output_params_t.use_camera_matrix is a tri-state value, not a
    boolean. Since any non-zero value counts as 'true', let's use the
    default unless someone finds a reason not to.

    See:
    http://www.libraw.org/docs/API-datastruct-eng.html#libraw_output_params_t

    https://bugzilla.gnome.org/show_bug.cgi?id=778174

M	src/photos/GRaw.vala
M	vapi/libraw.vapi

commit e045b9b48851dd4f21387e99de1aa3a1e10a3a66
Author: Debarshi Ray <debarshir@gnome.org>
Date:	Sat Feb 4 16:21:17 2017 +0100

    libraw.vapi: Set the correct power value for the gamma curve

    libraw_output_params_t.gamm[0] is meant to have the inverted gamma or
    power value. See:
    http://www.libraw.org/docs/API-datastruct-eng.html#libraw_output_params_t

    https://bugzilla.gnome.org/show_bug.cgi?id=778174

M	vapi/libraw.vapi

commit dac7891bd25d9d3b62f773cb0743c78b41692f24
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jan 31 21:43:57 2017 +0100

    Post-release version bump

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 8d2e927e78abb7699f1e9c8e9fd60119ea01999a
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jan 31 21:25:06 2017 +0100

    Prepare 0.25.4

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS
M	debian/changelog

commit 107353fa1f9d01aec430a801403b8e1ea7761250
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jan 29 22:58:22 2017 +0100

    publishing: Use HTTPS everywhere

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/TumblrPublishing.vala
M	plugins/shotwell-publishing-extras/YandexPublishing.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala

commit 1950b080aac8d57868ef0df8a9aa8f942d7c76a5
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jan 27 19:59:24 2017 +0100

    Update debian

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/changelog

commit 2e5f0c48ac99c43401d6a4efc7064f0408d21cb0
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Tue Jan 24 21:11:50 2017 +0000

    Update Ukrainian translation

M	po/uk.po

commit c5f4dba59aa01f74df6bbee02dacdb8a2bd0e722
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Jan 23 00:17:42 2017 +0100

    Updated Czech translation

M	po/cs.po

commit aa09c071d73ea8840fb6c14040bd57e2fe341fbc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Jan 18 23:12:40 2017 +0100

    Update Polish translation

M	po/pl.po

commit 8e7eb9fa324b2f6fb399e78d5e4a0935e57c6be3
Author: Jens Georg <mail@jensge.org>
Date:	Mon Jan 16 21:17:05 2017 +0100

    Post-release version bump

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit e5a192163148d01708684bc38c4442824fda8178
Author: Jens Georg <mail@jensge.org>
Date:	Mon Jan 16 20:36:27 2017 +0100

    Prepare 0.25.3

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS
M	configure.ac

commit dfe59ea0fa04633d233be973e8578af037ea822a
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:	Sun Jan 15 02:01:13 2017 +0100

    Updated Danish translation

M	po/da.po

commit a246cf45e80204bf05419cb0a76d9a145940373a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Jan 12 13:45:29 2017 +0100

    Fix Icon filename in Serbian and Korean translations

M	po/ko.po
M	po/sr.po
M	po/sr@latin.po

commit 14b44bdee2cfff20018dc66053dd6defb7cb03f0
Author: Andreas Brauchli <andreas.brauchli@sensirion.com>
Date:	Thu Dec 8 16:09:32 2016 +0100

    More reliable duplicate detection

    Never compare thumbnail_md5 when the full md5 can be used to avoid
    false
    positive. Otherwise fall back to comparing thubnail_md5 where false
    positives are possible.

M	src/db/PhotoTable.vala

commit 59da83435bfe4f14a716312f5cc871f9c04d6774
Author: Amos Brocco <amos.brocco@gmail.com>
Date:	Sun Nov 27 22:17:00 2016 +0000

    Improved Raw duplicate detection

    Use exposure timestamp comparison as well as file name to distinguish
    between
    different files with the same name

    https://bugzilla.gnome.org/show_bug.cgi?id=775196

M	src/camera/ImportPage.vala

commit 33b101fa36c685d24179a2f25aec91d0ae5102f6
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jan 4 12:45:42 2017 +0100

    piwigo: Fix title and coments on uploaded files

    Boolean is hard, part II.

    Regression introduced by 9d2b698023366e95baddbb677118a50e27bd6e8e

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=776664

M	plugins/shotwell-publishing/PiwigoPublishing.vala

commit 809b4cdd20ec6ec795c51ec046999f6f5106c07a
Author: Richard B. Kreckel <kreckel@ginac.de>
Date:	Tue Jan 3 23:00:00 2017 +0000

    Fix various typos in comments and code

    https://bugzilla.gnome.org/show_bug.cgi?id=776839

M	src/Application.vala
M	src/BatchImport.vala
M	src/CheckerboardLayout.vala
M	src/CollectionPage.vala
M	src/Commands.vala
M	src/Dialogs.vala
M	src/Dimensions.vala
M	src/Photo.vala
M	src/PhotoPage.vala
M	src/Printing.vala
M	src/Tombstone.vala
M	src/Upgrades.vala
M	src/camera/GPhoto.vala
M	src/core/SourceInterfaces.vala
M	src/photos/PhotoMetadata.vala

commit 719fc9935a3f8c36009e028e8e893347e0b730ab
Author: Jens Georg <mail@jensge.org>
Date:	Sat Dec 31 00:41:06 2016 +0100

    Fix actions for fullscreen

    https://bugzilla.gnome.org/show_bug.cgi?id=776614

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/CollectionPage.vala
M	src/MediaPage.vala
M	src/Page.vala
M	src/PhotoPage.vala
M	src/camera/ImportPage.vala
M	src/direct/DirectPhotoPage.vala
M	src/events/EventPage.vala
M	src/events/EventsDirectoryPage.vala
M	src/library/ImportQueuePage.vala
M	src/library/LibraryWindow.vala
M	src/library/OfflinePage.vala
M	src/library/TrashPage.vala
M	src/searches/SavedSearchPage.vala
M	src/tags/TagPage.vala

commit 0f3a1eee7ab9ce0ce211227e695e197bba53188a
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sun Jan 1 20:01:53 2017 +0000

    Update Slovak translation

M	po/sk.po

commit b24bde8bbcc42aac8cd5e5390db12cd3fb08725a
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sun Jan 1 19:37:20 2017 +0000

    Update Slovak translation
    (cherry picked from commit 3e41d1eab5df8a0693946bb22406c886f2799e7a)

M	po/sk.po

commit 6c2eea964babf24a9901f9569a32247282cfe40c
Author: Jens Georg <mail@jensge.org>
Date:	Sat Dec 31 00:39:51 2016 +0100

    Fix action state when switching back in library

    https://bugzilla.gnome.org/show_bug.cgi?id=776527

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Page.vala

commit f98a958b83245c9ced25e4c646c0de83a6bb0d1d
Author: Richard B. Kreckel <kreckel@ginac.de>
Date:	Thu Dec 29 18:47:00 2016 +0000

    Import button labels are swapped

    https://bugzilla.gnome.org/show_bug.cgi?id=776589

M	src/camera/ImportPage.vala

commit 092a86ec0c9901385c257cd84eb178469da01b65
Author: Jens Georg <mail@jensge.org>
Date:	Wed Dec 28 00:08:16 2016 +0100

    Remove local actions from Page when switching away

    https://bugzilla.gnome.org/show_bug.cgi?id=776527

M	src/CollectionPage.vala
M	src/MediaPage.vala
M	src/Page.vala
M	src/PhotoPage.vala
M	src/camera/ImportPage.vala
M	src/direct/DirectPhotoPage.vala
M	src/events/EventPage.vala
M	src/events/EventsDirectoryPage.vala
M	src/library/ImportQueuePage.vala
M	src/library/OfflinePage.vala
M	src/library/TrashPage.vala
M	src/searches/SavedSearchPage.vala
M	src/tags/TagPage.vala

commit 6fc591233cfc6e1ca690c3a637b8e21bb3d47f65
Author: Jens Georg <mail@jensge.org>
Date:	Wed Dec 28 12:45:05 2016 +0100

    Revert "Remove deprecated Soup API"

    Breaks flick upload

    This reverts commit 8999db51f67aeab1507d182742adc689dfbd9bb1.

M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing-extras/YandexPublishing.vala
M	plugins/shotwell-publishing/FacebookPublishing.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala

commit 587ce09a54124839697ee178334eaa3cd4843c46
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Wed Dec 28 11:37:04 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit acbe3c3e5bb00996536e7a8f449ed45c95271d93
Author: Jens Georg <mail@jensge.org>
Date:	Tue Dec 27 19:38:43 2016 +0100

    Fix LeaveFullscreen action

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/AppWindow.vala

commit f74c9b715553cd3a6b85e8707d0112f2310626e8
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Mon Dec 26 09:09:24 2016 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit b212f161c6745914a91158b15eb83253f8ceaec9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Dec 25 21:38:13 2016 +0100

    Update Polish translation

M	po/pl.po

commit 7ed7d8c8d10d95b8dd76bce3a4a8856b5c478c03
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Dec 25 21:37:09 2016 +0100

    Update Polish translation

M	po/pl.po

commit cb09b73d966f7876ac97041f2815a0561175316f
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Dec 24 14:47:04 2016 +0100

    Updated Czech translation

M	po/cs.po

commit d94d02049889b72fd653ab22e790cb0a7949f86a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Dec 23 01:17:49 2016 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 235c28bccd1f0f8f5277e1d792bcfd9a04f0b31e
Author: Jens Georg <mail@jensge.org>
Date:	Thu Dec 22 22:17:14 2016 +0100

    flickr: Use format_size_full for the remaining quota string

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/FlickrPublishing.vala

commit e8622e25c3753fb9191e871c479685bc036fecb6
Author: Jens Georg <mail@jensge.org>
Date:	Thu Dec 22 21:08:18 2016 +0100

    Revert "Use AppMenu"

    Not good. Help is not easily discoverable. Needs some more thinking

    This reverts commit 6e6a51b3a5b939322e0a40c2f2766367969721c2.

M	org.gnome.Shotwell.gresource.xml
M	src/Application.vala
M	src/direct/DirectWindow.vala
M	src/library/LibraryWindow.vala
M	ui/Makefile.am
D	ui/appmenu.ui
M	ui/direct.ui
M	ui/event.ui
M	ui/events_directory.ui
M	ui/import.ui
M	ui/import_queue.ui
M	ui/media.ui
M	ui/offline.ui
M	ui/photo.ui
M	ui/tags.ui
M	ui/trash.ui

commit 248bb1463f967073df05228c37b0410de7506d52
Author: Jens Georg <mail@jensge.org>
Date:	Thu Dec 22 21:07:09 2016 +0100

    Revert "Add Quit menu item to File menu"

    This reverts commit 0fa222a858adee5014c91dd2a8de0658b3a4ec24.

M	src/Page.vala
M	ui/direct.ui
M	ui/event.ui
M	ui/events_directory.ui
M	ui/import.ui
M	ui/import_queue.ui
M	ui/media.ui
M	ui/offline.ui
M	ui/photo.ui
M	ui/tags.ui
M	ui/trash.ui

commit b9feec526de83b4ad94a7dacc8916a9c65967841
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Thu Dec 22 16:47:54 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit a9e4ef6df60822cf2feb8eb621f81d82504e4806
Author: Jens Georg <mail@jensge.org>
Date:	Thu Dec 22 13:23:30 2016 +0100

    Add <Ctrl>-f as shortcut for search bar

    As mentioned in the documentation

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/library/LibraryWindow.vala

commit f576f5956f71dccf6ef127fccc9940824a8dd9d5
Author: Jens Georg <mail@jensge.org>
Date:	Thu Dec 22 13:23:11 2016 +0100

    Accellerators need to be null-terminated

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/AppWindow.vala

commit 684eb82f81d90947f0c0b5bb26d12a5f3cc6b74b
Author: Jens Georg <mail@jensge.org>
Date:	Wed Dec 21 15:15:27 2016 +0100

    flickr: Simplify OAuth result parsing

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/FlickrPublishing.vala

commit 95d62f14086662dc97684d13cf34e6eb53868812
Author: Jens Georg <mail@jensge.org>
Date:	Wed Dec 21 12:26:09 2016 +0100

    yandex: Update glade file

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/yandex_publish_model.ui

commit e6b9ffe51765e616b388232a338a437809687eaf
Author: Jens Georg <mail@jensge.org>
Date:	Wed Dec 21 12:17:13 2016 +0100

    tumblr: Update glade files

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/tumblr_authentication_pane.ui
M
plugins/shotwell-publishing-extras/tumblr_publishing_options_pane.ui

commit 6fb98fbc7ec5c97486600961502db8cc961130d1
Author: Jens Georg <mail@jensge.org>
Date:	Wed Dec 21 12:06:26 2016 +0100

    rajce: Update glade files

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/rajce_authentication_pane.ui
M
plugins/shotwell-publishing-extras/rajce_publishing_options_pane.ui

commit d5f2b6505c61dc9dfab71392534a91a6ecc242b1
Author: Jens Georg <mail@jensge.org>
Date:	Wed Dec 21 11:52:19 2016 +0100

    gallery3: Update glade files

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/gallery3_authentication_pane.ui
M
plugins/shotwell-publishing-extras/gallery3_publishing_options_pane.ui

commit 5dad7406da9c1c3adc63c57e508de06cd86b3a2c
Author: Jens Georg <mail@jensge.org>
Date:	Tue Dec 20 21:24:18 2016 +0100

    piwigo: Update glade files

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/piwigo_authentication_pane.ui
M	plugins/shotwell-publishing/piwigo_publishing_options_pane.ui
M	plugins/shotwell-publishing/piwigo_ssl_failure_pane.ui

commit d24ea86ff22911454b26157d223377bec498fe88
Author: Jens Georg <mail@jensge.org>
Date:	Tue Dec 20 21:23:56 2016 +0100

    picasa: Update glade file

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/picasa_publishing_options_pane.ui

commit 68b0fb3debbcce1e3683f732a40ef771f56b6a21
Author: Jens Georg <mail@jensge.org>
Date:	Tue Dec 20 21:19:36 2016 +0100

    facebook: Update publishing pane

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/facebook_publishing_options_pane.ui

commit c4eac442dea23bc35c772250e27bfa7226067a79
Author: Jens Georg <mail@jensge.org>
Date:	Tue Dec 20 20:59:29 2016 +0100

    flickr: Update glade files

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/flickr_pin_entry_pane.ui
M	plugins/shotwell-publishing/flickr_publishing_options_pane.ui

commit eb8612cd6fafcac7d42baacd33697958e198941e
Author: Jens Georg <mail@jensge.org>
Date:	Tue Dec 20 13:28:13 2016 +0100

    Fix toolbar in camera import page

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=776298

M	src/Resources.vala
M	src/camera/ImportPage.vala

commit 021d6bc3a0540b5a8cb3b752faa22f5b7e688c4e
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Tue Dec 20 12:17:48 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit 0fa222a858adee5014c91dd2a8de0658b3a4ec24
Author: Jens Georg <mail@jensge.org>
Date:	Sun Dec 18 20:05:44 2016 +0100

    Add Quit menu item to File menu

    If the shell does have AppMenu. Not having itbroke my workflow
    quite badly.

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Page.vala
M	ui/direct.ui
M	ui/event.ui
M	ui/events_directory.ui
M	ui/import.ui
M	ui/import_queue.ui
M	ui/media.ui
M	ui/offline.ui
M	ui/photo.ui
M	ui/tags.ui
M	ui/trash.ui

commit 9df5346f7428d3359e22c8281e1572adad85e7c9
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Dec 17 17:02:59 2016 +0100

    Updated Czech translation

M	po/cs.po

commit 3591a7977872b7134afd76bb94e847d115784f11
Author: Jens Georg <mail@jensge.org>
Date:	Fri Dec 16 23:11:51 2016 +0100

    Fix item in Tag page context menu

    Signed-off-by: Jens Georg <mail@jensge.org>

M	ui/tags.ui

commit a4e8bd539157381f8bd962b017b2d9966df6cada
Author: Jens Georg <mail@jensge.org>
Date:	Fri Dec 16 23:11:32 2016 +0100

    Fix actions on sidebar context menu

    Signed-off-by: Jens Georg <mail@jensge.org>

M	ui/sidebar_default_context.ui
M	ui/tag_sidebar_context.ui

commit fdf099ed0902a2b7553ee78b17a548e1b560f8de
Author: Jens Georg <mail@jensge.org>
Date:	Fri Dec 16 23:11:14 2016 +0100

    Fix critical when re-using popup menu

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/sidebar/Tree.vala

commit ae78abb368cf0928e47fc28756a3675b5de5872c
Author: Jens Georg <mail@jensge.org>
Date:	Fri Dec 16 22:22:33 2016 +0100

    Fix rating action

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/SearchFilter.vala
M	ui/import.ui
M	ui/offline.ui
M	ui/trash.ui

commit 5fea37e591b98968121dbc05679c0a5e8755fb74
Author: Jens Georg <mail@jensge.org>
Date:	Fri Dec 16 22:16:01 2016 +0100

    Hack to switch menubar in the application window

    Apparently the Gtk.ApplicationWindow only reloads the menu bar
    from the
    Application if the gtk-shell-shows-menubar property changes

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/library/LibraryWindow.vala

commit 48a0f15cf9c76ee91e8c85b2625099daa53db303
Author: Jens Georg <mail@jensge.org>
Date:	Fri Dec 16 21:31:32 2016 +0100

    Add missing tags context menu

    Signed-off-by: Jens Georg <mail@jensge.org>

M	ui/tags.ui

commit da0e59545f50f2545a8c6f5619a3e0f7f0b25b04
Author: Jens Georg <mail@jensge.org>
Date:	Thu Dec 15 08:57:01 2016 +0100

    Guess convert when UTF-8 validation fails

    If validation of a text is requested and it fails, try to convert from
    current locale if not UTF-8, otherwise fall-back to windows-1252 and
    iso-8859-1.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=718107

M	src/util/string.vala

commit 3da461946b4148d338fc9b9a116191ef7ad85bc6
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Thu Dec 15 08:39:08 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit 057c8d8a470db9f971225c4e866de82b964433d1
Author: Jens Georg <mail@jensge.org>
Date:	Tue Dec 13 19:25:47 2016 +0100

    Fix event page context menu

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/events/EventPage.vala

commit e2940082c6e44526d9494a13443064f544a597ba
Author: Jens Georg <mail@jensge.org>
Date:	Mon Dec 12 18:19:56 2016 +0100

    Prepare 0.25.2

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS
M	configure.ac
M	debian/changelog

commit 1b117dcf0161697a137e955727ef868f1bee9f2f
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Mon Dec 12 15:12:25 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit e59f3184266543c057c96290b95a5392c31d9bbf
Author: Jens Georg <mail@jensge.org>
Date:	Sun Dec 11 16:15:04 2016 +0100

    Fix make distcheck

    Signed-off-by: Jens Georg <mail@jensge.org>

M	shotwell.am

commit 76e8dabf9d043773f6335269e536c876c3cd21e9
Author: Jens Georg <mail@jensge.org>
Date:	Fri Dec 9 23:52:00 2016 +0100

    Fix context menu on import page

    More left-over from the GLib.Action rework

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/camera/ImportPage.vala

commit 7794d0401071d180b23741f1950b598340048307
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:	Thu Dec 8 20:27:38 2016 +0100

    Updated Danish translation

M	po/da.po

commit 00e3e01fee5b9a062b40c055f527442b191178fe
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Wed Dec 7 08:28:59 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit 81c6c321ab01313b4a55b24fc8c645d43561e85e
Author: Jens Georg <mail@jensge.org>
Date:	Mon Dec 5 23:42:05 2016 +0100

    Fix Undo/Redo adaptive labeling

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/AppWindow.vala
M	src/Page.vala

commit 01da01587dc184a940a9bbf2d84ab0647dcf30d5
Author: Jens Georg <mail@jensge.org>
Date:	Mon Dec 5 23:27:43 2016 +0100

    Re-add label switching for background menu item

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/CollectionPage.vala
M	src/Page.vala
M	src/PhotoPage.vala

commit 3b7754f2a92a34180d82bc2627f99e23d330109c
Author: Jens Georg <mail@jensge.org>
Date:	Mon Dec 5 22:42:49 2016 +0100

    One more missing SetBackground shortcut

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/CollectionPage.vala

commit 25ef3e05e3573bf39efd8d07fe038c6a61fccd20
Author: Jens Georg <mail@jensge.org>
Date:	Mon Dec 5 20:57:51 2016 +0100

    Make two dialogs Template-based

    Also fixes an issue with upcoming vala release

    Signed-off-by: Jens Georg <mail@jensge.org>

M	org.gnome.Shotwell.gresource.xml
M	shotwell.am
M	src/Dialogs.vala
M	ui/Makefile.am
M	ui/set_background_dialog.ui
M	ui/set_background_slideshow_dialog.ui

commit 7da6f0ea5fe79cc377ef01af685e8458c0a8e05a
Author: Jens Georg <mail@jensge.org>
Date:	Sun Dec 4 20:55:26 2016 +0100

    Move gresource to top-level

    Prepare for vala --gresources which does not have the --sourcedir
    parameter so
    it looks for the referenced files next to the resource file

    Signed-off-by: Jens Georg <mail@jensge.org>

A	org.gnome.Shotwell.gresource.xml
M	shotwell.am
D	src/org.gnome.Shotwell.gresource.xml

commit a6e8b19ed137682917cb2d7e600476f8ff265a5f
Author: Jens Georg <mail@jensge.org>
Date:	Sun Dec 4 20:12:30 2016 +0100

    Add missing shortcut for Set Background

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/PhotoPage.vala
M	src/direct/DirectPhotoPage.vala

commit e2a9987638ef1e12ad30d7559ccfe508a4d8afed
Author: Jens Georg <mail@jensge.org>
Date:	Sat Dec 3 23:28:43 2016 +0100

    Fix opacity of disabled icons

    The icons added in 7589900c4ee3f790fd57474a64978193bd839424 were
    darker than
    the "original" disabled icons; apply the missing opacity change to
    the PNGs

    Signed-off-by: Jens Georg <mail@jensge.org>

M	icons/filter-flagged-disabled.png
M	icons/filter-photos-disabled.png
M	icons/filter-raw-disabled.png
M	icons/filter-videos-disabled.png

commit b3a37f6bbbd5fd147b73a8f29eb776085c0ee42c
Author: Jens Georg <mail@jensge.org>
Date:	Sat Dec 3 23:23:37 2016 +0100

    Small clean-up

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/editing_tools/EditingTools.vala
M	src/util/misc.vala

commit 545ea734a93befc34a59b63090d67e5df34bf3a9
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Fri Dec 2 07:31:24 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit c430023b92ef28aa6a5cdae8abd2b2bda366944c
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Thu Dec 1 07:38:52 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit 832f4aaa24e663682e27add8c916407e334af8de
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Dec 1 03:16:55 2016 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 7589900c4ee3f790fd57474a64978193bd839424
Author: Jens Georg <mail@jensge.org>
Date:	Thu Dec 1 01:31:50 2016 +0100

    Remove Gtk.IconFactory

    Use Gtk.IconTheme and add the four -disabled variants used in
    SearchBar.

    Signed-off-by: Jens Georg <mail@jensge.org>

A	icons/filter-flagged-disabled.png
A	icons/filter-photos-disabled.png
A	icons/filter-raw-disabled.png
A	icons/filter-videos-disabled.png
M	src/Resources.vala
M	src/SearchFilter.vala
M	src/util/image.vala

commit b954655410f5d8351067bd3fb7aef1f6267ffdb7
Author: Jens Georg <mail@jensge.org>
Date:	Thu Dec 1 01:27:41 2016 +0100

    Fix initial searchbar state

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/library/LibraryWindow.vala

commit cbe584674eba4c1196135c6f5d8df0ce3ff09a31
Author: Jens Georg <mail@jensge.org>
Date:	Thu Dec 1 01:18:07 2016 +0100

    Fix type filter action for search bar

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/SearchFilter.vala

commit 003c7fd16cb896b20dd664a9bd1ccb870098de9c
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 30 23:21:29 2016 +0100

    debian: Fix makeshlibs

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/rules

commit 708d0aca71a2369a6b56ba2292c9c77792b196fd
Author: Jens Georg <mail@jensge.org>
Date:	Tue Nov 29 23:57:43 2016 +0100

    Suppress error on git version check

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 6e6a51b3a5b939322e0a40c2f2766367969721c2
Author: Jens Georg <mail@jensge.org>
Date:	Sat Nov 26 10:14:59 2016 +0100

    Use AppMenu

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=719279

M	src/Application.vala
M	src/direct/DirectWindow.vala
M	src/library/LibraryWindow.vala
M	src/org.gnome.Shotwell.gresource.xml
A	ui/appmenu.ui
M	ui/direct.ui
M	ui/event.ui
M	ui/events_directory.ui
M	ui/import.ui
M	ui/import_queue.ui
M	ui/media.ui
M	ui/offline.ui
M	ui/photo.ui
M	ui/tags.ui
M	ui/trash.ui

commit cf253ba83df8e7b64431ba47ce6f6eaecd4290e9
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Wed Nov 30 08:06:53 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit abefe41125206a8bd13fd2d3b8d514104c8490bd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Nov 27 17:26:40 2016 +0100

    Update Polish translation

M	po/pl.po

commit 63766d02e16c88dc0906d25760fd789586949c7a
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sat Nov 26 10:52:56 2016 +0000

    Update German translation

M	po/de.po

commit 2d7aae3e2d66e09efb58b32fbc9828962dfc5898
Author: Jens Georg <mail@jensge.org>
Date:	Sat Nov 26 09:06:38 2016 +0100

    Fix c&p error in publishing result

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/publishing/PublishingUI.vala

commit c1bfc20645f388150d62680388a565e7c14f5d59
Author: gogo <trebelnik2@gmail.com>
Date:	Fri Nov 25 22:09:44 2016 +0000

    Update Croatian translation
    (cherry picked from commit ea4d90848de74ec9eb20b18332bfafb31795ac37)

M	po/hr.po

commit 1bc0b23c1c9f264fd5158a883e6e65c051684a77
Author: Jens Georg <mail@jensge.org>
Date:	Fri Nov 25 20:20:56 2016 +0100

    Wrap bottom toolbar into a Gtk.Revealer

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/library/LibraryWindow.vala

commit d9c46b697a7b888240a4436752788dec036389d4
Author: Jens Georg <mail@jensge.org>
Date:	Fri Nov 25 19:58:04 2016 +0100

    Fix disabled rating filter menu

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/SearchFilter.vala

commit 070a14ee74d49669b1e49b787c5322549d047e65
Author: Jens Georg <mail@jensge.org>
Date:	Fri Nov 25 19:52:58 2016 +0100

    Fix search header hiding

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/SearchFilter.vala
M	src/library/LibraryWindow.vala

commit c5f5ae947573591f6536fbe2942ef58772bdb67d
Author: Jens Georg <mail@jensge.org>
Date:	Fri Nov 25 19:05:08 2016 +0100

    Fix initial sort order

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/MediaPage.vala

commit d50fc3d02eb804144159ba58fbb218f5b35900c9
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 24 23:02:03 2016 +0100

    Prevent cricial on start-up

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/library/LibraryWindow.vala

commit 1763804167a4afd0b024eaa38cdde011806800c4
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 24 23:01:44 2016 +0100

    Use proper strings for states

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/MediaPage.vala
M	src/PhotoPage.vala
M	src/SearchFilter.vala

commit aae874a437d5074562887eced6fd38ceae33fb9e
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 23 23:47:55 2016 +0100

    Fix typo

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/events/EventsDirectoryPage.vala

commit 78d4241ece3c6679b2cec7a226dac9a18c85a30e
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 23 23:15:08 2016 +0100

    Add forgotton initialisation for states

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/library/LibraryWindow.vala

commit 368c897bb6ddced1e120ec74765390ae803361f1
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 23 23:14:36 2016 +0100

    Use change_state to set initial action state

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/MediaPage.vala
M	src/PhotoPage.vala
M	src/SearchFilter.vala
M	src/camera/ImportPage.vala
M	src/events/EventsDirectoryPage.vala

commit 4bcd9e9bfc3fdaf61e30fad4a9fe0d509727cb01
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 23 22:52:07 2016 +0100

    Update README

    Signed-off-by: Jens Georg <mail@jensge.org>

M	README

commit 38347d6e03930e479c1fdcceb63291694fe383e5
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 23 18:53:26 2016 +0100

    Add missing About action

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=774901

M	src/AppWindow.vala

commit c7ee3bffae33fb8445d63419985bc84a881d2b1a
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	Tue Nov 22 23:15:11 2016 +0000

    Update Hungarian translation

M	po/hu.po

commit 2bd9761ba434353114215d15e397e9e9b0fba6eb
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	Tue Nov 22 13:28:43 2016 +0100

    Updated Czech translation

M	po/cs.po

commit 8dd5b215d3ada4e2061b5e468e341c3336d4d0dc
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	Tue Nov 22 13:26:54 2016 +0100

    Updated Czech translation

M	po/cs.po

commit 9984f365ab9407791f58792a71b71d15d974b64e
Author: Jens Georg <mail@jensge.org>
Date:	Mon Nov 21 20:30:37 2016 +0100

    Prepare 0.25.1

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS
M	configure.ac
M	debian/changelog

commit 25ee2b5cdabc7632e5bd4c41dc04e8f06f533275
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Mon Nov 21 17:41:14 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit 1eec412e97c255c9ca235e039dcdc59ee4c3c140
Author: Jens Georg <mail@jensge.org>
Date:	Sun Nov 20 23:54:09 2016 +0100

    Fix crash when clicking on tool window in wayland

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/editing_tools/EditingTools.vala

commit a409642472f9609e470ed9216b944c0c87f47637
Author: Jens Georg <mail@jensge.org>
Date:	Sun Nov 20 23:48:22 2016 +0100

    Fix resource dependency generation

    Signed-off-by: Jens Georg <mail@jensge.org>

M	publish.am
M	shotwell.am

commit 916804df42f54092365d74378f6fca3266453721
Author: Jens Georg <mail@jensge.org>
Date:	Sun Nov 20 23:48:12 2016 +0100

    Dist resource file

    Signed-off-by: Jens Georg <mail@jensge.org>

M	shotwell.am

commit f0de94576ba0463f829acf05423fac6d95c83bb3
Author: Jens Georg <mail@jensge.org>
Date:	Sun Nov 20 23:18:31 2016 +0100

    Remove another useless context menu title

    Signed-off-by: Jens Georg <mail@jensge.org>

M	ui/savedsearch.ui

commit a2a4e194f831e1533676878300a41fcdac9c4ca6
Author: Jens Georg <mail@jensge.org>
Date:	Sun Nov 20 23:13:08 2016 +0100

    Work-around issue with photo context menu

    Since we are not using separate action groups anymore, so leaving
    collection page is disabling the actions we just enabled in PhotoPage.

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/CollectionPage.vala

commit 9ae5339a193c8a14cc81d77867e9bd02dde038b0
Author: Jens Georg <mail@jensge.org>
Date:	Sun Nov 20 21:11:29 2016 +0100

    Do not show menubar on fullscreen

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/AppWindow.vala

commit d557aa766770eee4f11635e3a017b1d053f0574f
Author: Jens Georg <mail@jensge.org>
Date:	Sun Nov 20 20:35:30 2016 +0100

    Remove unnecessary context menu label

    Signed-off-by: Jens Georg <mail@jensge.org>

M	ui/direct_context.ui

commit 3760e9eb404ef14e8e8bdc30e614ecb9f7c94be2
Author: Jens Georg <mail@jensge.org>
Date:	Sun Nov 20 19:55:33 2016 +0100

    Remove deprecations from shotwell.ui

    https://bugzilla.gnome.org/show_bug.cgi?id=767181

M	src/Dialogs.vala
M	ui/shotwell.ui

commit dbd298480651d80be3651e594b2efc1b20580cf5
Author: Jens Georg <mail@jensge.org>
Date:	Sun Nov 20 16:06:14 2016 +0100

    Replace from_stock in EventsDirectoryPage

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/events/EventsDirectoryPage.vala

commit 1e39fb34441615555cb25da2786ae2d85412aeb0
Author: Jens Georg <mail@jensge.org>
Date:	Sun Nov 20 15:44:32 2016 +0100

    Remove deprecated calls from properties

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Properties.vala

commit e3ed5ceb07be8581000272b6fe8fd250a4975f9d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Nov 20 18:31:29 2016 +0100

    Update Polish translation

M	po/pl.po

commit ab05955e1b0c8dbe3c86b0c829af49c18813d1a2
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Sat Nov 19 01:52:24 2016 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit cae15e6ea12990a477c62c8fc06849618f102ffb
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Fri Nov 18 12:35:18 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit 482249a12230612aab927458c892432b45d8e1c9
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Fri Nov 18 08:18:03 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit 94e107e021a24df2a99f0eb6b84449111908f744
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 17 22:59:53 2016 +0100

    More ngettext for plurals

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Dialogs.vala

commit 3a67c97a5aa7779c106401c62914c53c800967d9
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 17 22:59:44 2016 +0100

    Remove deprecated code from Dialogs

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Dialogs.vala
M	ui/shotwell.ui

commit bb5a1ac6776e6e8348266a77f6798e31c6160ea6
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 17 22:26:54 2016 +0100

    Remove deprecated calls from PhotoPage

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/PhotoPage.vala

commit 96b325abdfec494294f3bc6233d999a4968de8ab
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 17 21:51:13 2016 +0100

    Remove deprecations from AppWindow

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/AppWindow.vala

commit 875b0f8fa30ddb30eb3ba81ff4db7307c9c7603e
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 17 21:43:21 2016 +0100

    Fix warning about pointer cast

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/PixbufCache.vala
M	src/threads/BackgroundJob.vala

commit 7135d7a4687dbbc61d1d9babe29060f23da1fbbc
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 17 18:15:45 2016 +0100

    Publishing: Use ngettext for plurals

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/publishing/PublishingUI.vala

commit fa430d09a1b407dae551dcfd0302486b0cdfdd1f
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 17 18:15:28 2016 +0100

    Fix deprecations in Imports UI

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/data_imports/DataImportsUI.vala

commit eb9f7826392aa96306dfd102f0ee7d5e2dd40d02
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 17 18:00:51 2016 +0100

    publishing: Fix criticals when switching to Facebook

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/publishing/PublishingUI.vala

commit 8bdbd6bdbe729915fcb3bb3c8e7acdac7c172924
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 17 16:53:39 2016 +0100

    Remove deprecated function from Tree

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/sidebar/Tree.vala

commit 2d3bcae244075abedb5853b380bac539dde87da1
Author: Jens Georg <mail@jensge.org>
Date:	Thu Nov 17 16:52:29 2016 +0100

    Remove dead code

    Not used anymore after putting stars as unicode

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/SearchFilter.vala

commit 30abef1ac4778f0cd7a08fd23171e76011c84d9a
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Nov 17 11:21:56 2016 +0100

    Updated Czech translation

M	po/cs.po

commit 80fd4d15591e6cca50072e530e4fd9cd6ff9c6af
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Nov 17 08:17:13 2016 +0000

    Update Spanish translation

M	help/es/es.po

commit db76214268f16829125bc3b89e8381c8230ecb49
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 16 23:09:32 2016 +0100

    SearchBar: Remove star icons

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=771788

M	src/SearchFilter.vala

commit 5901f0282e6ce6b0b3a27248552c5cf8d492706a
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 16 22:21:10 2016 +0100

    Make Find toolbar button a toggle button

    Signed-off-by: Jens Georg <mail@jensge.org>

M	ui/collection.ui

commit 9be90a6bd45ca410f273b722b2726e0868640498
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 16 22:11:34 2016 +0100

    Gdk.Seat exists only since 3.20

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Page.vala
M	src/library/LibraryWindow.vala

commit aef3f23f92c4df33f932ee5d1af3a4e9a33d266d
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 16 21:52:57 2016 +0100

    Use change_state instead of set_state

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/library/LibraryWindow.vala

commit 6ae8259658aa63e03bc1cfdd73403f2e9ef75cf4
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	Wed Nov 16 11:41:07 2016 +0100

    Updated Czech translation

M	po/cs.po

commit ef8d4068d58d09b81af688f98f4a855fe444b930
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 16 00:52:17 2016 +0100

    Remove deprecated calls from LibraryWindow

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/library/LibraryWindow.vala

commit 0410d948509def958eda90a91d8bfc28b03a7670
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 16 00:40:15 2016 +0100

    Remove deprecations from PublishingUI

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/publishing/PublishingUI.vala

commit b6acc7475fe707f75fab55eaa160881118f46b9d
Author: Jens Georg <mail@jensge.org>
Date:	Tue Nov 15 23:55:09 2016 +0100

    Remove deprecated calls from ManifestWidget

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/plugins/ManifestWidget.vala

commit ebfb5620ef054276b84eb0a5aaf87bc2c26dd9fd
Author: Jens Georg <mail@jensge.org>
Date:	Tue Nov 15 23:47:55 2016 +0100

    Dedeprecate Adjust Tool

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/editing_tools/EditingTools.vala

commit bbccb6eded1d1e65d0c1ef65b22cfc4f06fc8b4a
Author: Jens Georg <mail@jensge.org>
Date:	Tue Nov 15 23:47:02 2016 +0100

    Dedeprecate RedEye Tool

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/editing_tools/EditingTools.vala

commit 21559b2ba0696a0db9c050a5872ca7c7c8b98f1d
Author: Jens Georg <mail@jensge.org>
Date:	Tue Nov 15 23:46:43 2016 +0100

    Dedeprecate EditingTools base class

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/editing_tools/EditingTools.vala

commit 36410aa0942d029e0cb2e199ed70bffaf3e15d52
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Nov 15 12:30:24 2016 +0100

    i18n: Remove files with no translations from POTFILES.in and
    POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit 3d4319a28d800e9e1f3ffb032f78d7b531ff1178
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Nov 15 12:20:14 2016 +0100

    i18n: Add intermediate C files to POTFILES.skip

M	po/POTFILES.skip

commit 46ceedff9eb3fa29a4b76b6c93b185c08ccc09b1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Nov 15 12:17:59 2016 +0100

    i18n: Add missing files to POTFILES.in

M	po/POTFILES.in

commit aadd627f44499cc0a830249f31b306ef30ba2596
Author: Jens Georg <mail@jensge.org>
Date:	Mon Nov 14 23:59:01 2016 +0100

    Dedeprecate Page

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Page.vala

commit f8f42e7a7dee8cedbb115309671468a7fd1e81e0
Author: Jens Georg <mail@jensge.org>
Date:	Mon Nov 14 23:27:25 2016 +0100

    Use GtkApplication menubar, get accels for free

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/AppWindow.vala
M	src/Application.vala
M	src/Page.vala
M	src/direct/DirectWindow.vala
M	src/library/LibraryWindow.vala

commit 17c8587e485cc8fad18abdecc2d6fa603416c973
Author: Jens Georg <mail@jensge.org>
Date:	Wed Oct 19 21:56:15 2016 +0200

    Remove GtkUIManager and Gtk*Action*

    https://bugzilla.gnome.org/show_bug.cgi?id=768271

    Signed-off-by: Jens Georg <mail@jensge.org>

M	shotwell.am
M	src/AppWindow.vala
M	src/Application.vala
M	src/CollectionPage.vala
M	src/MediaPage.vala
M	src/Page.vala
M	src/PhotoPage.vala
M	src/Resources.vala
M	src/SearchFilter.vala
M	src/camera/ImportPage.vala
M	src/direct/DirectPhotoPage.vala
M	src/events/EventPage.vala
M	src/events/EventsDirectoryPage.vala
M	src/library/ImportQueuePage.vala
M	src/library/LibraryWindow.vala
M	src/library/OfflinePage.vala
M	src/library/TrashPage.vala
M	src/org.gnome.Shotwell.gresource.xml
M	src/searches/Branch.vala
M	src/searches/SavedSearchPage.vala
M	src/sidebar/Tree.vala
M	src/tags/Branch.vala
M	src/tags/TagPage.vala
M	src/util/ui.vala
M	ui/collection.ui
M	ui/direct.ui
M	ui/direct_context.ui
M	ui/event.ui
M	ui/events_directory.ui
M	ui/import.ui
M	ui/import_queue.ui
M	ui/media.ui
M	ui/offline.ui
M	ui/photo.ui
M	ui/photo_context.ui
M	ui/savedsearch.ui
M	ui/search_bar.ui
M	ui/search_sidebar_context.ui
M	ui/set_background_dialog.ui
M	ui/sidebar_default_context.ui
M	ui/tag_sidebar_context.ui
M	ui/tags.ui
M	ui/top.ui
M	ui/trash.ui

commit 1206252faec829f23857ceb1e6e5150459e289a8
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 29 09:53:13 2016 +0200

    piwigo: Port Option pane to BuilderPane

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/PiwigoPublishing.vala

commit e8755595eee86d8fc417815f176ebc79da06e523
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 29 03:16:27 2016 +0200

    common,piwigo: Add "default" widget to BuilderPane

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/common/BuilderPane.vala
M	plugins/shotwell-publishing/PiwigoPublishing.vala

commit 816b12dcd20cdba94f98d317bed67f5738fd6a3b
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 29 03:11:24 2016 +0200

    piwigo: Port SSL pane to BuilderPane

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/PiwigoPublishing.vala

commit 941eeecc49cb0131abecce9a163513a3d3d1b135
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 29 02:47:30 2016 +0200

    piwigo: Simplify category name parsing a bit

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/PiwigoPublishing.vala

commit a9a507bf91f5244bef8fb00cc13793723bec5c47
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 29 02:28:49 2016 +0200

    piwigo: Port authentication dialog to builder pane

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/PiwigoPublishing.vala

commit beb3005c4cc8085856ed7f06178434ab45a8784a
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 29 02:28:30 2016 +0200

    common: Add BuilderPane

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
A	plugins/common/BuilderPane.vala

commit bb8acd09cb6107ab3b97ac05dadefb00d83bcb92
Author: Jens Georg <mail@jensge.org>
Date:	Fri Oct 21 17:49:10 2016 +0200

    Remove GtkMisc from SeachFilter

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/SearchFilter.vala

commit ed928a0f498dd1004105094245b8170107fd7e2c
Author: Jens Georg <mail@jensge.org>
Date:	Fri Oct 21 17:43:39 2016 +0200

    De-deprecate SavedSearchDialog

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/searches/SavedSearchDialog.vala

commit 2dd03b3ea8a50fc031c91f79df65b9d2a4d25b13
Author: Jens Georg <mail@jensge.org>
Date:	Fri Oct 21 17:39:09 2016 +0200

    build: Disable misleading warnings caused by valac

    Signed-off-by: Jens Georg <mail@jensge.org>

M	common.am

commit 8a93cf67b561815fa1f5cec88fcc65f392a4496c
Author: Jens Georg <mail@jensge.org>
Date:	Wed Oct 19 21:55:14 2016 +0200

    De-deprecate crop tool

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac
M	shotwell.am
M	src/editing_tools/EditingTools.vala
A	src/org.gnome.Shotwell.gresource.xml

commit 2c91f2cf6017cd841c621fd10b6a5976623843b9
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 1 17:27:34 2016 +0200

    De-deprecate StraightenTool

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/editing_tools/StraightenTool.vala

commit e1c1bafe21b84457b1c7242ee29c59071e4faad2
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 1 17:18:44 2016 +0200

    publishin-extra: Remove deprecations from Yandex

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/YandexPublishing.vala
M	plugins/shotwell-publishing-extras/yandex_publish_model.ui

commit 7cd7dc282e5f4affac450257a779bdf90b47623d
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 1 17:11:31 2016 +0200

    publishing-extra: Remove deprecations from Tumblr

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/TumblrPublishing.vala
M	plugins/shotwell-publishing-extras/tumblr_authentication_pane.ui

commit 2b13b39e6ed1e7da5e5eb19d4c28917c8bdca7b7
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 1 17:07:17 2016 +0200

    publishing-extra: Remove deprecations from Rajce

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/RajcePublishing.vala
M	plugins/shotwell-publishing-extras/rajce_authentication_pane.ui

commit ef0f0e77056ddf95cb2b239b1a5c1a6189b72a91
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 1 16:49:23 2016 +0200

    pubishing: Revamp Piwigo dialogs

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/PiwigoPublishing.vala
M	plugins/shotwell-publishing/piwigo_authentication_pane.ui
M	plugins/shotwell-publishing/piwigo_publishing_options_pane.ui

commit c3352e8dbee06d582c2b22f40fd629e0ff22f1c0
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Mon Nov 14 08:48:57 2016 +0000

    Update Spanish translation

M	po/es.po

commit 7e1415a56094159709643685d7bb2e47108c9145
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Nov 13 14:33:10 2016 +0100

    Update Polish translation

M	po/pl.po

commit f01c6a9ca870fd4c1f5150e1c53cb47c817503e1
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Fri Nov 11 12:44:40 2016 +0000

    Update Spanish translation

M	po/es.po

commit c8cacef72095daef28bc71945b7bd42ab40662ce
Author: Jens Georg <mail@jensge.org>
Date:	Fri Nov 11 00:32:04 2016 +0100

    Prevent dropping the index on evey start

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/db/PhotoTable.vala

commit e969f1839544e7555f8f52d68f3279bffec33be7
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	Thu Nov 10 12:50:12 2016 +0100

    Updated Czeach translation

M	po/cs.po

commit b836f7f8f90c4a8ebf0365464306742f17f614ad
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Thu Nov 10 10:16:00 2016 +0000

    Update Spanish translation

M	po/es.po

commit e09cc440be5545515814e244fba1fa6aa5555cde
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 9 22:21:57 2016 +0100

    Use ngettext for some plural forms

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Resources.vala

commit 55a29cabf8e46a0db6a66672a062e666d981a9be
Author: Jens Georg <mail@jensge.org>
Date:	Wed Nov 9 21:48:26 2016 +0100

    Remove uniqueness of PhotoTableMD5Format index

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=772223

M	src/db/PhotoTable.vala

commit a35867695dff4478a3c60087611cb90e5b7d8692
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Wed Nov 9 09:20:17 2016 +0000

    Update Kazakh translation

M	po/kk.po

commit 098e84788934f41d216c49d58740af5c212b5697
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Tue Nov 8 23:33:53 2016 +0200

    Update Latvian translation

M	help/lv/lv.po

commit ea3d4296160051b1c980cc5df131da6f6c80b1e1
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Tue Nov 8 23:30:18 2016 +0200

    Update Latvian translation

M	help/lv/lv.po
M	po/lv.po

commit 7a4d6d810dd54fce9cee905a10b60615494a922c
Author: Marek Černocký <marek@manet.cz>
Date:	Tue Nov 8 08:15:11 2016 +0100

    Updated Czech translation

M	po/cs.po

commit d135612c2cc079253021b5c757ca386d7c706d31
Author: Jens Georg <mail@jensge.org>
Date:	Mon Nov 7 23:59:11 2016 +0100

    Dist misc.vapi

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am

commit d5c9ffb6e430ce641c657e390107311e105671f5
Author: Damian Pietras <bug1@daper.net>
Date:	Mon Nov 7 13:29:00 2016 +0000

    thumbnailer: fix double close()

    A file descriptor used to communicate with the video thumbnailer
    process is
    closed twice. In case another thread allocates the same descriptor
    number in
    the meantime, the second close() actually closes a descriptor not
    owned by the
    thread. This causes crashes in most cases or unexpected behaviour.

    https://bugzilla.gnome.org/show_bug.cgi?id=774057

M	src/VideoSupport.vala

commit 22908394f043723c78f90a9143b04338108fca09
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Mon Nov 7 10:29:36 2016 +0000

    Update Spanish translation

M	po/es.po

commit 4a325a09618a6f4f02067207a525fd54d3e04b99
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Fri Nov 4 11:59:02 2016 +0000

    Update Spanish translation

M	po/es.po

commit bcdc5e49bc065e2e60449d6b4d50c15a04b85b57
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Fri Nov 4 07:53:51 2016 +0000

    Update Spanish translation

M	po/es.po

commit c852ecce570cf5c261808539f8825cd0f72f27e4
Author: Marina Prado <mapraro93@hotmail.com>
Date:	Thu Nov 3 09:08:39 2016 +0000

    Update Spanish translation

M	po/es.po

commit bca67bfe286a1d67e19f82391f1bf4650a43e2bf
Author: Jens Georg <mail@jensge.org>
Date:	Tue Nov 1 21:11:55 2016 +0100

    Fix missing parameters in Tumblr publisher

    Fix by Jürg Billeter

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/TumblrPublishing.vala

commit 2f4504d78d29ccb80145b596a25e6fefe5f9c656
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 29 12:23:17 2016 +0200

    common: Remove extra box around webview

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/common/WebAuthenticationPane.vala

commit c941492caa504aae3c8a695f45d49c9a8c502b46
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 29 02:09:36 2016 +0200

    publishing: Fix resource dependencies

    Signed-off-by: Jens Georg <mail@jensge.org>

M	publish.am

commit 8999db51f67aeab1507d182742adc689dfbd9bb1
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 29 01:01:54 2016 +0200

    Remove deprecated Soup API

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing-extras/YandexPublishing.vala
M	plugins/shotwell-publishing/FacebookPublishing.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala

commit 6efc613556a6128c2e2a91bc5f528d183ad8710c
Author: Jens Georg <mail@jensge.org>
Date:	Wed Oct 26 13:23:06 2016 +0200

    Update debian

    - Add dependency to gcr3
    - Fix typo in rules file
    - Bump gexiv2 requirements

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/control
M	debian/rules

commit 65628886da590e2c290869d39b678fd6abe81673
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Sun Oct 30 23:21:11 2016 +0200

    Update Latvian translation

M	help/Makefile.am
A	help/lv/figures/trash_process.png
A	help/lv/lv.po

commit a82f9cfc23aad68f953a5e3414349a3e12a124e2
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sun Oct 30 18:10:17 2016 +0000

    Update German translation

M	po/de.po

commit 8cc28654affe568f156bc74a20fb4959160ac872
Author: Jens Georg <mail@jensge.org>
Date:	Mon Oct 24 20:09:08 2016 +0200

    Prepare 0.25.0 release

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS
M	debian/changelog

commit cec1eee8af5a79d2091c9b9b6bc26fab0593105d
Author: Jens Georg <mail@jensge.org>
Date:	Mon Oct 24 21:07:33 2016 +0200

    Distribute SSL ui panel

    Signed-off-by: Jens Georg <mail@jensge.org>

M	publish.am

commit ece15b26e968e76a9165ba4fdacfcde5a425fc38
Author: Jens Georg <mail@jensge.org>
Date:	Sun Oct 16 22:20:14 2016 +0200

    Enable SQL debugging through environment variable

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/db/DatabaseTable.vala

commit 68d021e037a95e77cea4afdd850378f1c52cd36e
Author: Jens Georg <mail@jensge.org>
Date:	Wed Oct 19 21:02:36 2016 +0200

    Hide "Folder" sidebar when empty

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=719127

M	src/folders/Branch.vala

commit 1f07d737505a2c4ecc7c2ed0e415a9f8b9f4bd26
Author: Jens Georg <mail@jensge.org>
Date:	Tue Oct 18 22:28:33 2016 +0200

    Blacklist vaapi decoder

    That makes things actually slow since it start-up isn't the best in
    the world
    and doesn't like to be triggered from multiple threads, causing
    the abort.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=762416

M	src/VideoSupport.vala
M	thumbnailer/shotwell-video-thumbnailer.vala

commit ec20147df422a340e7741586a193e50840bcb268
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:	Tue Oct 18 10:40:54 2016 +0200

    Remove superfluous parentheses

M	plugins/shotwell-transitions/CircleEffect.vala

commit 156a835a878a89767414dd12421af73a06c77c92
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Oct 16 22:01:01 2016 +0200

    Updated Czech translation

M	po/cs.po

commit 2db8881d70cd53fa2d26860a2598054798a06706
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	Tue Oct 11 07:45:50 2016 +0000

    Update Hungarian translation

M	po/hu.po

commit be57cf35c101c8a3901d4a166e20cb2e1baa7fdb
Author: Jordi Mas <jmas@softcatala.org>
Date:	Sun Oct 9 20:02:48 2016 +0200

    Update Catalan translation

M	po/ca.po

commit b7b9736c93ec86cc5d14ac7994b3ad18b10594b0
Author: Jens Georg <mail@jensge.org>
Date:	Sun Oct 9 18:53:48 2016 +0200

    libraw.vapi: Remove member added by accident

    Signed-off-by: Jens Georg <mail@jensge.org>

M	vapi/libraw.vapi

commit 0b56e8c667739120eba0eeee74cf7d2bbc4b5447
Author: Jens Georg <mail@jensge.org>
Date:	Sun Oct 9 18:42:17 2016 +0200

    piwigo: Fix creation of new albums

    Boolean is hard, to many states. Regression introduced by
    9d2b698023366e95baddbb677118a50e27bd6e8e

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=772648

M	plugins/shotwell-publishing/PiwigoPublishing.vala

commit b3debfb7bf14d01afb008a9debd28160a8100071
Author: Jens Georg <mail@jensge.org>
Date:	Sun Oct 9 18:25:12 2016 +0200

    libraw.vapi: Improve thumbnail binding

    Signed-off-by: Jens Georg <mail@jensge.org>

M	vapi/libraw.vapi

commit aade605b107272bd5a2c189f2dfec7f4ce6eb227
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 8 21:41:43 2016 +0200

    Fix typo in settings schema

    Signed-off-by: Jens Georg <mail@jensge.org>

M	misc/org.yorba.shotwell.gschema.xml

commit 3d55565cd36130cd9a3fcfc49a925fa9d13a06b2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Oct 9 08:55:32 2016 +0200

    Update Polish translation

M	po/pl.po

commit 91f0804130cb87aaf0cdfe1c58b2740c4748fedd
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:	Sat Oct 8 17:27:59 2016 +0200

    photos: Fix build with vala git

    Default values must be at least as accessible as the methods which
    require
    them.

M	src/photos/PhotoMetadata.vala

commit 826f2947caefe311006bc45e9420ed325002ad00
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 8 16:50:36 2016 +0200

    Port to new SoupSession API

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=767126

M	configure.ac
M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing/FacebookPublishing.vala

commit 2782abad7798f48a4c6c032eafba3f19bc829767
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 1 00:26:26 2016 +0200

    Make export dialog deprecated free

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Dialogs.vala

commit e3c78dc5689d2f02efa70871521b71efafcb319c
Author: Jens Georg <mail@jensge.org>
Date:	Tue Oct 4 23:32:51 2016 +0200

    Use GSettings default for export dialog

    Signed-off-by: Jens Georg <mail@jensge.org>

M	misc/org.yorba.shotwell.gschema.xml
M	src/Dialogs.vala
M	src/config/ConfigurationInterfaces.vala
M	src/config/GSettingsEngine.vala

commit 8b95f0de193e63fc7e87d1121d3ef8b26dceb86c
Author: Jens Georg <mail@jensge.org>
Date:	Tue Oct 4 22:33:14 2016 +0200

    Persist export dialog settings

    Based on original patch by Jonas Bushart.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=716259

M	misc/org.yorba.shotwell.gschema.xml
M	src/Dialogs.vala
M	src/config/ConfigurationInterfaces.vala
M	src/config/GSettingsEngine.vala

commit 1b73d9e16be8a73193062507c01877a937b305fc
Author: Jens Georg <mail@jensge.org>
Date:	Tue Oct 4 22:29:45 2016 +0200

    Remove deprecated GSettings calls

    Signed-off-by: Jens Georg <mail@jensge.org>

M	common.am
M	configure.ac
M	src/config/GSettingsEngine.vala

commit cb225f8db79e7b234447a37fc52e00f6e8a26903
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 8 14:26:21 2016 +0200

    Update git.mk

    Signed-off-by: Jens Georg <mail@jensge.org>

M	git.mk

commit b2b95c292d5440812e5c92ee4869727e1dbf71d0
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Thu Oct 6 11:47:55 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 8d823173ee9df9745c851556b7617e495c54a44d
Author: Jens Georg <mail@jensge.org>
Date:	Tue Oct 4 21:35:38 2016 +0200

    Remove old GTK+ work-around

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Dialogs.vala

commit ba8801a1e47d8e329b47db39678ebab6e02eef2a
Author: Marek Černocký <marek@manet.cz>
Date:	Tue Oct 4 14:22:12 2016 +0200

    Updated Czech translation

M	po/cs.po

commit 58e1e1b744226654692a742064577c3452995d9b
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	Tue Oct 4 08:43:19 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit 6afddeff92a119f5198c5c671e8431952bdd36ab
Author: Jens Georg <mail@jensge.org>
Date:	Mon Oct 3 22:12:01 2016 +0200

    piwigo: Prevent a critical

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/PiwigoPublishing.vala

commit fbee9252109833a0d63311408b114a01273aced7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Oct 3 15:19:08 2016 +0200

    Update POTFILES.in

M	po/POTFILES.in

commit 8560752d671dfa4991dbdba3a4b57afb356efcc5
Author: Jens Georg <mail@jensge.org>
Date:	Mon Oct 3 14:39:24 2016 +0200

    piwigo: Add option to show the certificate

    So the user can inspect the certificate before proceeding

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=767473

M	configure.ac
M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing/PiwigoPublishing.vala
M	plugins/shotwell-publishing/piwigo_ssl_failure_pane.ui
M	publish.am

commit 9c2aa03dde6538800ab3916635444c343058f462
Author: Jens Georg <mail@jensge.org>
Date:	Sun Oct 2 19:41:48 2016 +0200

    piwigo: Add option to override the SSL verification

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=767473

M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing/PiwigoPublishing.vala
M
plugins/shotwell-publishing/org.gnome.Shotwell.Publishing.gresource.xml
A	plugins/shotwell-publishing/piwigo_ssl_failure_pane.ui

commit 73007e5797dbcf4003d771ac0c4725989db513f1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Oct 3 13:23:23 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 1a76ac6f4210c0f3707dcc5e719377279ad85ddb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Oct 3 13:21:13 2016 +0200

    Remove one more instance of double spaces

M	src/Dialogs.vala

commit b173946ec6ed21f6ec264b0e87dcdac8654e6c0c
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	Mon Oct 3 09:50:53 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit ec738035daf4a7dd3373fd280a11f575a5985ec6
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Oct 3 11:39:46 2016 +0200

    Updated Czech translation

M	po/cs.po

commit 7ee95d4059c6f4ec8b5ee1583a73864d8b412540
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Oct 2 18:17:47 2016 +0200

    Remove double spaces from translatable strings

    https://bugzilla.gnome.org/show_bug.cgi?id=772339

M	plugins/shotwell-publishing/FlickrPublishing.vala
M	src/AppWindow.vala
M	src/Dialogs.vala
M	src/Exporter.vala
M	src/camera/ImportPage.vala
M	src/main.vala

commit 3d2acfe4204629df7fe62098e2c1810949776dca
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Oct 2 18:12:57 2016 +0200

    Fix spelling of "YouTube"

    https://bugzilla.gnome.org/show_bug.cgi?id=772339

M	plugins/shotwell-publishing/YouTubePublishing.vala

commit 96a2343b3673c25fb398972cf1036ced664e3162
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Oct 2 18:11:51 2016 +0200

    Fix spelling of "log in"

    "Log in" is the verb, "login" is the noun.

    https://bugzilla.gnome.org/show_bug.cgi?id=772339

M	plugins/shotwell-publishing-extras/RajcePublishing.vala
M	plugins/shotwell-publishing-extras/gallery3_authentication_pane.ui
M	plugins/shotwell-publishing-extras/rajce_authentication_pane.ui
M	plugins/shotwell-publishing-extras/tumblr_authentication_pane.ui
M	plugins/shotwell-publishing/FlickrPublishing.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/piwigo_authentication_pane.ui
M	ui/shotwell.ui

commit 7c0ad89676d662965388080f61d61359fd65fe35
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Oct 2 18:05:33 2016 +0200

    Use Unicode in translatable strings

    See https://developer.gnome.org/hig/stable/typography.html

    https://bugzilla.gnome.org/show_bug.cgi?id=772339

M	misc/org.yorba.shotwell.gschema.xml
M	misc/shotwell.appdata.xml.in
M	plugins/shotwell-publishing-extras/GalleryConnector.vala
M	plugins/shotwell-publishing-extras/RajcePublishing.vala
M	plugins/shotwell-publishing-extras/TumblrPublishing.vala
M	plugins/shotwell-publishing/FacebookPublishing.vala
M	plugins/shotwell-publishing/FlickrPublishing.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/PiwigoPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala
M	src/AppWindow.vala
M	src/Commands.vala
M	src/Dialogs.vala
M	src/MediaPage.vala
M	src/Printing.vala
M	src/Resources.vala
M	src/camera/ImportPage.vala
M	src/data_imports/DataImportsPluginHost.vala
M	src/editing_tools/EditingTools.vala
M	src/main.vala
M	src/publishing/PublishingPluginHost.vala

commit 9d2cf3536841ac0334c2ae6226fa3ed708a5b82b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Oct 2 13:15:26 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 63f541a70fa8cee7b2e4e5db1f14951175aa9e42
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	Sun Oct 2 08:07:14 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit 71f3951a5c9263b73e579435e7d738776679ba2f
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 1 18:16:14 2016 +0200

    Introduce common class for WebKit authenticator

    This was implemented/copied three times...

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=772295

M	Makefile.am
M	plugins/common/RESTSupport.vala
A	plugins/common/WebAuthenticationPane.vala
M	plugins/shotwell-publishing-extras/YandexPublishing.vala
M	plugins/shotwell-publishing/FacebookPublishing.vala

commit 5270d097485c7ca2f4729adc598d381c85491988
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 1 17:50:10 2016 +0200

    build: Silence some C warnings

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	common.am

commit cbb516968f97762cc3e80cc47a7a4904e8062772
Author: Jens Georg <mail@jensge.org>
Date:	Sat Oct 1 16:11:55 2016 +0200

    Remove deprecated call from util/image.vala

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/util/image.vala

commit 389e23b763a851a93cb6b2b8e4bd0165e754d7c5
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:	Fri Sep 30 18:58:54 2016 +0200

    Fix non-matching generic types of inferface implementations

M	src/Tag.vala

commit c5b028b808a0f35344872677a0bcd1ae2b625a5d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Fri Sep 30 10:19:59 2016 +0000

    Updated Spanish translation

M	po/es.po

commit 9dae1046df856f922419e57048d87ad878979f41
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Fri Sep 30 07:05:07 2016 +0000

    Updated German translation

M	po/de.po

commit 87dfca02f666fb9e903dd8cdcc3fd6ac98111841
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Sep 30 07:40:58 2016 +0200

    Updated Czech translation

M	po/cs.po

commit 5f569b1bcf3c387243e3f63326413a7d7f572bad
Author: Jens Georg <mail@jensge.org>
Date:	Thu Sep 29 23:06:43 2016 +0200

    Fix copy-paste error

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/photos/PhotoMetadata.vala

commit cb79cb4e5681a5069fb66e655b747cece133a004
Author: Jens Georg <mail@jensge.org>
Date:	Thu Sep 29 13:12:38 2016 +0200

    Replace ... with …

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=765149

M	src/AppWindow.vala
M	src/Dialogs.vala
M	src/Printing.vala
M	src/Resources.vala
M	src/camera/ImportPage.vala
M	src/direct/DirectPhotoPage.vala
M	src/library/ImportQueuePage.vala
M	src/library/LibraryWindow.vala
M	src/library/OfflinePage.vala
M	src/main.vala
M	src/plugins/Plugins.vala
M	src/publishing/PublishingUI.vala
M	src/searches/Branch.vala
M	src/sidebar/Tree.vala
M	src/tags/HierarchicalTagUtilities.vala
M	ui/direct.ui
M	ui/events_directory.ui
M	ui/import.ui
M	ui/import_queue.ui
M	ui/media.ui
M	ui/offline.ui
M	ui/photo.ui
M	ui/trash.ui

commit 515e311ca1f0bcef525e5beee7075a4474b87676
Author: Jens Georg <mail@jensge.org>
Date:	Thu Sep 29 08:55:48 2016 +0200

    Bump gexiv2 requirement to 0.10.4

    Necessary for a bugfix required for proper ACDSEE tag support

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 9218b13bd7ef86e8f3f7de7e98b6ac64f6dd162a
Author: Jens Georg <mail@jensge.org>
Date:	Tue Sep 20 21:19:31 2016 +0200

    Support acdsee tags

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=718586

M	shotwell.am
M	src/photos/PhotoMetadata.vala
A	vapi/misc.vapi

commit 912cd8b707bf4fbe91c99314bd17fa928da23cf2
Author: Jens Georg <mail@jensge.org>
Date:	Wed Sep 28 23:32:01 2016 +0200

    Remove warning about obsolete style property

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Resources.vala

commit d821a4a49f357005bab6c71f0fb7116491d2bf96
Author: Jens Georg <mail@jensge.org>
Date:	Wed Sep 28 23:11:32 2016 +0200

    Fix focus handling of fullscreen viewer

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=771969

M	src/AppWindow.vala

commit f343d9a359e2924e2498c7287222f79e3e2d867c
Author: Jens Georg <mail@jensge.org>
Date:	Sat Sep 17 08:33:23 2016 +0200

    Fix side-casting issues in generics handling

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/MediaDataRepresentation.vala
M	src/MediaMonitor.vala
M	src/PhotoPage.vala
M	src/Tag.vala
M	src/core/ContainerSourceCollection.vala
M	src/core/ViewCollection.vala

commit bddc2ea7151c81e8979b3342fc89921600d4b45d
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sun Sep 25 17:16:35 2016 +0000

    Updated German translation
    (cherry picked from commit 230a0b28eb7b0a671ac549e85329beefddbc06eb)

M	help/de/de.po

commit 3a25208a2aa69a347a0d8a915dd8b8dd6c72614f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Sep 24 22:20:06 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 968da8e0998ff561d29d6e8324461779618725ad
Author: Benedikt M. Thoma <gnome@thomba.net>
Date:	Fri Sep 23 17:11:56 2016 +0000

    Updated German translation

M	po/de.po

commit 4e2911b6fa27b272552ea9f5d39ed85c55461010
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Fri Sep 23 00:35:09 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 3c9f707f29e5cee407603ef9128e843e35d42969
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Fri Sep 23 00:32:10 2016 +0000

    Updated Brazilian Portuguese translation
    (cherry picked from commit f4b68102e46f3fa896438db753b39f4b413107bb)

M	po/pt_BR.po

commit c056c251eb469e70d488c013b46b2a8f7875f038
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Thu Sep 22 18:26:05 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit 0ebdf12e12fc12899e72db4b59edf8d65d0e0e23
Author: Jordi Mas <jmas@softcatala.org>
Date:	Thu Sep 22 19:55:58 2016 +0200

    Fix in Catalan translation

M	po/ca.po

commit 270f26ce715c1f178fd707e7a648ad4433ee87cc
Author: Jens Georg <mail@jensge.org>
Date:	Wed Sep 21 21:44:42 2016 +0200

    Fix mixup when clicking Reset

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/editing_tools/EditingTools.vala

commit 15bf3742ff2fd23605713d092d3d961fee58ab72
Author: Marek Černocký <marek@manet.cz>
Date:	Wed Sep 21 21:35:44 2016 +0200

    Updated Czech translation

M	po/cs.po

commit dbe7eed4fe3e088319903385e0a07ed46154f512
Author: Jens Georg <mail@jensge.org>
Date:	Wed Sep 21 21:00:47 2016 +0200

    Add debug output of shotwell's current timezone

    Support debugging of date/time related issues

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/main.vala

commit 0046657c9f16706231be2194ed3d085ccb543c05
Author: Jens Georg <mail@jensge.org>
Date:	Wed Sep 21 20:56:07 2016 +0200

    Add debug log when shifting events

    This is to better be able to determine whether the event duplication
    reported
    in several bugs is happening due to event shifting

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Event.vala

commit 36d0265618b504d1c1d6187bf04709dd60d0a9ce
Author: Josh Freeman <josh@twilightedge.com>
Date:	Sun Jul 3 20:44:04 2016 +0200

    Add contrast adjustments to settings

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=716660

M	src/ColorTransformation.vala
M	src/editing_tools/EditingTools.vala

commit bb1fa45a0de8cffda51363db0b6d5b4bbaf3592d
Author: Jens Georg <mail@jensge.org>
Date:	Tue Sep 20 21:10:15 2016 +0200

    Post-release version bump

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit b6d70e14df54f4cf39f050682271f5cdd7b52aa8
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Wed Sep 21 11:26:55 2016 +0000

    Updated Swedish translation

M	help/sv/sv.po

commit c6d5fe9bb77d97c534f8239c6331dc1f41df324b
Author: Jens Georg <mail@jensge.org>
Date:	Tue Sep 20 21:02:10 2016 +0200

    Prepare Shotwell 0.24

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS
M	configure.ac

commit 2d300134b66139f3dc18577bedf83266a3e0b13c
Author: Jens Georg <mail@jensge.org>
Date:	Sun Sep 18 20:02:34 2016 +0200

    Fix leak while scrolling

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/core/DataObject.vala

commit 14b8ae055f24b81b802ec83fcd2487c03a17630f
Author: Bernd Homuth <dev@hmt.im>
Date:	Mon Sep 19 15:00:09 2016 +0000

    Updated German translation
    (cherry picked from commit 728b17e779c2c27941ecfa74037beb1025f85fe6)

M	po/de.po

commit 611ccd55e58b40ab6a4a718a154ea0d001d8e433
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Sep 19 08:50:33 2016 +0200

    Updated Czech translation

M	po/cs.po

commit c569aec6cd42816b39c81c0da65c5e8790915bd5
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	Sun Sep 18 19:11:29 2016 +0000

    Updated German translation
    (cherry picked from commit 0f346cc9cc410ede68f8b8d6abe113792f87a3e1)

M	po/de.po

commit 998f2217574d2afbbe54cd17e473eb6b511adc1b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Sep 13 20:25:15 2016 +0200

    Updated Spanish translation

M	po/es.po

commit 15e7e747cddb9f38631a3f8f658d7201c3c7969a
Author: Marek Černocký <marek@manet.cz>
Date:	Tue Sep 13 11:17:45 2016 +0200

    Updated Czech translation

M	help/cs/cs.po

commit 5890d3a28c65c6cd1b5f045553db189b4dd515b8
Author: Jens Georg <mail@jensge.org>
Date:	Mon Aug 29 21:34:31 2016 +0200

    Prepare 0.23.7

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS
M	configure.ac
M	debian/changelog

commit ac1a7e199a839938afd995b619a8e6390e0f18a1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Sep 10 19:14:36 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 5877c476006587906d1ea8e08b0ce9a873da02da
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Sep 4 10:45:58 2016 +0200

    Updated Czech translation

M	po/cs.po

commit 8d4610d44b4a3e8caf161ef7dd2b35a70ffa5712
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Sep 4 10:42:50 2016 +0200

    Updated Czech translation

M	po/cs.po

commit da24ba3195f6a8bf0953c5126a96aa27aa553239
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sat Sep 3 17:28:59 2016 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 54b9a8f3393b5dba6572ad97d8b9e307d24ad2e8
Author: Boram Kim <boramism@gmail.com>
Date:	Sat Sep 3 12:59:02 2016 +0000

    Updated Korean translation

M	po/ko.po

commit 4b627b459d511e94f75150e5f573efea25643308
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Mon Aug 29 21:36:26 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit 79dc5aab2b6eeb63654d593c841a7e477686eb77
Author: Jens Georg <mail@jensge.org>
Date:	Mon Aug 29 21:08:14 2016 +0200

    Prepare 0.23.6

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS

commit 2b188c92f3863879680bd87dadd4306afe92853e
Author: Jens Georg <mail@jensge.org>
Date:	Sun Aug 28 23:12:18 2016 +0200

    Revert accidental Gtk.Alignment changes

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Dialogs.vala

commit e622ff00005d2f8208a634e610f46b8dad19e340
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Aug 28 14:18:48 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 015e91e2d630619589ba80a5a45dd6d485f6cdcb
Author: Jens Georg <mail@jensge.org>
Date:	Sat Aug 27 15:15:37 2016 +0200

    Make thm a recognized extension for JPEG

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=759246

M	src/Dialogs.vala
M	src/photos/JfifSupport.vala

commit 50988f92f8d4021b6245598f7cb55a16f928226c
Author: Jens Georg <mail@jensge.org>
Date:	Fri Aug 26 23:24:18 2016 +0200

    import: Improve messages on empty camera

    Tell the user that the camera is considered empty instead of stating
    "Starting
    import" forever.

    Also, improve wording on no files to import because "hide already
    imported" is
    active and no new files are available

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=718796

M	src/camera/ImportPage.vala

commit 901d0440b6f4b4f04ef9e888893e0999ec52e890
Author: Jens Georg <mail@jensge.org>
Date:	Fri Aug 26 22:23:50 2016 +0200

    Fix rename tags/saved searches

    So that it is possible to right-click anywhere in the row and have the
    text entry activated correctly instead of just working when clicking
    on the
    text itself.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=731480

M	src/sidebar/Tree.vala

commit ceffbe7129a91114611e134f666897669c0b3bcd
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Thu Aug 25 21:00:02 2016 +0300

    Update Latvian translation

M	po/lv.po

commit c3f68006d0211f88deff3a07afd13e72e3334030
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Wed Aug 24 22:05:31 2016 +0300

    Update Latvian translation

M	po/lv.po

commit 937a2e1f326d4afed9f48b39cbdee4c196a01c0c
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Wed Aug 24 21:43:38 2016 +0300

    Update Latvian translation

M	po/lv.po

commit 52f070abda1afda26c8c269e61a89fbb20fec879
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	Tue Aug 23 18:49:13 2016 +0000

    Updated German translation

M	help/de/de.po

commit 28cd09c496da5c85804d68de16bc45869cf61eda
Author: Jens Georg <mail@jensge.org>
Date:	Tue Aug 23 20:05:44 2016 +0200

    Remove langinfo.vapi

    Was already contained in Posix vapi, missed that

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	shotwell.am
M	src/Printing.vala
M	src/Resources.vala
D	vapi/langinfo.vapi

commit 6ee5fcb96b1c799eebc09a65b9b30b37612bfdc1
Author: Jens Georg <mail@jensge.org>
Date:	Fri Aug 19 08:54:37 2016 +0200

    Remove LConv in favor of langinfo

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	shotwell.am
M	src/Printing.vala
D	vapi/LConv.vapi

commit 45dfd3402677d91d9efaea99f4fb6eb7a630c299
Author: Jens Georg <mail@jensge.org>
Date:	Tue Aug 16 21:02:34 2016 +0200

    Sort out locale-dependent times

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=716533

M	Makefile.am
M	shotwell.am
M	src/Resources.vala
A	vapi/langinfo.vapi

commit 5ab55d5b1b00a1879f19c68ba8831fed92793894
Author: Jens Georg <mail@jensge.org>
Date:	Tue Aug 16 12:43:12 2016 +0200

    debian: Update

     - New Changelog
     - Remove librest requirement
     - Recommend desktop-file-utils

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/changelog
M	debian/control

commit c531cf7afba01fb0ad1cabdd3fc1cc6f7a994a6e
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Sat Aug 20 11:45:30 2016 +0000

    Updated Hungarian translation

M	help/hu/hu.po

commit 44456ead0265e3cbd07916ae730e7a76b33070e0
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Thu Aug 18 20:06:06 2016 +0000

    Updated German translation

M	help/de/de.po

commit 150ceadb6bc68b2d19e646ba43bdcf916fa4325c
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Wed Aug 17 15:25:08 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit 4950ba1bff31cca61740de4d0e3321d4c880591b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Aug 16 09:35:41 2016 +0200

    Updated Polish translation

M	po/pl.po

commit dde70c9f059d5a3f023effaa49e0a461d5b0efe3
Author: Jens Georg <mail@jensge.org>
Date:	Mon Aug 15 20:49:58 2016 +0200

    Post-release version bump

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 1abdf94cb09efcb66b6d9ecfe27533234ce43117
Author: Jens Georg <mail@jensge.org>
Date:	Mon Aug 15 20:06:08 2016 +0200

    Prepare 0.23.5

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS

commit 1cc6334df12fe3d56b6e10216e6a98c43d3c274e
Author: Jens Georg <mail@jensge.org>
Date:	Mon Aug 15 20:37:40 2016 +0200

    Fix make distcheck

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	import.am
M	publish-extra.am
M	publish.am
M	transition.am

commit 108c52cc14224ff0cd128afca4f85607fab2aa59
Author: Jens Georg <mail@jensge.org>
Date:	Mon Aug 15 10:33:13 2016 +0200

    debian: Bump compat to get libexecdir without pkgname

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/compat

commit 2e245bfc0b6e94acf53793bddfeded7573925ccc
Author: Jens Georg <mail@jensge.org>
Date:	Mon Aug 15 10:32:33 2016 +0200

    Fix settings migrator and thumbnailer path

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/AppDirs.vala

commit df59088bb8a4ec62a4c77ca99be51ca05ef6cca0
Author: Jens Georg <mail@jensge.org>
Date:	Mon Aug 15 09:24:18 2016 +0200

    Temporarily drop gettext requirement

    The macro doesn't seem to understand that 1.19.8.1 is newer that
    1.19.8

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 4b5002105dbd398672fbcd0ea3be351b9e0eb77d
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Sun Aug 14 21:57:23 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 5079bf096992f2120b19664c04ad7a6a010e68e0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Aug 14 23:47:08 2016 +0200

    Updated Polish translation

M	po/pl.po

commit b2003e04bab5ab82b7268c33db84496289f07c98
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Sun Aug 14 18:18:52 2016 +0300

    Updated Hebrew translation

M	po/he.po

commit 5fd7f10a1282306d2efdad48b5a2f417e0a3ea65
Author: Jens Georg <mail@jensge.org>
Date:	Sun Aug 14 01:30:01 2016 +0200

    Re-add --disable-extra-plugins configure option

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	configure.ac

commit 50d09d62facee9f38413d47f13d49780fba4b6ce
Author: burningTyger <burningTyger@users.noreply.github.com>
Date:	Fri Aug 5 18:59:25 2016 +0200

    Update org.yorba.shotwell.gschema.xml

    typo

M	misc/org.yorba.shotwell.gschema.xml

commit f779defe2b68396876c670dcb8735590a007c329
Author: Jens Georg <mail@jensge.org>
Date:	Fri Aug 12 19:01:47 2016 +0200

    Explicitly link plugins

    Also, drop dependency on librest. Apparently it was only used for
    hmac_sha1.

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac
M	import.am
M	publish-extra.am
M	publish.am
M	shotwell.am
M	transition.am

commit 4e81e449e2f12022c394ebc5383e06fdd3c1eb4d
Author: Jens Georg <mail@jensge.org>
Date:	Fri Aug 12 19:01:16 2016 +0200

    git: Ignore resource.c

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am

commit 5ccfd5ddd611a0715e0a682003db35a1cfcbeb30
Author: Daniel Landau <daniel@landau.fi>
Date:	Fri Jul 22 11:10:54 2016 +0300

    Add option to filter by saved search

    https://bugzilla.gnome.org/show_bug.cgi?id=717321

M	src/CollectionPage.vala
M	src/SearchFilter.vala
M	src/library/FlaggedPage.vala
M	src/library/OfflinePage.vala
M	src/library/TrashPage.vala
M	src/searches/SavedSearchDialog.vala

commit 932c069ee35dff32d92b0a1ff04273210c77f684
Author: Jens Georg <mail@jensge.org>
Date:	Fri Aug 12 12:05:43 2016 +0200

    SSL: Make it more clear that something failed

    First step of improved SSL communication. Make it more clear that
    something
    unrecoverably failed with SSL instead of just re-displaying the
    auth page.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=767473

M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing/PiwigoPublishing.vala
M	src/plugins/PublishingInterfaces.vala

commit 644f056255e903d56eff4a152911da86ea164803
Author: Andreas Brauchli <a.brauchli@elementarea.net>
Date:	Thu Aug 11 15:08:10 2016 +0200

    Implement linked tags

    The tag list underneath the thumbnails is now interactive:
    * Hover over a tag to highlight it by underlining the tag text,
      unless dragging is active.
    * Click a tag to switch to the tag page, as if the was selected in the
      sidebar.

    Tag class changes:
    * make_tag_string() now demands a sorted list of terminal tags. This
      ensures that the sort order is maintained when generating the string
      representation of the list.
      The new make_user_visible_tag_list() can be used to filter and
      sort a Tag
      Collection accordingly.

    * Fix a bug in Tag.make_tag_string:
      A list of seen tags is kept to not show tags with the same string
      representation (but potentially different tag-path) twice. However,
      tags were never added to the list, such that it always remained
      empty
      and new items were thus compared against the empty list.

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=717523

M	src/CheckerboardLayout.vala
M	src/Page.vala
M	src/Tag.vala
M	src/Thumbnail.vala

commit 4e1c2ec3b8bc87f1f40ef3a9550516c16a991f05
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jul 15 20:14:33 2016 +0200

    i18n: Disambiguate start strings of date groups

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=750902

M	src/Resources.vala

commit 5b3a91c7379fb4746bf670a2c8c34c1eb049d944
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Wed Aug 10 21:21:13 2016 +0000

    Updated German translation

M	po/de.po

commit bfd587a073404a24a0a24902621d0ed80d011497
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Wed Aug 10 12:40:00 2016 +0000

    Updated Slovak translation

M	po/sk.po

commit fc1ba4133cefa97d4b0e3183e010ac657f95d948
Author: Jordi Mas <jmas@softcatala.org>
Date:	Mon Aug 8 21:50:14 2016 +0200

    Update Catalan translation

M	po/ca.po

commit 1ce610f31435958c72874f110c71f4f40bf2ac2b
Author: Jordi Mas <jmas@softcatala.org>
Date:	Sun Aug 7 23:44:04 2016 +0200

    Update Catalan translation

M	po/ca.po

commit db933a76ec9badccef24d02144700fea92465650
Author: Jens Georg <mail@jensge.org>
Date:	Fri Aug 5 23:35:59 2016 +0200

    publishing: Remove reference to external hmac_sha1

    Flicker had another external reference I overlooked.

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/FlickrPublishing.vala

commit 71ec94aa52e5bccf4e438804f45321e39f284fb1
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jul 29 00:22:19 2016 +0200

    Fix issue with indexes on PhotoTable

     - thumbnail_md5 might actually not be unique for various reasons
     - Second index was a duplicate of the first instead of using
     thumbnail_md5

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=742670

M	src/db/PhotoTable.vala

commit a44252bc0339bfc0afc0721ba96c34f77c5aadee
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jul 29 00:14:16 2016 +0200

    Update INSTALL

    Signed-off-by: Jens Georg <mail@jensge.org>

M	INSTALL

commit 0e2b2d936a9829fdbf0862de3df7915592ddb935
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jul 24 21:48:42 2016 +0200

    Fix invalid warning on index creation

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/db/PhotoTable.vala

commit dab860338412d9bf7a219d6a2a74cb56bac0b87b
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jul 24 19:28:58 2016 +0200

    Update debian packages

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/changelog
M	debian/control
D	debian/manpages
M	debian/rules
A	debian/shotwell.install

commit f04002baca62d84692bf5b6698a00c0a066522bf
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jul 24 08:50:07 2016 +0200

    Minor cosmetic build changes

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 320aad4a22527cb74c75d49331fff3e7abfb680d
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Tue Aug 2 13:35:38 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 1d086dcf064501c088a08fe2ab88d998b8b85aff
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Aug 1 05:03:46 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 5a28246f86e2c86d9a14183593614a81d55d5787
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Jul 25 04:17:31 2016 +0200

    Add Language headers to po files

    Future versions of gettext will fail if this header is missing.

M	po/af.po
M	po/ast.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/en_GB.po
M	po/et.po
M	po/gu.po
M	po/hi.po
M	po/hr.po
M	po/it.po
M	po/lv.po
M	po/mk.po
M	po/ml.po
M	po/mr.po
M	po/nn.po
M	po/or.po
M	po/pa.po
M	po/sl.po
M	po/sr@latin.po
M	po/th.po
M	po/zh_HK.po

commit 767950c196c447d69b47df7a5180d41f3bae0c26
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jul 24 08:44:28 2016 +0200

    Add indexs to PhotoTable

    To speed up duplicate searches. This is the first try on my rather
    limited set
    of images; if these don't provide a decent speedup, we might need
    to create
    some covering indexes.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=742670

M	src/db/PhotoTable.vala

commit 2744ffdc377cb7b5b42d67d3e3c469f8b6cac19a
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jul 23 08:28:44 2016 +0200

    Use MessageDialog's printf for strings

    Fixes issue where mark-up was shown as-is

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=768360

M	src/Dialogs.vala

commit 49f63dacac74571924ffe7f4290b553a6a286a8e
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jul 22 22:25:38 2016 +0200

    Require gettext 0.19.8

    Otherwise we are hit by http://savannah.gnu.org/bugs/?47991 and get
    an invalid
    string in Keyword line in the .desktop file

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 255a39c9e5c9df94bc16f2988ac50f9bc6dd9866
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jul 22 22:18:24 2016 +0200

    Fix .desktop file generation

    Fixes https://bugs.archlinux.org/task/50129

    Signed-off-by: Jens Georg <mail@jensge.org>

M	misc/Makefile.am

commit 9b5ed5a29086215a5cdf82f38d1145848d7a6c4f
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jul 22 21:58:07 2016 +0200

    Offer a way to hide bottom toolbar

    Available in menu like sidebar and with <Ctrl>-F9 Shortcut (slightly
    following
    GNOME Builder there)

    Only for LibarayWindow. Fullscreen and Slideshow offer their own
    means of
    (auto-)hiding the toolbar already.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=741962

M	misc/org.yorba.shotwell.gschema.xml
M	src/config/ConfigurationInterfaces.vala
M	src/config/GSettingsEngine.vala
M	src/library/LibraryWindow.vala
M	ui/events_directory.ui
M	ui/import.ui
M	ui/media.ui
M	ui/offline.ui
M	ui/photo.ui
M	ui/trash.ui

commit 83e2e81d8c3f824ff7131ec42ef0dc9d83a9ef8c
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jul 20 00:41:20 2016 +0200

    publishing-extra: Load resources from GResource

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=747368

M	plugins/shotwell-publishing-extras/GalleryConnector.vala
M	plugins/shotwell-publishing-extras/RajcePublishing.vala
M	plugins/shotwell-publishing-extras/TumblrPublishing.vala
M	plugins/shotwell-publishing-extras/YandexPublishing.vala
A
plugins/shotwell-publishing-extras/org.gnome.Shotwell.Publishing.Extras.gresource.xml
M	publish-extra.am

commit 8f86cdaaa86f2d42d1d85f84b71995e93abc5dbc
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jul 20 00:19:45 2016 +0200

    publish: Load resources from GResource

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=747368

M	plugins/shotwell-publishing/FacebookPublishing.vala
M	plugins/shotwell-publishing/FlickrPublishing.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/PiwigoPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala
A
plugins/shotwell-publishing/org.gnome.Shotwell.Publishing.gresource.xml
M	publish.am

commit 23ad562bef8f3b85bb901e5cea78cf389a1695d3
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jul 19 23:36:08 2016 +0200

    import: Load icon from resource

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=747368

M	import.am
M	plugins/shotwell-data-imports/FSpotImporter.vala
A
plugins/shotwell-data-imports/org.gnome.Shotwell.Imports.gresource.xml

commit 92e38a39ddfcb193af3932db71027cd4e3360b08
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jul 19 23:35:43 2016 +0200

    transitions: Load icon from resource

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=747368

M	Makefile.am
M	configure.ac
M	plugins/common/Resources.vala
A
plugins/shotwell-transitions/org.gnome.Shotwell.Transitions.gresource.xml
M	plugins/shotwell-transitions/shotwell-transitions.vala
M	transition.am

commit 16dd5b5a82c5139c51de27dbaf5f275d8ebadedb
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jul 19 23:17:57 2016 +0200

    Remove obsolete file

    Signed-off-by: Jens Georg <mail@jensge.org>

D	help/C/Makefile
D	plugins/Makefile
D	plugins/common/Makefile
D	plugins/shotwell-data-imports/Makefile
D	plugins/shotwell-publishing-extras/Makefile
D	plugins/shotwell-publishing/Makefile
D	plugins/shotwell-transitions/Makefile
D	samples/simple-plugin/Makefile
D	test/Makefile

commit 807cb2b45a8eb3b8826cbc93caf67c4d1cca758d
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jul 20 20:52:39 2016 +0200

    Post-release version bump

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 09e4622b111d7def1a039dab1e69e0063e1e2ac1
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jul 20 19:56:05 2016 +0200

    Prepare 0.23.4

    Signed-off-by: Jens Georg <mail@jensge.org>

M	NEWS

commit f90efa308c0b8e7c5e241b0eacaa55ecd80f865d
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jul 20 19:54:35 2016 +0200

    Link common library against plugin dependencies

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am

commit 1803e74f8a90b13aecc2f70114a0bca565304fea
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Jul 20 10:37:36 2016 +0000

    Updated Spanish translation

M	po/es.po

commit e5aa53ac37f031ffdd66ebcca1cc548474ae8400
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Jul 19 11:28:43 2016 +0000

    Updated Spanish translation

M	po/es.po

commit 1102a7ec65295605537354bbc607c81c31e8fcb9
Author: Jens Georg <mail@jensge.org>
Date:	Mon Jul 18 22:26:44 2016 +0200

    Post-release version bump

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 06ca7688ec221da20f321798b289b8d86bddf8b9
Author: Jens Georg <mail@jensge.org>
Date:	Mon Jul 18 21:04:56 2016 +0200

    Prepare 0.23.3

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	NEWS

commit 1a24435b8d23f180d92ca957a86542badb699908
Author: Jens Georg <mail@jensge.org>
Date:	Mon Jul 18 19:51:14 2016 +0200

    Update git.mk use

    Signed-off-by: Jens Georg <mail@jensge.org>

D	.gitignore
M	Makefile.am
M	app-icons/Makefile.am
M	help/Makefile.am
M	icons/Makefile.am
M	misc/Makefile.am
D	test/.gitignore
M	ui/Makefile.am

commit 4be27a585842eb7a1c91670c37c08582d2117f10
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jul 15 20:11:05 2016 +0200

    i18n: Extract comments

    Signed-off-by: Jens Georg <mail@jensge.org>

M	po/Makevars

commit 91796a5d914937b967c553cdd819d5aa67312a5b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Jul 15 12:34:31 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 99898a5cf36689ee499ae0428c4b471fd9ed911a
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Wed Jul 13 22:15:22 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 6941dff10c6704753b3728b05ffb17a081d48bbf
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jul 13 21:49:08 2016 +0200

    page: Make empty filter result message more clear

    Instead of the "No photos/videos found" use "No photos/videos
    found which
    match the current filter" to make clear that it's because of the
    current
    filter settings

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=719122

M	src/Page.vala

commit 60188949d8446896782f200801fdd7ceeb3ef7b2
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Tue Jul 12 16:00:11 2016 +0000

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit e20f0128680ce2d872821fac0d85525b07b9ced7
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Tue Jul 12 15:53:58 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 90d24e0badb68007433e2d29ba7a82315aa42caf
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jul 10 15:31:47 2016 +0200

    i18n: Use dpgettext2 for strings marked with NC_

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Commands.vala
M	src/Dialogs.vala
M	src/SearchFilter.vala

commit 1eb0bda52970a86e751cb1789d1205f350538c65
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jul 10 14:47:49 2016 +0200

    i18n: Add C_ to vala keywords

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=744255

M	po/Makevars

commit bd7a1964184dd219c742503f7969bf6f806e39a6
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jul 10 14:07:39 2016 +0200

    build: Fix out-of-tree build

    Signed-off-by: Jens Georg <mail@jensge.org>

M	import.am
M	publish-extra.am
M	publish.am
M	shotwell.am
M	transition.am

commit ab1da26c95bb0aafac637b81a1368a5d743dbcbc
Author: Lorenz Adam Damara <lorenzadam@resolution-consulting.co.id>
Date:	Sun Jul 10 08:25:14 2016 +0000

    Updated Indonesian translation

M	po/id.po

commit 39677ce320ed4048db77d7ae270d8b37e00c181b
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	Sat Jul 9 05:59:12 2016 +0000

    Updated Portuguese translation

M	po/pt.po

commit 417aecadbcb8d0ce0ff34f20d13774f538efe5c0
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:	Fri Jul 8 09:43:47 2016 +0200

    Fix compile warnings with vala git

M	plugins/shotwell-data-imports/FSpotImporter.vala
M	plugins/shotwell-data-imports/FSpotMetaTable.vala
M	plugins/shotwell-data-imports/FSpotPhotoTagsTable.vala
M	plugins/shotwell-data-imports/FSpotPhotoVersionsTable.vala
M	plugins/shotwell-data-imports/FSpotPhotosTable.vala
M	plugins/shotwell-data-imports/FSpotRollsTable.vala
M	plugins/shotwell-data-imports/FSpotTagsTable.vala
M	plugins/shotwell-publishing-extras/GalleryConnector.vala
M	plugins/shotwell-publishing/PiwigoPublishing.vala
M	src/Box.vala
M	src/db/Db.vala
M	src/plugins/PublishingInterfaces.vala

commit 8073b6efc597f32c6dd323c38b5d401c7af52da5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Jul 6 21:32:18 2016 +0200

    Updated Polish translation

M	po/pl.po

commit cf6e2f1ed0d06d4f6f975963b6817eec67fce1f7
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jul 5 19:49:30 2016 +0200

    Update debian

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/changelog

commit 21ef4cbb03d3ebac5f70cf368d80c2d851a91892
Author: Jens Georg <mail@jensge.org>
Date:	Mon Jul 4 21:38:11 2016 +0200

    i18n: Unset XGETTEXT_OPTIONS. Default for Vala is fine

    Signed-off-by: Jens Georg <mail@jensge.org>

M	po/Makevars

commit e2ff74c3403f77164704532dec554a88224f03a5
Author: Jens Georg <mail@jensge.org>
Date:	Mon Jul 4 21:15:45 2016 +0200

    i18n: Fix Builder file extraction

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/GalleryConnector.vala
M	plugins/shotwell-publishing-extras/RajcePublishing.vala
M	plugins/shotwell-publishing-extras/TumblrPublishing.vala
M	plugins/shotwell-publishing-extras/YandexPublishing.vala
R098
plugins/shotwell-publishing-extras/gallery3_authentication_pane.glade
plugins/shotwell-publishing-extras/gallery3_authentication_pane.ui
R098
plugins/shotwell-publishing-extras/gallery3_publishing_options_pane.glade
plugins/shotwell-publishing-extras/gallery3_publishing_options_pane.ui
R098	plugins/shotwell-publishing-extras/rajce_authentication_pane.glade
plugins/shotwell-publishing-extras/rajce_authentication_pane.ui
R098
plugins/shotwell-publishing-extras/rajce_publishing_options_pane.glade
plugins/shotwell-publishing-extras/rajce_publishing_options_pane.ui
R098
plugins/shotwell-publishing-extras/tumblr_authentication_pane.glade
plugins/shotwell-publishing-extras/tumblr_authentication_pane.ui
R099
plugins/shotwell-publishing-extras/tumblr_publishing_options_pane.glade
plugins/shotwell-publishing-extras/tumblr_publishing_options_pane.ui
R100	plugins/shotwell-publishing-extras/yandex_publish_model.glade
plugins/shotwell-publishing-extras/yandex_publish_model.ui
M	plugins/shotwell-publishing/FacebookPublishing.vala
M	plugins/shotwell-publishing/FlickrPublishing.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/PiwigoPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala
R099	plugins/shotwell-publishing/facebook_publishing_options_pane.glade
plugins/shotwell-publishing/facebook_publishing_options_pane.ui
R100	plugins/shotwell-publishing/flickr_pin_entry_pane.glade
plugins/shotwell-publishing/flickr_pin_entry_pane.ui
R099	plugins/shotwell-publishing/flickr_publishing_options_pane.glade
plugins/shotwell-publishing/flickr_publishing_options_pane.ui
R100	plugins/shotwell-publishing/picasa_publishing_options_pane.glade
plugins/shotwell-publishing/picasa_publishing_options_pane.ui
R099	plugins/shotwell-publishing/piwigo_authentication_pane.glade
plugins/shotwell-publishing/piwigo_authentication_pane.ui
R100	plugins/shotwell-publishing/piwigo_publishing_options_pane.glade
plugins/shotwell-publishing/piwigo_publishing_options_pane.ui
R100	plugins/shotwell-publishing/youtube_publishing_options_pane.glade
plugins/shotwell-publishing/youtube_publishing_options_pane.ui
M	po/POTFILES.in
M	publish-extra.am
M	publish.am
M	src/AppWindow.vala
M	src/Dialogs.vala
M	ui/Makefile.am
R100	ui/set_background_dialog.glade	ui/set_background_dialog.ui
R100	ui/set_background_slideshow_dialog.glade
ui/set_background_slideshow_dialog.ui
R100	ui/shotwell.glade	ui/shotwell.ui

commit db02aaf77cf1538e81f4f0ca168517d8eb7e2585
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jul 3 19:05:10 2016 +0200

    build: Don't distribute C files

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am

commit 4e60fa58611e9fe9bf280623dca844c003c1e274
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jul 3 12:18:19 2016 +0200

    i18n: Disambiguate "Edit Title"

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=744251

M	src/Dialogs.vala
M	src/Resources.vala

commit b28a8032780184abedb39ba851d43ce1fe949c69
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jul 3 12:03:01 2016 +0200

    i18n: Remove obsolete string

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=744254

M	src/Resources.vala

commit 80eb7957dc86b19f1b977ba810e7cc8a3f57514d
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jul 3 11:50:30 2016 +0200

    i18n: Disambiguate string "Add Tags"

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=744255

M	src/Resources.vala

commit ed492f7e595e00995e46122ee472790bd7533e8e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Jul 4 12:39:02 2016 +0000

    Updated Spanish translation

M	help/es/es.po

commit 37408a403b01eafdc37636cd70224b53832be83f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Jul 4 07:20:34 2016 +0000

    Updated Spanish translation

M	help/es/es.po

commit a795d48a82d66a806d95292bc23645f1c80ada84
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Jul 4 03:43:23 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 45c68b8b54ab9ecbd65c6c2cd728b2d1853fb497
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sun Jul 3 07:37:00 2016 +0000

    Updated Slovak translation

M	po/sk.po

commit 4b346a1f0429ac7d2ecf1b791a68b6296ac772d4
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Sun Jul 3 07:14:00 2016 +0000

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit 785cde356782e8621f12fcde590d7742c4cc584a
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Sun Jul 3 07:11:37 2016 +0000

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit 66a0f4e8ba3fc31cf74231e9e203ac4af699bd83
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Jul 2 21:03:32 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 23acea3f088b02e623db66433272101ff1ab5c2d
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jul 2 07:37:15 2016 +0200

    Revert "i18n: Remove desktop files from POTFILES.in"

    Apparently, it just works nevertheless.

    https://bugzilla.gnome.org/show_bug.cgi?id=740873

    This reverts commit 4ceb025a7721f3e31affe692f4cf545dd33d8a40.

M	po/POTFILES.in

commit 40dbbeafbe528eb4bed8a2255db38ec50a9b5f9d
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	Sat Jun 25 21:33:51 2016 -0400

    Use yelp-tools style help install directories

    https://wiki.gnome.org/Initiatives/GnomeGoals/NewDocumentationInfrastructure

    https://bugzilla.gnome.org/show_bug.cgi?id=719200

M	src/Dialogs.vala
M	src/Resources.vala

commit 4ceb025a7721f3e31affe692f4cf545dd33d8a40
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jul 2 01:22:45 2016 +0200

    i18n: Remove desktop files from POTFILES.in

    They were missing on purpose as they make xgettext call fail with
    weird errors
    (https://mail.gnome.org/archives/gnome-i18n/2016-June/msg00063.html)

    Signed-off-by: Jens Georg <mail@jensge.org>

M	po/POTFILES.in

commit 310e538290fa16cab84be46ca6d5737cb4bbcfd6
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jul 2 01:20:20 2016 +0200

    build: Fix parallel build

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=768054

M	Makefile.am

commit 72fad07b7a540a5fa51f0d73bd1ecd081d17886e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Jul 2 00:59:28 2016 +0200

    Add translator comments to .desktop files

M	misc/shotwell-viewer.desktop.in.in
M	misc/shotwell.desktop.in.in

commit 725baf221689da4896726e97cc55b8dfa7002a9b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Jul 2 00:48:04 2016 +0200

    Updated POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit 55119a001758726f0327c41183f7193bf04687b7
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jul 2 00:27:13 2016 +0200

    build: Update version

    https://bugzilla.gnome.org/show_bug.cgi?id=768054
    https://bugzilla.gnome.org/show_bug.cgi?id=717064

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 4895248bce479af8ca40ce9a8a996aca7b35448e
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jul 2 00:26:51 2016 +0200

    build: Add unity to configure output

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit e2b5870567d78aa849bd674dc4f48a29e4d28f93
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jul 2 00:26:31 2016 +0200

    build: Remove check for unused programs

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit cc25448f4bb449630690e0597b8837a1ab264973
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jul 2 00:22:29 2016 +0200

    build: Always install manpage

    https://bugzilla.gnome.org/show_bug.cgi?id=715578

    Signed-off-by: Jens Georg <mail@jensge.org>

M	help/Makefile.am
R100	debian/shotwell.1	help/shotwell.1

commit bab8fdc0c1b5179ac67d8b999e076c3284459bf2
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jul 2 00:07:15 2016 +0200

    build: Remove obsolete Makefiles

    Signed-off-by: Jens Georg <mail@jensge.org>

D	plugins/Makefile.plugin.mk
D	plugins/plugins.mk
D	src/camera/mk/camera.mk
D	src/config/mk/config.mk
D	src/core/mk/core.mk
D	src/data_imports/mk/data_imports.mk
D	src/db/mk/db.mk
D	src/direct/mk/direct.mk
D	src/editing_tools/mk/editing_tools.mk
D	src/events/mk/events.mk
D	src/folders/mk/folders.mk
D	src/library/mk/library.mk
D	src/photos/mk/photos.mk
D	src/plugins/mk/interfaces.mk
D	src/plugins/mk/plugins.mk
D	src/publishing/mk/publishing.mk
D	src/searches/mk/searches.mk
D	src/sidebar/mk/sidebar.mk
D	src/slideshow/mk/slideshow.mk
D	src/tags/mk/tags.mk
D	src/threads/mk/threads.mk
D	src/unit/mk/unit.mk
D	src/unit/rc/template.mk
D	src/util/mk/util.mk
D	unitize.mk
D	units.mk

commit afef2962eabd529a62532227983888b96e76257c
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jul 1 23:44:14 2016 +0200

    build: Fix dist tarball

M	Makefile.am
M	icons/Makefile.am
M	import.am
M	misc/Makefile.am
M	publish-extra.am
M	publish.am
M	shotwell.am
M	transition.am
M	ui/Makefile.am

commit 8c3eea4f2940daac36fbf85b4f0b270fefc96c62
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jul 1 21:25:57 2016 +0200

    appdata: Add <name> tag and fix path

    Signed-off-by: Jens Georg <mail@jensge.org>

M	misc/Makefile.am
M	misc/shotwell.appdata.xml.in

commit 7f1f8f37f34e894cefcf7527796fe1717217b648
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jul 1 21:15:19 2016 +0200

    build: Remove unused Makefile from configure.ac

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac

commit 8b4f24eb3a9f7f1eac7083c9fb28a6e568217c2b
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jul 1 19:38:40 2016 +0200

    i18n: Mark GSettings schema for translation

    https://bugzilla.gnome.org/show_bug.cgi?id=741508

    Signed-off-by: Jens Georg <mail@jensge.org>

M	misc/org.yorba.shotwell-extras.gschema.xml
M	misc/org.yorba.shotwell.gschema.xml
M	po/POTFILES.in

commit dcfd4c671cdb5f3d58bfd2f9886feb8f4c911d41
Author: Jens Georg <mail@jensge.org>
Date:	Thu Jun 30 22:23:55 2016 +0200

    build: Add missing COMMON_VALAFLAGS

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am

commit 092a951acc6398f0b527b7c1cd97ce831f9751fc
Author: Jens Georg <mail@jensge.org>
Date:	Thu Jun 30 22:23:37 2016 +0200

    build: Fix makefile generation

    Signed-off-by: Jens Georg <mail@jensge.org>

M	common.am
M	configure.ac

commit 444a9056c38d1b906d4f3f453dd06880e31d0e6e
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 22:09:33 2016 +0200

    Mark appdata for translation

    https://bugzilla.gnome.org/show_bug.cgi?id=730669

    Signed-off-by: Jens Georg <mail@jensge.org>

M	misc/Makefile.am
D	misc/shotwell.appdata.xml
A	misc/shotwell.appdata.xml.in
M	po/POTFILES.in

commit bbd12caab53ad0f8c01f0767df870618f191f9f8
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 21:28:09 2016 +0200

    Update Makevars

    Signed-off-by: Jens Georg <mail@jensge.org>

M	po/Makevars

commit 32880b1daee7f2913b2c7410d1298f066c2138b0
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 19:27:20 2016 +0200

    build: Remove obsolete files

D	chkver
D	mkunit
D	mkvala

commit 96e768e62498a4b4b379a78afab146fee1b402a9
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 19:25:04 2016 +0200

    build: Add macros from autoconf archive

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac
A	m4/ax_check_enable_debug.m4
A	m4/ax_generate_changelog.m4
A	m4/ax_is_release.m4
D	m4/glib-gettext.m4
D	m4/intltool.m4
A	m4/yelp.m4

commit 3cac98d6ea794d50a4f9c5af3fa3a000e74cd920
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 00:47:24 2016 +0200

    Update .gitignore

    Signed-off-by: Jens Georg <mail@jensge.org>

M	.gitignore

commit cb75b9b32a202ea8259ade233886098f3a507d20
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 23:17:21 2016 +0200

    build: Add settings migrator

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	thumbnailer.am

commit 03b0df02cd947c8b6445ba4c20e47c76ddcad087
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 23:11:42 2016 +0200

    build: Install plugin data

    Signed-off-by: Jens Georg <mail@jensge.org>

M	import.am
M	publish-extra.am
M	publish.am
M	transition.am

commit 81d03f7e3f1855f772a540543a8f290baca38888
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 23:11:25 2016 +0200

    build: Align plugin names with old makefile

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	import.am
M	publish-extra.am
M	publish.am
M	transition.am

commit ffd4065d964a2fa76c149dbfa19333fdf1a8661c
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 22:49:17 2016 +0200

    build: Hook up ui data

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	configure.ac
A	ui/Makefile.am

commit 215a5d308449545497722c5b33b397b0e165f030
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 22:41:28 2016 +0200

    build: Hook up application image data

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	configure.ac
A	icons/Makefile.am

commit 1382b1582e07728425ab9e76e2f383a9be42928d
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 22:35:08 2016 +0200

    build: Hook up app icons

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
A	app-icons/Makefile.am
M	configure.ac

commit b993ec855063b8025eec776f920ea20c122b04d1
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 22:25:47 2016 +0200

    build: Hook up desktop files

    Signed-off-by: Jens Georg <mail@jensge.org>

M	misc/Makefile.am
R100	misc/shotwell-viewer.desktop.head
misc/shotwell-viewer.desktop.in.in
R100	misc/shotwell.desktop.head	misc/shotwell.desktop.in.in

commit bd060e0c7353503670e92d8f78ab541caca81019
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 22:11:19 2016 +0200

    build: Add appdata

    Signed-off-by: Jens Georg <mail@jensge.org>

M	configure.ac
M	misc/Makefile.am

commit 46992439dc4ee961ca924e007cdfba5a2ac2edcf
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 21:49:43 2016 +0200

    build: Hook up help

    https://bugzilla.gnome.org/show_bug.cgi?id=719200

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	configure.ac
M	help/Makefile.am

commit 1225c80d23c58b6166b961309d721ef3cdfd7f22
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 21:41:43 2016 +0200

    build: Fix mo names

    Signed-off-by: Jens Georg <mail@jensge.org>

M	po/Makevars

commit c243239cf5991d3914fee71227094abb94563885
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 21:24:53 2016 +0200

    build: Make plugins .so only

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	import.am
M	publish-extra.am
M	publish.am
M	transition.am

commit 861bd8fd5e84d1d3d6b0bd47b30a17909049b0c0
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 21:01:47 2016 +0200

    build: Add import plugins

    Signed-off-by: Jens Georg <mail@jensge.org>

M	.gitignore
M	Makefile.am
A	import.am

commit efcb7a25a8b6173808e20ca20d15255401550039
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 20:53:58 2016 +0200

    build: Add transitions plugin

    Signed-off-by: Jens Georg <mail@jensge.org>

M	.gitignore
M	Makefile.am
M	publish.am
A	transition.am

commit 087e777031bf78e14f89aa3db8255fc55df0b66f
Author: Jens Georg <mail@jensge.org>
Date:	Tue Jun 28 20:38:26 2016 +0200

    build: Add publishing-extras

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
A	publish-extra.am
M	publish.am

commit 4a6a872127d500e204066f8db4df30be1f46693c
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 00:23:51 2016 +0200

    build: Add publishing plugins

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	configure.ac
A	publish.am

commit a316fe478bb2d3d440b9409431d34a19b72b1d3f
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 00:21:30 2016 +0200

    build: Add libshotwell-plugin-common

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am

commit 76164eb4e5cbfe955d1d75e22d1fd3d19e651bce
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 00:19:50 2016 +0200

    build: Create plugin vapi

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	common.am
M	shotwell.am

commit ac2850c0916e4a64e8b8122e345576bf5a021a03
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 00:13:05 2016 +0200

    build: Add thumbnailer

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	configure.ac
A	thumbnailer.am

commit 06412b14ad6aae01a5c597fc8419877f2ca2fa23
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 00:12:31 2016 +0200

    build: Move shotwell into include file

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
A	common.am
C088	Makefile.am	shotwell.am

commit 86c43eb21e0a9b875ebcb0f882b17513ef3601c2
Author: Jens Georg <mail@jensge.org>
Date:	Sun May 29 22:40:20 2016 +0200

    build: Add gsettings support

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	configure.ac
A	misc/Makefile.am

commit d1298035015adc85e8dfde8f2834d093d35188df
Author: Jens Georg <mail@jensge.org>
Date:	Wed May 25 00:25:00 2016 +0200

    build: Re-add support for unity

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	configure.ac

commit cdd332a344ddc0d7bfdefd4fdc41e35045ff8cb8
Author: Jens Georg <mail@jensge.org>
Date:	Tue May 24 23:46:42 2016 +0200

    Add GIT version handling

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	configure.ac

commit 98ac807da23968f31d6f3a31040872909c14651d
Author: Jens Georg <mail@jensge.org>
Date:	Tue May 24 23:44:28 2016 +0200

    i18n: Add translations to build

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	po/POTFILES.in
M	po/gu.po

commit 08019a73742a99003d9f3915ae4088223105b6a1
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 00:09:16 2016 +0200

    build: Add shotwell binary

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile.am
M	configure.ac

commit 216b6a68d81de70ce000628aa913fefffa769d98
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 29 00:06:25 2016 +0200

    build: Add unit files

    Signed-off-by: Jens Georg <mail@jensge.org>

A	src/.unitize/_CameraInternals.vala
A	src/.unitize/_ConfigInternals.vala
A	src/.unitize/_CoreInternals.vala
A	src/.unitize/_DataImportsInternals.vala
A	src/.unitize/_DbInternals.vala
A	src/.unitize/_DirectInternals.vala
A	src/.unitize/_Direct_unitize_entry.vala
A	src/.unitize/_EditingToolsInternals.vala
A	src/.unitize/_EventsInternals.vala
A	src/.unitize/_FoldersInternals.vala
A	src/.unitize/_LibraryInternals.vala
A	src/.unitize/_Library_unitize_entry.vala
A	src/.unitize/_PhotosInternals.vala
A	src/.unitize/_PluginsInternals.vala
A	src/.unitize/_PublishingInternals.vala
A	src/.unitize/_SearchesInternals.vala
A	src/.unitize/_SidebarInternals.vala
A	src/.unitize/_SlideshowInternals.vala
A	src/.unitize/_TagsInternals.vala
A	src/.unitize/_ThreadsInternals.vala
A	src/.unitize/_UnitInternals.vala
A	src/.unitize/_UtilInternals.vala

commit 25c9a2360d2721c48ac8919c9cb2c2759a091a4b
Author: Jens Georg <mail@jensge.org>
Date:	Tue May 24 21:40:21 2016 +0200

    build: Autotools skeleton

    Signed-off-by: Jens Georg <mail@jensge.org>

D	Makefile
A	Makefile.am
A	autogen.sh
D	configure
A	configure.ac
A	git.mk
A	m4/Makefile.am
A	m4/appstream-xml.m4
A	m4/ax_append_compile_flags.m4
A	m4/ax_append_flag.m4
A	m4/ax_check_compile_flag.m4
A	m4/ax_check_link_flag.m4
A	m4/ax_compiler_flags_cxxflags.m4
A	m4/ax_compiler_vendor.m4
A	m4/ax_cxx_compile_stdcxx_11.m4
A	m4/ax_require_defined.m4
A	m4/glib-gettext.m4
A	m4/gsettings.m4
A	m4/intltool.m4
A	m4/introspection.m4
A	m4/pkg.m4
A	m4/vala.m4
A	m4/vapigen.m4
A	po/Makevars
A	src/Makefile.am

commit 3ddd7ec0daee52345beb091dd70f30fffef0f512
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 26 10:47:36 2016 +0200

    db: Add compile option to trace SQL statements

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/db/DatabaseTable.vala

commit bbaa32f5950a2ad41a15d70c9eade1b64c7f6e01
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 26 09:50:45 2016 +0200

    Update screenshot urls in appdata

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=730665

M	misc/shotwell.appdata.xml

commit 98a7e42ac2fa9c293aecc5a7b199ace85b4638af
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jun 25 20:09:49 2016 +0200

    graw: Prevent array duplication when parsing thumb from raw

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/photos/GRaw.vala

commit 71de94d2aa1f622bd800fa41d3b3ca83aa51c833
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jun 25 13:32:00 2016 +0200

    libraw: Fix binding of ProcessedImage.data

    Signed-off-by: Jens Georg <mail@jensge.org>

M	vapi/libraw.vapi

commit 51f3c7ae4ca596a504a61e24e91db6fb950f5e71
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	Sat Jun 25 19:15:37 2016 +0000

    Updated German translation

M	help/de/de.po

commit f85e9a77df1f01cbea15511887ac7386bd9fccdd
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	Fri Jun 24 20:54:35 2016 +0000

    Updated German translation
    (cherry picked from commit c897949d811bc06fbe675ac382eeea332db75e32)

M	po/de.po

commit 7ff3258be56fe9e29df2528f4905ac1c6899a6ab
Author: Andreas Brauchli <a.brauchli@elementarea.net>
Date:	Sat Jun 4 11:09:08 2016 +0200

    interfaces.mk: fix failure to remove non-existing files

M	src/plugins/mk/interfaces.mk

commit 7109eb996fc8d63f28564c9e9ab7e8822d6b0c68
Author: Stas Solovey <whats_up@tut.by>
Date:	Tue Jun 21 08:19:19 2016 +0000

    Updated Russian translation

M	po/ru.po

commit b900a89508203422e361757cc96179c5ea52c9d0
Author: Jens Georg <mail@jensge.org>
Date:	Mon Jun 20 20:58:36 2016 +0200

    Prepare 0.23.2

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile
M	NEWS

commit 3f79b95bcfd568c2258c850c940b38669fbdd073
Author: Jens Georg <mail@jensge.org>
Date:	Mon Jun 20 20:51:48 2016 +0200

    Fix make dist

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/Makefile.plugin.mk
M	plugins/common/Makefile

commit 10fcb55552cb55accaa2c529beb494d1e31e730c
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 19 19:30:51 2016 +0200

    plugins: Remove symbol multiplication

    RESTSupport was included twice, resorces 4 times, defining all symbols
    multiple times - not that good.

    Solved by compiling RESTSupport and Resources into a shared library

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile
M	plugins/Makefile.plugin.mk
A	plugins/common/Makefile
M	plugins/common/RESTSupport.vala
M	plugins/plugins.mk
M	plugins/shotwell-data-imports/Makefile
M	plugins/shotwell-publishing-extras/Makefile
M	plugins/shotwell-publishing/Makefile
M	plugins/shotwell-transitions/Makefile

commit 5d78018671617ca28e8904aaad0ebae840bff9cd
Author: Abel 'Akronix' Serrano Juste <akronix5@gmail.com>
Date:	Mon May 30 23:24:33 2016 +0200

    Flagged label and rating label are now part of the buttons.

    https://bugzilla.gnome.org/show_bug.cgi?id=767042

M	src/SearchFilter.vala

commit 4f16bbc561fdedb20b22e62d56a2575b8d362331
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	Tue Jun 14 20:12:45 2016 +0000

    Updated German translation
    (cherry picked from commit 157cda6f4ed2615182ffaec0f227774bcd104ed4)

M	po/de.po

commit d618ca579a0ff16925dc5c65b3927c51a4e7da0a
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	Mon Jun 13 10:24:24 2016 +0000

    Updated Indonesian translation
    (cherry picked from commit 7db3db3baef487f992efed47c3b7fe3cc9b8be19)

M	po/id.po

commit 79ea398faf71d0aa12b8b7e24e90a1a6b062cc1a
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 12 18:40:03 2016 +0200

    plugins: Small refactor

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/common/RESTSupport.vala

commit 4f7bdcbac984bb4021afc36318b4a63afe56507f
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 12 17:53:03 2016 +0200

    Remove libgee work-around, bump min version to 0.10

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile
M	plugins/common/RESTSupport.vala

commit 42b72ea953c2a7f02088d8644ee42c25ebac7b0a
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 12 17:47:17 2016 +0200

    racje: Fix issue introduced by cleanup

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/RajcePublishing.vala

commit 9d2b698023366e95baddbb677118a50e27bd6e8e
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jun 10 00:32:19 2016 +0200

    publishing: Remove reuse of string util functions

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing-extras/Makefile
M	plugins/shotwell-publishing-extras/RajcePublishing.vala
M	plugins/shotwell-publishing-extras/TumblrPublishing.vala
M	plugins/shotwell-publishing/Makefile
M	plugins/shotwell-publishing/PiwigoPublishing.vala

commit be9c9303d9307ae1724d7396bcbd31ae3fe4e1b4
Author: Jens Georg <mail@jensge.org>
Date:	Fri Jun 10 00:18:58 2016 +0200

    piwigo: Let libsoup do the cookie parsing

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing/PiwigoPublishing.vala

commit 6574f70c7414bd342a8b0129a2a6ca9c82bceba3
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sat Jun 11 13:13:16 2016 +0000

    Updated German translation

M	po/de.po

commit de274d5180f7e12f46419e0598b13753d91a2249
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Jun 10 16:35:17 2016 +0200

    Updated Czech translation

M	po/cs.po

commit 6d21f5fb94edff156ff61bbc7ba8dc131aa97bc8
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 5 11:23:02 2016 +0200

    help: Remove +x on image

    Signed-off-by: Jens Georg <mail@jensge.org>

M	help/C/figures/crop_thirds.jpg

commit e04f7ff9d40b65ed43d45741966fd2e72f76df78
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 5 11:09:51 2016 +0200

    help: Update logo

    Signed-off-by: Jens Georg <mail@jensge.org>

M	help/C/figures/shotwell_logo.png

commit aeb8059c632b25396727d4c0789e017bbf65be8d
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 5 10:58:14 2016 +0200

    data: Add icon source

    Signed-off-by: Jens Georg <mail@jensge.org>

A	app-icons/shotwell-source.svg

commit b8f97e7c460425792d1376b5d26c751a912da5ae
Author: Jens Georg <mail@jensge.org>
Date:	Sun Jun 5 10:40:53 2016 +0200

    help: Add note regarding publishing permissions

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=766919

M	help/C/share-upload.page

commit 066e39afc75a4494f7e6a267cef74f84b0a73e54
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Jun 4 17:05:44 2016 +0200

    Updated POTFILES.in

M	po/POTFILES.in

commit 951840ff06efa0c0ecef2581a266886bc4604f24
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jun 4 16:30:38 2016 +0200

    facebook: Request popup login

    As suggested by Facebook developer popup during login. Actually
    looks a lot
    nicer that using page.

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/FacebookPublishing.vala

commit 54bd00ea1e6b622cb7e84c68775d72a70980d9c7
Author: Jens Georg <mail@jensge.org>
Date:	Sat Jun 4 15:10:13 2016 +0200

    import-plugin: Move common files into plugin

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-data-imports/Makefile
R095	plugins/common/SqliteSupport.vala
plugins/shotwell-data-imports/SqliteSupport.vala
R098	plugins/common/VersionNumber.vala
plugins/shotwell-data-imports/VersionNumber.vala

commit 74a6708717a68c706b683d8ee02888d3bea87569
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sat Jun 4 08:12:16 2016 +0000

    Updated Slovak translation

M	po/sk.po

commit 0ddee1cb2c13278a5354dd702f2519cef30b005e
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 1 22:19:50 2016 +0200

    Remove external hmac_sha1

    Instead of relying on librest leaking the hmac_sha1 symbol, port the
    implementation of librest to Vala

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing-extras/TumblrPublishing.vala

commit 98ce28cd80288a38ed98a29f6dfa6f2f8b008942
Author: Jens Georg <mail@jensge.org>
Date:	Wed Jun 1 21:14:55 2016 +0200

    Replace external function with vapi

    The function was available in vala since 0.12

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing-extras/YandexPublishing.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala

commit ff472345c522d156b27eeb76347e47cb07099a0b
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Tue May 31 18:49:16 2016 +0000

    Updated Swedish translation

M	po/sv.po

commit 0c0fa510440f7b3d55ef32bc5c18bb49f1292cf0
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Mon May 30 20:24:14 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 9e17e5767f186154066daba0b142a94b92fbfcc6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon May 30 19:21:58 2016 +0200

    Updated Spanish translation

M	po/es.po

commit c716ee604ee0a075444389d031dcab162451948b
Author: Jens Georg <mail@jensge.org>
Date:	Sun May 29 22:27:27 2016 +0200

    Update URLs in manpage

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/shotwell.1

commit 4a70d87baeb993c015611f71af39bdc77893ae08
Author: Jens Georg <mail@jensge.org>
Date:	Sun May 29 22:01:11 2016 +0200

    Delay size_request in CheckerboardLayout

    If we do a size_request with height = 0, the size_request in
    do_reflow does
    not lead to a re-allocation.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=766864

M	src/CheckerboardLayout.vala

commit 29fb0f56216d9e9aa99bf5f94c5b37c774031a59
Author: Wolfgang Steitz <wsteitz@gmail.com>
Date:	Mon May 23 20:45:00 2016 +0000

    Port GtkNotebook to GtkStack

    https://bugzilla.gnome.org/show_bug.cgi?id=744289

M	src/library/LibraryWindow.vala

commit 7361b3f909106bfecf01e3ea950984f7dcbf84bf
Author: Jens Georg <mail@jensge.org>
Date:	Wed May 25 22:57:07 2016 +0200

    Fix background color drawing

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=766864

M	src/CheckerboardLayout.vala

commit 3ee6c32d465eb3fb1e5c209a7f3e689d655d601c
Author: Jens Georg <mail@jensge.org>
Date:	Tue May 24 22:17:11 2016 +0200

    Remove gphoto 2.4 support

    GPhoto 2.5 was released 2012. Time to remove 2.4

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile
M	configure
M	src/camera/CameraTable.vala
M	src/camera/GPhoto.vala
D	vapi/gphoto-2.4/libgphoto2.vapi
R100	vapi/gphoto-2.5/libgphoto2.vapi vapi/libgphoto2.vapi

commit ea5c5058299a45eedeb311c25ed66f88d0fa7eb4
Author: Jens Georg <mail@jensge.org>
Date:	Tue May 24 19:41:29 2016 +0200

    Use yelp-build to generate HTML docs

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile
M	help/C/Makefile

commit f85a4b069b6fcad277ea9e89d87e2ab346087e4f
Author: Jens Georg <mail@jensge.org>
Date:	Tue May 24 19:21:57 2016 +0200

    Update debian

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/changelog

commit 116410ec7110c697c98478dbeeadff65842ce2e3
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 23 20:57:13 2016 +0200

    Prepare Shotwell 0.23.1

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile
M	NEWS

commit 732228a25e83991074187d649eaff64f39515670
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun May 22 12:47:28 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 3266b6cef8dae6675a06edbb311ce73f386aaee9
Author: Jens Georg <mail@jensge.org>
Date:	Sat May 21 22:53:56 2016 +0200

    Remove criticals when showing fullscreen

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/Page.vala

commit 1910f06c867424df7c9254f7ac4eed9432e976ea
Author: Jens Georg <mail@jensge.org>
Date:	Sat May 21 22:41:41 2016 +0200

    Make toolbar a GtkOverlay instead of a popup

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=756126

M	src/AppWindow.vala

commit 5ff76741fd6c29952b7d94343e3e160d1ecc693a
Author: Jens Georg <mail@jensge.org>
Date:	Sat May 21 22:27:48 2016 +0200

    Revert "Hide toolbar when switching away from fullscreen"

    Unfortunately, this makes the toolbar diappear when selecting a tool

    This reverts commit 61941ad671534d15d5474460a8cd13cdae6b48c2.

M	src/AppWindow.vala

commit 61941ad671534d15d5474460a8cd13cdae6b48c2
Author: Jens Georg <mail@jensge.org>
Date:	Sat May 21 21:19:40 2016 +0200

    Hide toolbar when switching away from fullscreen

    Don't have hit hover around over other windows

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=756126

M	src/AppWindow.vala

commit 7695f742b2225d99136de2e01dac926fe4cc80c2
Author: Jens Georg <mail@jensge.org>
Date:	Sat May 21 18:07:43 2016 +0200

    Panic out if we cannot open the initial file

M	src/direct/DirectPhotoPage.vala

commit 93b29785f4a307dd05554192436126efa8542556
Author: Jens Georg <mail@jensge.org>
Date:	Sat May 21 16:38:09 2016 +0200

    Remove deprecated call to render_icon

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=719188

M	src/PhotoPage.vala
M	src/camera/ImportPage.vala
M	src/util/image.vala

commit 2ad28a6987b1904b02dc9c1e0e414d2bc594a60c
Author: Jens Georg <mail@jensge.org>
Date:	Sat May 21 16:36:56 2016 +0200

    Fix issue with get_metadata returning null

    In DirectPhoto, do not assume that get_metadata() will succeed
    (it is actually
    declared nullable). Prevents several criticals later on

M	src/direct/DirectPhoto.vala

commit 66568e94c9162cb82e97c5e0e2e21ca1a6d80cd9
Author: Jens Georg <mail@jensge.org>
Date:	Sat May 21 16:33:49 2016 +0200

    Push empty pixbuf to force repaint of viewer

    Otherwise the message that the photo isn't available will never
    be painted

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=766338

M	src/PhotoPage.vala

commit e74f1ba305195266a7fdf3d3623bb9d3c9e015a3
Author: Jens Georg <mail@jensge.org>
Date:	Sat May 21 15:14:00 2016 +0200

    build: Fix find in Makefile

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile

commit fdd4126e84760290bffe4c8b0a54a95dcd9e7c42
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sat May 21 08:44:22 2016 +0000

    Updated Slovak translation

M	po/sk.po

commit 43187b315b85d75c23dcb2b655e24cdc20ee4cde
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Tue May 17 10:46:22 2016 +0000

    Updated Kazakh translation

M	po/kk.po

commit aa3f39e86465842abd7a68aee71f7baa5c35cee5
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 16 21:21:00 2016 +0200

    When moving .gnome2, don't bail out needlessly

    Just ignore errors

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/AppDirs.vala

commit 13c5537a2efb4bd9b57027a721b73daa755be334
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 16 21:20:06 2016 +0200

    Update icons

    https://bugzilla.gnome.org/show_bug.cgi?id=717326

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile
A	app-icons/16x16/apps/shotwell.png
A	app-icons/22x22/apps/shotwell.png
A	app-icons/24x24/apps/shotwell.png
A	app-icons/256x256/apps/shotwell.png
A	app-icons/32x32/apps/shotwell.png
A	app-icons/48x48/apps/shotwell.png
A	app-icons/symbolic/apps/shotwell-symbolic.svg
A	icons/shotwell-16.png
D	icons/shotwell-16.svg
D	icons/shotwell-24.svg
D	icons/shotwell.ico
A	icons/shotwell.png
D	icons/shotwell.svg
M	src/AppWindow.vala
M	src/Dialogs.vala
M	src/Resources.vala

commit 8b3029e0476df8025e97191f9ec6b5e192482889
Author: Jens Georg <mail@jensge.org>
Date:	Sun May 15 21:12:37 2016 +0200

    Use XDG_DATA_HOME instead of deprecated .gnome2

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=766339

M	src/AppDirs.vala

commit 61f502c3975d67765f34f53bc3080754cb51a1d1
Author: Jens Georg <mail@jensge.org>
Date:	Mon May 9 22:50:41 2016 +0200

    Do not block viewer if we could not open photo

    If for some reason shotwell was started as a viewer and could not
    access the
    photo (seems to happen e.g. on DAV shares mounted through gvfs),
    do not block
    the close button because we mark the file as non-closable due to
    parameter
    checking fail:

    V 4243 2016-05-09 22:47:00 [CRT]
    direct_photo_page_check_ok_to_close_photo:
    assertion 'IS_PHOTO (photo)' failed

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=740436

M	src/direct/DirectPhotoPage.vala

commit 60e02e33bfe0511d21bde9462488bd6a784596e0
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Sat May 7 00:44:47 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 5684f9bfa3cbb19b8ec8f248501d272647438ada
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat May 7 00:32:50 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 19ccd5c41c4e1bad1df4834d0c75f6018f570f99
Author: Adam Dingle <adam@medovina.org>
Date:	Fri May 6 11:10:26 2016 -0400

    Transfer copyrights from Yorba to Software Freedom Conservancy

M	INSTALL
M	README
M	chkver
M	configure
M	debian/copyright
M	help/C/Makefile
M	misc/shotwell.appdata.xml
M	mkunit
M	mkvala
M	plugins/common/RESTSupport.vala
M	plugins/common/Resources.vala
M	plugins/common/SqliteSupport.vala
M	plugins/common/VersionNumber.vala
M	plugins/shotwell-data-imports/FSpotDatabase.vala
M	plugins/shotwell-data-imports/FSpotDatabaseBehavior.vala
M	plugins/shotwell-data-imports/FSpotDatabaseTable.vala
M	plugins/shotwell-data-imports/FSpotImporter.vala
M	plugins/shotwell-data-imports/FSpotMetaTable.vala
M	plugins/shotwell-data-imports/FSpotPhotoTagsTable.vala
M	plugins/shotwell-data-imports/FSpotPhotoVersionsTable.vala
M	plugins/shotwell-data-imports/FSpotPhotosTable.vala
M	plugins/shotwell-data-imports/FSpotRollsTable.vala
M	plugins/shotwell-data-imports/FSpotTableBehavior.vala
M	plugins/shotwell-data-imports/FSpotTagsTable.vala
M	plugins/shotwell-data-imports/shotwell-data-imports.vala
M	plugins/shotwell-publishing-extras/shotwell-publishing-extras.vala
M	plugins/shotwell-publishing/FacebookPublishing.vala
M	plugins/shotwell-publishing/FlickrPublishing.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/PiwigoPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala
M	plugins/shotwell-publishing/shotwell-publishing.vala
M	plugins/shotwell-transitions/BlindsEffect.vala
M	plugins/shotwell-transitions/ChessEffect.vala
M	plugins/shotwell-transitions/CircleEffect.vala
M	plugins/shotwell-transitions/CirclesEffect.vala
M	plugins/shotwell-transitions/ClockEffect.vala
M	plugins/shotwell-transitions/CrumbleEffect.vala
M	plugins/shotwell-transitions/FadeEffect.vala
M	plugins/shotwell-transitions/SlideEffect.vala
M	plugins/shotwell-transitions/SquaresEffect.vala
M	plugins/shotwell-transitions/StripesEffect.vala
M	plugins/shotwell-transitions/shotwell-transitions.vala
M	po/af.po
M	po/ar.po
M	po/as.po
M	po/ast.po
M	po/bg.po
M	po/bn.po
M	po/bn_IN.po
M	po/ca.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/et.po
M	po/eu.po
M	po/fi.po
M	po/fr.po
M	po/gl.po
M	po/gu.po
M	po/he.po
M	po/hi.po
M	po/hr.po
M	po/hu.po
M	po/ia.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/kk.po
M	po/km.po
M	po/kn.po
M	po/ko.po
M	po/ky.po
M	po/lt.po
M	po/lv.po
M	po/mk.po
M	po/ml.po
M	po/mr.po
M	po/nb.po
M	po/nl.po
M	po/nn.po
M	po/or.po
M	po/pa.po
M	po/pt.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sr.po
M	po/sr@latin.po
M	po/sv.po
M	po/ta.po
M	po/te.po
M	po/th.po
M	po/tr.po
M	po/uk.po
M	po/vi.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po
M	samples/simple-plugin/README
M	samples/simple-plugin/simple-plugin.vala
M	settings-migrator/shotwell-settings-migrator
M	src/AppDirs.vala
M	src/AppWindow.vala
M	src/Application.vala
M	src/BatchImport.vala
M	src/Box.vala
M	src/CheckerboardLayout.vala
M	src/CollectionPage.vala
M	src/ColorTransformation.vala
M	src/CommandManager.vala
M	src/Commands.vala
M	src/CustomComponents.vala
M	src/Debug.vala
M	src/DesktopIntegration.vala
M	src/Dialogs.vala
M	src/Dimensions.vala
M	src/DirectoryMonitor.vala
M	src/Event.vala
M	src/Exporter.vala
M	src/International.vala
M	src/LibraryFiles.vala
M	src/LibraryMonitor.vala
M	src/MediaDataRepresentation.vala
M	src/MediaInterfaces.vala
M	src/MediaMetadata.vala
M	src/MediaMonitor.vala
M	src/MediaPage.vala
M	src/MediaViewTracker.vala
M	src/MetadataWriter.vala
M	src/Orientation.vala
M	src/Page.vala
M	src/Photo.vala
M	src/PhotoMonitor.vala
M	src/PhotoPage.vala
M	src/PixbufCache.vala
M	src/Printing.vala
M	src/Properties.vala
M	src/Resources.vala
M	src/Screensaver.vala
M	src/SearchFilter.vala
M	src/SlideshowPage.vala
M	src/SortedList.vala
M	src/Tag.vala
M	src/Thumbnail.vala
M	src/ThumbnailCache.vala
M	src/TimedQueue.vala
M	src/Tombstone.vala
M	src/UnityProgressBar.vala
M	src/Upgrades.vala
M	src/VideoMetadata.vala
M	src/VideoMonitor.vala
M	src/VideoSupport.vala
M	src/camera/Branch.vala
M	src/camera/Camera.vala
M	src/camera/CameraTable.vala
M	src/camera/GPhoto.vala
M	src/camera/ImportPage.vala
M	src/config/Config.vala
M	src/config/ConfigurationInterfaces.vala
M	src/config/GSettingsEngine.vala
M	src/core/Alteration.vala
M	src/core/ContainerSourceCollection.vala
M	src/core/Core.vala
M	src/core/DataCollection.vala
M	src/core/DataObject.vala
M	src/core/DataSet.vala
M	src/core/DataSource.vala
M	src/core/DataSourceTypes.vala
M	src/core/DataView.vala
M	src/core/DataViewTypes.vala
M	src/core/DatabaseSourceCollection.vala
M	src/core/SourceCollection.vala
M	src/core/SourceHoldingTank.vala
M	src/core/SourceInterfaces.vala
M	src/core/Tracker.vala
M	src/core/ViewCollection.vala
M	src/core/util.vala
M	src/data_imports/DataImportJob.vala
M	src/data_imports/DataImportSource.vala
M	src/data_imports/DataImports.vala
M	src/data_imports/DataImportsPluginHost.vala
M	src/data_imports/DataImportsUI.vala
M	src/db/DatabaseTable.vala
M	src/db/Db.vala
M	src/db/EventTable.vala
M	src/db/PhotoTable.vala
M	src/db/SavedSearchDBTable.vala
M	src/db/TagTable.vala
M	src/db/TombstoneTable.vala
M	src/db/VersionTable.vala
M	src/db/VideoTable.vala
M	src/direct/Direct.vala
M	src/direct/DirectPhoto.vala
M	src/direct/DirectPhotoPage.vala
M	src/direct/DirectView.vala
M	src/direct/DirectWindow.vala
M	src/editing_tools/EditingTools.vala
M	src/editing_tools/StraightenTool.vala
M	src/events/Branch.vala
M	src/events/EventDirectoryItem.vala
M	src/events/EventPage.vala
M	src/events/Events.vala
M	src/events/EventsDirectoryPage.vala
M	src/folders/Branch.vala
M	src/folders/Folders.vala
M	src/folders/Page.vala
M	src/library/Branch.vala
M	src/library/FlaggedPage.vala
M	src/library/FlaggedSidebarEntry.vala
M	src/library/ImportQueuePage.vala
M	src/library/ImportQueueSidebarEntry.vala
M	src/library/LastImportPage.vala
M	src/library/LastImportSidebarEntry.vala
M	src/library/Library.vala
M	src/library/LibraryWindow.vala
M	src/library/OfflinePage.vala
M	src/library/OfflineSidebarEntry.vala
M	src/library/TrashPage.vala
M	src/library/TrashSidebarEntry.vala
M	src/main.vala
M	src/photos/BmpSupport.vala
M	src/photos/GRaw.vala
M	src/photos/GdkSupport.vala
M	src/photos/JfifSupport.vala
M	src/photos/PhotoFileAdapter.vala
M	src/photos/PhotoFileFormat.vala
M	src/photos/PhotoFileSniffer.vala
M	src/photos/PhotoMetadata.vala
M	src/photos/Photos.vala
M	src/photos/PngSupport.vala
M	src/photos/RawSupport.vala
M	src/photos/TiffSupport.vala
M	src/plugins/DataImportsInterfaces.vala
M	src/plugins/ManifestWidget.vala
M	src/plugins/Plugins.vala
M	src/plugins/PublishingInterfaces.vala
M	src/plugins/SpitInterfaces.vala
M	src/plugins/StandardHostInterface.vala
M	src/plugins/TransitionsInterfaces.vala
M	src/publishing/APIGlue.vala
M	src/publishing/Publishing.vala
M	src/publishing/PublishingPluginHost.vala
M	src/publishing/PublishingUI.vala
M	src/searches/Branch.vala
M	src/searches/SavedSearchDialog.vala
M	src/searches/SavedSearchPage.vala
M	src/searches/SearchBoolean.vala
M	src/searches/Searches.vala
M	src/sidebar/Branch.vala
M	src/sidebar/Entry.vala
M	src/sidebar/Sidebar.vala
M	src/sidebar/Tree.vala
M	src/sidebar/common.vala
M	src/slideshow/Slideshow.vala
M	src/slideshow/TransitionEffects.vala
M	src/tags/Branch.vala
M	src/tags/HierarchicalTagIndex.vala
M	src/tags/HierarchicalTagUtilities.vala
M	src/tags/TagPage.vala
M	src/tags/Tags.vala
M	src/threads/BackgroundJob.vala
M	src/threads/Semaphore.vala
M	src/threads/Threads.vala
M	src/threads/Workers.vala
M	src/unit/Unit.vala
M	src/unit/rc/Unit.m4
M	src/unit/rc/UnitInternals.m4
M	src/unit/rc/template.vala
M	src/unit/rc/unitize_entry.m4
M	src/util/KeyValueMap.vala
M	src/util/Util.vala
M	src/util/file.vala
M	src/util/image.vala
M	src/util/misc.vala
M	src/util/string.vala
M	src/util/system.vala
M	src/util/ui.vala
M	thumbnailer/shotwell-video-thumbnailer.vala
M	vapi/LConv.vapi
M	vapi/gphoto-2.4/libgphoto2.vapi
M	vapi/gphoto-2.5/libgphoto2.vapi
M	vapi/gphoto.h
M	vapi/libexif.vapi
M	vapi/libraw.vapi

commit 5f60d0e709440b647db31e3d29bdec91b46dc919
Author: Jens Georg <mail@jensge.org>
Date:	Wed May 4 22:24:05 2016 +0200

    Rework in-tree logic

    Instead of doing prefix magic, check whether there is a directory
    called "ui"
    next to the executable and assume we run in-tree.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=747374

M	src/util/system.vala

commit f5112881639ad10cbbe0738905d8c0e39d0512ee
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	Wed May 4 19:09:03 2016 +0000

    Updated Portuguese translation

M	po/pt.po

commit 3e7bf4b065144446e87d96006f537b009802e83a
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Tue May 3 18:35:46 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit c56ff54a0a86ec0588f936ce04c707e61a79dc7a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon May 2 12:29:38 2016 +0200

    Updated Polish translation

M	po/pl.po

commit a93c3df4813d649e45819b625dc03aaf0179f266
Author: Jens Georg <mail@jensge.org>
Date:	Sun May 1 15:38:11 2016 +0200

    Yorba => Shotwell in About dialog

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/AppWindow.vala

commit 19b0722b6129bd976ea879fd683e94dee9c8d480
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Sat Apr 30 12:44:50 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit 1886512e64c2a46313585533a51ca34a857eb861
Author: Jens Georg <mail@jensge.org>
Date:	Fri Apr 29 20:59:23 2016 +0200

    Relax assertion in Photo file monitor

    If the file is newly created, due to the way exiv2 does the metadata
    writing (remove => rename due to windows limitations) and we do
    not ask
    GLib for the MOVE event, we receive a DELETE event for the temp file
    that exiv2 creats.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=759403

M	src/Photo.vala

commit 956326efd82a91c2cbc980b2edb12232082e2ad8
Author: Jens Georg <mail@jensge.org>
Date:	Thu Apr 28 22:03:33 2016 +0200

    Remove custom WEXISTATUS implementation

    Signed-off-by: Jens Georg <mail@jensge.org>

M	src/VideoSupport.vala
M	src/util/system.vala

commit ce9c8df241f5d72af8bd829f886afceeda171030
Author: Jens Georg <mail@jensge.org>
Date:	Thu Apr 28 21:22:06 2016 +0200

    Remove obsolete vapis

     - ExtendedPosix - replaced by GLib.get_num_processors()
     - unique-3.0 - unused, replaced with GApplication

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile
M	src/BatchImport.vala
M	src/threads/Workers.vala
M	src/util/system.vala
D	vapi/ExtendedPosix.vapi
D	vapi/unique-3.0.deps
D	vapi/unique-3.0.vapi

commit bc2b5af6b3f5ea98d52f7ac1639fef5490688ef5
Author: Jens Georg <mail@jensge.org>
Date:	Thu Apr 28 20:55:54 2016 +0200

    facebook: Update application id

    https://bugzilla.gnome.org/show_bug.cgi?id=748991

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/shotwell-publishing/FacebookPublishing.vala

commit 1cc2326a740776699b6f418730878bd0f973bc76
Author: Jens Georg <mail@jensge.org>
Date:	Tue Apr 26 21:42:48 2016 +0200

    icons: Remove exec flag from images

    Signed-off-by: Jens Georg <mail@jensge.org>

M	icons/filter-flagged.png
M	icons/filter-videos.png
M	icons/pin-toolbar.svg
M	icons/slideshow-extension-point.png

commit eefc1d093cdd6d21e84f6cdc9c281094a92a8ec9
Author: Jens Georg <mail@jensge.org>
Date:	Tue Apr 26 19:10:54 2016 +0200

    debian: Update changelog

    Signed-off-by: Jens Georg <mail@jensge.org>

M	debian/changelog
M	debian/control

commit d6665fcc18b66ce56daafb360c0bd92230b6f26a
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Apr 28 19:18:05 2016 +0200

    Updated Spanish translation

M	po/es.po

commit 79c429ae394b9eb29bd102eeff75c013d691a560
Author: Jens Georg <mail@jensge.org>
Date:	Mon Apr 25 22:46:38 2016 +0200

    Prepare Shotwell 0.23.0

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile
M	NEWS

commit b33cacf717d3ee761d45ccc9f70d4eb798a55f76
Author: Jens Georg <mail@jensge.org>
Date:	Mon Apr 25 21:09:17 2016 +0200

    data: Fix contradicting icon license

    The icon comes from the Breathe icon theme where it was supposed to be
    cc-by-sa. Apparently there was some relicensing from cc-by-nc-sa
    but the
    clause was not removed.

    Signed-off-by: Jens Georg <mail@jensge.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=757643

M	icons/rejected.svg

commit c48bf5d4231adbaff972cdc266b42aa1402912c7
Author: Jens Georg <mail@jensge.org>
Date:	Tue Apr 19 21:32:51 2016 +0200

    build: Speed up parallel builds

    Plugins were compiled several times because make did not get the
    dependencies
    right.

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/Makefile.plugin.mk

commit 423a70b1752c1fd4c8bccf492dc77faaf1f9647a
Author: Jens Georg <mail@jensge.org>
Date:	Tue Apr 19 21:32:28 2016 +0200

    build: Call pkg-config only once

    Signed-off-by: Jens Georg <mail@jensge.org>

M	Makefile
M	plugins/Makefile.plugin.mk

commit 52c0f36105d895ab02415056d96fa467a906fb34
Author: Jens Georg <mail@jensge.org>
Date:	Tue Apr 19 20:45:23 2016 +0200

    build: Don't build plugins twice

    The .c files were compiled with vala once, then again with C compiler.

    Signed-off-by: Jens Georg <mail@jensge.org>

M	plugins/Makefile.plugin.mk

commit be4fea099e99787d113ca38b3725d8e1df3e52b9
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Mon Apr 18 18:01:08 2016 +0000

    Updated German translation

M	po/de.po

commit b2e21676e7710711dd634972b68a129c8af376e3
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Mon Apr 18 17:07:20 2016 +0000

    Added Occitan translation

M	po/LINGUAS
A	po/oc.po

commit 1cdf99c7ba95b0e23f81a58a4c4235eff1a8495a
Author: Jens Georg <mail@jensge.org>
Date:	Sun Apr 17 18:53:04 2016 +0200

    Use proper umask for creating directories

    https://bugzilla.gnome.org/show_bug.cgi?id=765182

M	src/AppDirs.vala

commit 72ee0a3d44425cf93d651ff3ee45c617aa284332
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Apr 17 15:27:37 2016 +0200

    Updated Polish translation

M	po/pl.po

commit c0b22f77bac3c0030ca0ba712b8dcd8842d8a2de
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sat Apr 16 19:38:44 2016 +0000

    Updated Slovak translation

M	po/sk.po

commit be8faf6883401f0f916c135a22a5fa2106ae6a86
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Apr 16 18:47:12 2016 +0200

    Updated Czech translation

M	po/cs.po

commit 339d8439b73dcbda31187a1c6797a2449a8b8f6e
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Apr 16 18:44:51 2016 +0200

    Updated Czech translation

M	help/cs/cs.po
M	po/cs.po

commit ed6397c27094c113eb45ab08a0fcb5ad54859d91
Author: Robert Ancell <robert.ancell@canonical.com>
Date:	Tue May 26 18:24:10 2015 +1200

    Don't use GtkHeaderBar on dialogs if the gtk-dialogs-use-header
    setting is not set

    https://bugzilla.gnome.org/show_bug.cgi?id=749874

M	src/Dialogs.vala
M	src/Properties.vala
M	src/data_imports/DataImportsUI.vala
M	src/publishing/PublishingUI.vala

commit 1fc4f35ee3d156a90ca7add6accc694643dd2a65
Author: Trinh Anh Ngoc <atw1990@gmail.com>
Date:	Fri Apr 10 22:40:41 2015 +0700

    Fix css

    https://bugzilla.gnome.org/show_bug.cgi?id=747637

M	src/Resources.vala

commit b0ea780baf21a60e9b0103a6c4242784da8a83a8
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Sat Apr 16 11:18:09 2016 +0000

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit cdc509a1dc4b51f5acace97617be0a8497781e0b
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Sat Apr 16 11:01:46 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 147428b45d32796354c4500f811e06e1922b102c
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Thu Apr 7 17:30:56 2016 -0300

    Change "Date and Time" help's page filename to fit its content

    Shotwell's UI has "Adjust Date and Time", while this help page
    made reference to "time and date" all over. Now that its content
    is all standardized to "date and time", changing its filename
    as well seems to make sense.

    https://bugzilla.gnome.org/show_bug.cgi?id=764800

R096	help/C/edit-time-date.page	help/C/edit-date-time.page
M	help/C/edit-nondestructive.page
M	help/Makefile.am

commit 810f08310fbad5da0c70f7ee4e5e78d5fd871fbd
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Thu Apr 7 17:10:27 2016 -0300

    Add '<gui>' tag to option/item/button mentions

    The help files mentions option/item/button labels of Shotwell's UI
    without the proper <gui> and </gui> mallard tags. This commit fix it.

    Target labels of this commit:

     organize-event:  "Events"
     organize-search: "+", "-" and "OK"
     organize-tag:    "Tags"

    https://bugzilla.gnome.org/show_bug.cgi?id=764800

M	help/C/organize-event.page
M	help/C/organize-search.page
M	help/C/organize-tag.page

commit 1c5a8ab880c603fc8987ae31c6e9c8777099c7ac
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Thu Apr 7 16:39:08 2016 -0300

    Fixed mentions to UI's option/item/button labels

    Some Help pages had mentions of options/items/buttons, from
    the Shotwell's UI, with typos or wrong reference.
    This commit aims fixing small issues, but that could bother
    the user.

    Summary of changes:

     edit-adjustments:	 Apply -> OK (button)
     edit-crop:		 Apply -> Crop (button)
     edit-straighten:	 OK -> Straighten (button)
     edit-time-date:	 Added "..." to menu item and replaced all
			   "time and date" -> "date and time" to fit
			   UI's "Adjust Date and Time..."

     import-*, organize-*, share-*:
			 Added "..." to menu item
     + organize-search:  New Search > New Saved Search...

    https://bugzilla.gnome.org/show_bug.cgi?id=764800

M	help/C/edit-adjustments.page
M	help/C/edit-crop.page
M	help/C/edit-straighten.page
M	help/C/edit-time-date.page
M	help/C/import-file.page
M	help/C/import-memorycard.page
M	help/C/organize-event.page
M	help/C/organize-search.page
M	help/C/organize-tag.page
M	help/C/organize-title.page
M	help/C/share-background.page
M	help/C/share-export.page
M	help/C/share-print.page

commit 2fef7df701ae6e3238c3ad07139db57aa70f7ed2
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Thu Apr 7 16:35:05 2016 -0300

    Removed execution permissions of formats page

    formats.page had permissions "-rwxr-xr-x" (755), while others had
    -rw-r--r-- (644). Changed that to be like other pages.

    https://bugzilla.gnome.org/show_bug.cgi?id=764800

M	help/C/formats.page

commit e895002448acdb5ab50bad670499b14b4cba7c87
Author: Jens Georg <mail@jensge.org>
Date:	Fri Apr 15 23:21:31 2016 +0200

    Update .gitignore

M	.gitignore

commit de1aae80b99a2e8da5260067f729d986be339c29
Author: Jens Georg <mail@jensge.org>
Date:	Fri Apr 15 23:19:14 2016 +0200

    Do not use Posix.system()

M	src/db/DatabaseTable.vala
M	src/main.vala

commit 379e37a8c35a670d8d68f65d0500f19465ffb07c
Author: Jens Georg <mail@jensge.org>
Date:	Fri Apr 15 22:31:05 2016 +0200

    build: Remove some shell magic

    git rev-parse HEAD does the same

M	Makefile

commit 16c681d8440432903096a2cd0d76a9a643d01a0e
Author: Jens Georg <mail@jensge.org>
Date:	Fri Apr 15 22:09:44 2016 +0200

    Make myself maintainer

M	shotwell.doap

commit 417fbf1ed6858937837250a42be5769d9b8864ee
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Thu Apr 7 17:49:03 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 01786149a86b06db7ba9fd7b9d4576b8a411cde5
Author: Felipe Braga <fbobraga@gmail.com>
Date:	Thu Apr 7 14:14:49 2016 -0300

    Added Brazilian Portuguese translation for help files

M	help/Makefile.am
A	help/pt_BR/pt_BR.po

commit e140069f3e948434e87571bad3247ec51f595fe0
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Thu Apr 7 16:54:02 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 9dad5e4aec8f06d1c49efc89d366cd9cae7ed4d7
Author: Felipe Braga <fbobraga@gmail.com>
Date:	Wed Apr 6 22:47:48 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 13c56bce7f1c59458e3102128eed6db8aaff7826
Author: Claude Paroz <claude@2xlibre.net>
Date:	Wed Mar 30 08:56:54 2016 +0200

    Updated French translation

M	po/fr.po

commit f517df67c1ea020c99b64db3a1c405bca7ed2009
Author: Jordi Mas <jmas@softcatala.org>
Date:	Thu Mar 24 22:56:32 2016 +0100

    Fixes to Catalan translation

M	po/ca.po

commit d242b5ec8d607ab82b829996aceb82ee555378e3
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Sat Mar 19 12:52:39 2016 +0000

    Updated Turkish translation

M	po/tr.po

commit 563bb35b4e4f1f5f5af6820f42ff5cafc587515c
Author: Boram Kim <boramism@gmail.com>
Date:	Wed Mar 16 01:24:37 2016 +0000

    Updated Korean translation

M	po/ko.po

commit 03dd881b9d1ad792bebeb11198b6d9b606d2faf8
Author: Mayela Miranda <mayela0x14@gmail.com>
Date:	Thu Mar 10 10:53:15 2016 +0000

    Updated Spanish translation

M	help/es/es.po

commit 3eb8f8ffb8cf5defa24a5b5d39c666258ec3cc5b
Author: Mayela Miranda <mayela0x14@gmail.com>
Date:	Wed Mar 9 08:19:25 2016 +0000

    Updated Spanish translation

M	help/es/es.po

commit d5c26b3dddf57f5bf9355f667bdca3445ac9ee96
Author: Mayela Miranda <mayela0x14@gmail.com>
Date:	Tue Mar 8 11:30:51 2016 +0000

    Updated Spanish translation

M	help/es/es.po

commit ebf739c60eb401d9df181a6072192cde88614a22
Author: Mayela Miranda <mayela0x14@gmail.com>
Date:	Wed Mar 2 07:32:58 2016 +0000

    Updated Spanish translation

M	help/es/es.po

commit f74ba7066bbeac01c0e9bee7c6ad204f4c3a1641
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sun Feb 28 17:21:14 2016 +0100

    Updated Norwegian bokmål translation from Rune Ringdal.

M	po/nb.po

commit 4d08b6253b2f0648c4d4bb897f4866d15fb3a2d1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sun Feb 28 17:20:10 2016 +0100

    Updated Norwegian bokmål translation from Rune Ringdal.

M	po/nb.po

commit 045a93924803b013d93e5265aadfce77879d337c
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Thu Feb 18 10:46:13 2016 +0000

    Updated Swedish translation

M	help/sv/sv.po

commit bfebaa91945a9124a65efbe700f132f94cbdf615
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sun Jan 24 19:26:13 2016 +0200

    Updated Lithuanian translation

M	po/lt.po

commit f2fb1f7059e17b998a851626a7b076716020a7ac
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sun Jan 3 22:11:16 2016 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit b6aad5eb1af16acbb4ee4984e58dfeb08597923b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:	Fri Dec 4 18:08:54 2015 +0100

    facebook: Don't disable XSS auditor

    This is a separate commit to make it possible to revert easily, as
    I don't know why it was disabled.

    https://bugzilla.gnome.org/show_bug.cgi?id=751709

M	plugins/shotwell-publishing/FacebookPublishing.vala

commit f045b7a13cc1efbfa3054338d0edf569df51f4e7
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:	Fri Dec 4 17:34:17 2015 +0100

    Have all soup sessions validate TLS certificates

    Note that this commit is *not* sufficient to fix certificate
    verification
    on its own. The port to WK2 is also required, else WebKit's soup
    session
    will not verify certificates.

    https://bugzilla.gnome.org/show_bug.cgi?id=751709

M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing/FacebookPublishing.vala

commit a2844fbfeb23a0bf6b2489761ab5f51e15dc4efe
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:	Fri Dec 4 17:33:43 2015 +0100

    Don't pack webview into a scrolled window

    The scrollbar is drawn by WebKitWebView in WK2.

    https://bugzilla.gnome.org/show_bug.cgi?id=751709

M	plugins/common/RESTSupport.vala

commit 3ae27fc3f41ceb7820f365244e6ae6a4dc65fcaa
Author: Iain Lane <iain@orangesquash.org.uk>
Date:	Tue Jun 30 10:43:15 2015 +0100

    Port to webkit2gtk-4.0

    https://bugzilla.gnome.org/show_bug.cgi?id=751709

M	Makefile
M	debian/control
M	plugins/common/RESTSupport.vala
M	plugins/shotwell-publishing-extras/Makefile
M	plugins/shotwell-publishing-extras/YandexPublishing.vala
M	plugins/shotwell-publishing/FacebookPublishing.vala
M	plugins/shotwell-publishing/Makefile
D	vapi/webkitgtk-3.0.deps
D	vapi/webkitgtk-3.0.vapi

commit 18db35fbfd1f44182fe8194428c509bde90a6bec
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	Mon Dec 7 19:58:20 2015 +0000

    Updated German translation

M	help/de/de.po

commit 3ffbf82cb4c3da7cea29bdb036dd1392e29415bd
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Tue Nov 17 08:00:28 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit 020fbc7c6ab289351423e316cbc825783ea9ce00
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Tue Nov 3 21:23:25 2015 +0200

    Updated Lithuanian translation

M	po/lt.po

commit dc4beb8c6bd534e6763b0397e554946b0d4233d7
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Sun Oct 18 09:39:45 2015 +0000

    Updated Finnish translation

M	po/fi.po

commit 1e13a00ef38f4ca6e216f37a305b93cfbe65202d
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Sun Oct 11 17:49:07 2015 +0000

    Updated Hungarian translation

M	po/hu.po

commit da21604830386a7c1f2b8d1f75a9d98719e5e5d1
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Tue Sep 29 15:06:04 2015 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit fb93b79ba2165843f8eb35fdadb0d86cc0620683
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	Sat Sep 19 07:47:56 2015 +0000

    Updated German translation

M	po/de.po

commit 9d56fda7721afd11a4a22fc539b4401185db7cc0
Author: Timo Jyrinki <timo@debian.org>
Date:	Thu Sep 10 18:51:05 2015 +0300

    Finnish translation, fix time formats

M	po/fi.po

commit e43b9d73fa6a90d39d61b83e05fec2866fddf606
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:	Thu Sep 10 18:49:28 2015 +0300

    Finnish translation update

M	po/fi.po

commit fc438c7220dcf915fdf8e54f7325d420e15e2002
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Sep 2 19:49:49 2015 +0200

    Updated Polish translation

M	po/pl.po

commit 51492b5faa0ea5549183bcdae1368d91935c1aef
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Sun Aug 30 11:35:22 2015 +0300

    Updated Hebrew translation

M	po/he.po

commit 6bd668604537f9d11bb7d4874e2fd5f77ed63db0
Author: Josef Andersson <josef.andersson@fripost.org>
Date:	Sun Jul 26 19:48:30 2015 +0200

    Add Swedish help translation

M	help/Makefile.am
A	help/sv/sv.po

commit a82da07483ffbafa36441d10ee3d4012649a60ca
Author: Josef Andersson <josef.andersson@gmail.com>
Date:	Wed Jul 22 19:31:02 2015 +0000

    Updated Swedish translation

M	po/sv.po

commit f8dfcbd4212a88daa97579f2c2d644c94cee7a63
Author: Stas Solovey <whats_up@tut.by>
Date:	Wed Jul 15 20:39:17 2015 +0000

    Updated Russian translation

M	po/ru.po

commit 4236cdc203597155d7a673d5a47bf4f45c4af3a9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Jul 13 17:39:13 2015 +0200

    Updated Spanish translation

M	po/es.po

commit 3de1bd4b5e4c57087407d55c36ccf227cc71a7a6
Author: Jordi Mas <jmas@softcatala.org>
Date:	Tue May 26 21:42:04 2015 +0200

    Fixes to Catalan translation

M	po/ca.po

commit f88dab8eb7ddaeb9741a63e0b1cc17aa28edf558
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Fri May 22 08:41:54 2015 +0000

    Updated Hungarian translation

M	help/hu/hu.po

commit 671e27aec987ee8076acf9983434dac5185e4faf
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	Sat May 9 09:16:24 2015 +0000

    Updated Hungarian translation

M	po/hu.po

commit b173e126be4e135b2d170a44764dcaf30516de38
Author: Jordi Mas <jmas@softcatala.org>
Date:	Thu Apr 30 20:27:43 2015 +0200

    Fixes to Catalan translation

M	po/ca.po

commit 6ec5ebfe0d7dbc963e49eec53a19f4a444aadf14
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Fri Apr 24 00:33:38 2015 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 8f15f971168f46b4a9d78d4491905ad99e132fe5
Author: Jordi Mas <jmas@softcatala.org>
Date:	Sat Apr 18 15:42:30 2015 +0200

    Fixes to Catalan translation

M	po/ca.po

commit 93671dcef35192e0a0c757cc5a6d8b8859fbfbea
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Fri Apr 10 10:59:11 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit 2cbe54922e2c1dd5e81690b625ba7b111c5bf33c
Author: Marek Černocký <marek@manet.cz>
Date:	Wed Apr 8 07:53:42 2015 +0200

    Updated Czech translation

M	po/cs.po

commit efc743f5cadf75052689fefbd11861460210f4c9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Apr 5 22:05:00 2015 +0200

    Updated Polish translation

M	po/pl.po

commit f8fac1a6d26304f004ec4b3c59d267e3237e5257
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Apr 5 22:03:18 2015 +0200

    Slightly improve new strings

M	src/AppDirs.vala

commit 0c97e783bf4f7dd4b054f99c40db4f37dacc7d7b
Author: Wolfgang Steitz <wsteitz@gmail.com>
Date:	Fri Apr 3 15:53:30 2015 +0200

    Fixed Crop Ribbon / Control not visible (#747201)

M	src/editing_tools/EditingTools.vala

commit 66a2a49ad924dd4403f642103f8f324c60c6c3ef
Author: Wolfgang Steitz <wsteitz@gmail.com>
Date:	Fri Apr 3 10:21:15 2015 +0200

    Fix crash during metadate update (#739917)

    In MetadataWriter, it is possible that several CommitJobs for one
    photo are scheduled. If that happens, the callback will crash. This
    commit fixes this, by only allowing one job per photo. Canceled jobs
    are now kept in a separate list.

M	src/MetadataWriter.vala

commit 1caa898c0a58291f1b47bac85c3bed9895d1d1af
Author: Wolfgang Steitz <wsteitz@gmail.com>
Date:	Tue Mar 31 19:50:05 2015 +0200

    Fixed. Check .cache directory for read/write permissions (#737747)

M	src/AppDirs.vala

commit f632865628a75416c3f2d280a4a04b3f3169f9a8
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Wed Apr 1 18:28:09 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit caef1f1187a3534cb729f3aab3fab08fc5ae975b
Author: Marek Černocký <marek@manet.cz>
Date:	Wed Apr 1 10:39:29 2015 +0200

    Udated Czech translation

M	po/cs.po

commit 7408749d8514874a7b26962fdced2ab19e8d42ae
Author: Wolfgang Steitz <wsteitz@gmail.com>
Date:	Sat Mar 28 18:53:40 2015 +0100

    Check .cache directory for read/write permissions (#737747)

M	src/AppDirs.vala

commit a91a734442a00b4418f603adf36d896359ec0d1e
Author: Wolfgang Steitz <wsteitz@gmail.com>
Date:	Thu Mar 26 20:51:42 2015 +0100

    Allow thinner minimum sidebar width (#718611)

M	src/library/LibraryWindow.vala

commit fbcd7f2ddc99572587a765ba2b878083b15c3feb
Author: Jim Nelson <jim@yorba.org>
Date:	Mon Mar 23 18:17:33 2015 -0700

    Update to 0.22

M	Makefile
M	NEWS
M	debian/changelog

commit 1c7e35e16ae5155d81db5ce9cc7c286ed70f69de
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Mar 22 16:36:16 2015 +0100

    Updated Polish translation

M	po/pl.po

commit 39961197db21ea32b80150990a78cc1ef1277319
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Fri Mar 20 08:41:56 2015 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 5f008e5fb64c4691e789161c543c8e2640446595
Author: Cheng-Chia Tseng <>
Date:	Thu Mar 19 14:03:35 2015 +0000

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 408bb4ea81f8a959e48652f7d59a1be14b5be285
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Wed Mar 18 13:15:35 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit 4216649e3d4ba4ebb64ce6b0881df741350b001d
Author: Marek Černocký <marek@manet.cz>
Date:	Wed Mar 18 12:16:24 2015 +0100

    Updated Czech translation

M	po/cs.po

commit d2fe363e32cf77d1c74b8046669d92beb6eb91d2
Author: Wolfgang Steitz <wsteitz@gmail.com>
Date:	Tue Mar 17 22:14:58 2015 +0100

    use text-only section headers in sidebar (#718349)

M	po/POTFILES.in
M	src/camera/Branch.vala
M	src/events/Branch.vala
M	src/events/EventsDirectoryPage.vala
M	src/folders/Branch.vala
M	src/library/Branch.vala
R079	src/library/FlaggedBranch.vala
src/library/FlaggedSidebarEntry.vala
R061	src/library/ImportQueueBranch.vala
src/library/ImportQueueSidebarEntry.vala
R062	src/library/LastImportBranch.vala
src/library/LastImportSidebarEntry.vala
M	src/library/LibraryWindow.vala
R078	src/library/OfflineBranch.vala
src/library/OfflineSidebarEntry.vala
R092	src/library/TrashBranch.vala	src/library/TrashSidebarEntry.vala
M	src/library/mk/library.mk
M	src/searches/Branch.vala
M	src/sidebar/Entry.vala
M	src/sidebar/Tree.vala
M	src/sidebar/common.vala
M	src/tags/Branch.vala

commit 93f3e148ab06e267b4719d29538325a55c571cba
Author: Pau Iranzo <paugnu@gmail.com>
Date:	Tue Mar 17 04:01:41 2015 -0400

    Upload Catalan translation

M	po/ca.po

commit 1acd13d145ee158c05578c4f03559e05ef9a1df7
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Tue Mar 17 15:00:36 2015 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 27844f5b450e3285f9d968effd0f6743b24a67b6
Author: Tim Waugh <twaugh@redhat.com>
Date:	Thu Mar 12 18:43:46 2015 +0000

    Fix date selection when double-clicking (#746107).

M	src/searches/SavedSearchDialog.vala

commit edb39b9f3225e0c411f0b685df17429a458cb40a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Mar 15 22:53:26 2015 +0100

    Updated Polish translation

M	po/pl.po

commit 48ecac53aa9316d6e50756d799c1bfe2c8894875
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Sun Mar 15 17:54:10 2015 +0000

    Updated Kazakh translation

M	po/kk.po

commit 0a7dd9ae8030faeeb72f75401b66dd2636763a69
Author: Kim Boram <boramism@gmail.com>
Date:	Sun Mar 15 23:31:49 2015 +0900

    Updated Korean translation

M	po/ko.po

commit b2adb969ef11baa8298e466457409c79aa1bc35e
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:	Sat Mar 14 00:50:13 2015 +0000

    Added Bosnian translation

M	po/LINGUAS
A	po/bs.po

commit 06df39cfb932e99e8ca8bf57b6a34f43f0d7b83b
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Fri Mar 13 04:21:13 2015 +0200

    Updated Hebrew translation

M	po/he.po

commit 4834579bbc9e047ccef74f244c10766a515ca9d4
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Mar 12 11:38:56 2015 +0100

    Updated Czech translation

M	po/cs.po

commit a06cc6b8c48b536b64cd22d1fed05693398f9cf7
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Thu Mar 12 09:02:15 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit 77a810da34d6b167a2691060cfd12be2c830bcd0
Author: Wolfgang Steitz <wsteitz@gmail.com>
Date:	Wed Mar 11 21:24:44 2015 +0100

    Provide option to sort photos by filename, in addition to title,
    exporsure date and rating (#717878)

M	src/MediaPage.vala
M	src/Thumbnail.vala
M	ui/media.ui

commit ebe6722e30a2bd7bd876e3440443af380d93776e
Author: Wolfgang Steitz <wsteitz@gmail.com>
Date:	Mon Mar 9 21:01:03 2015 +0100

    in adjust time dialog, set timeformat before setting the time. fixes
    bug #718944

M	src/Dialogs.vala

commit b78d082b3433c4107f20ccee6717cec900eac798
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Wed Mar 11 05:56:30 2015 +0000

    Updated Kazakh translation

M	po/kk.po

commit 70c149d6ab4fa12b0c73f38f169686d04d351aff
Author: Kim Boram <boramism@gmail.com>
Date:	Mon Mar 9 00:33:30 2015 +0900

    Updated Korean translation

M	po/ko.po

commit d21d726c3d0cf09762b47ebef727c3571617b84f
Author: Josef Andersson <josef.andersson@gmail.com>
Date:	Sun Mar 8 11:59:47 2015 +0000

    Updated Swedish translation

M	po/sv.po

commit e12d4be13afdc677315d0b14fe997c50161423b4
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sun Mar 8 05:06:56 2015 +0900

    Updated Korean translation

M	po/ko.po

commit e0bb3389751d1f88fce96cf4e50aa0f60459914e
Author: Stas Solovey <whats_up@tut.by>
Date:	Fri Mar 6 10:45:23 2015 +0000

    Updated Russian translation

M	po/ru.po

commit fbefbe63687a563ea20316b782f4103f74df2cae
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Tue Mar 3 15:07:02 2015 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 3b398fbbf6f75cd1d2567175be487361faf7e927
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Mar 1 18:58:23 2015 +0100

    Updated Czech translation

M	po/cs.po

commit b541fd2973ea8fd6a25f1fb6c6112c3846fe8774
Author: Maria  Mavridou <mavridou@gmail.com>
Date:	Wed Feb 25 13:45:51 2015 +0000

    Updated Greek translation

M	po/el.po

commit c0d2364bba8730f352df2e13afa153597576377a
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	Mon Feb 23 14:21:14 2015 +0000

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit f79ffcabd4dfd078ed778f2fe476740c685f44dc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Feb 22 20:56:36 2015 +0100

    Updated Polish translation

M	po/pl.po

commit 2e411a21d127fbd0b0991e25598c22f1a3e7e1e1
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sat Feb 21 16:05:21 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit 25ed5e530bcf24edce679dd030cab7ef1132ad81
Author: Wolfgang Steitz <wolfer7@web.de>
Date:	Fri Feb 20 16:57:49 2015 -0800

    Final migration of sidebar code from Geary to Shotwell: Bug #719284

M	src/sidebar/Tree.vala

commit 05a4bae2d83bd00918d833f49f262eb01a106879
Author: Wolfgang Steitz <wolfer7@web.de>
Date:	Fri Feb 20 16:54:15 2015 -0800

    Further work removing GtkStock and deprecations: Bug #719188

M	Makefile
R100	icons/enhance.png	icons/shotwell-auto-enhance.png
M	src/AppWindow.vala
M	src/CollectionPage.vala
M	src/Dialogs.vala
M	src/MediaPage.vala
M	src/PhotoPage.vala
M	src/Resources.vala
M	src/SearchFilter.vala
M	src/SlideshowPage.vala
M	src/camera/ImportPage.vala
M	src/direct/DirectPhotoPage.vala
M	src/editing_tools/EditingTools.vala
M	src/library/ImportQueuePage.vala
M	src/library/LibraryWindow.vala
M	ui/set_background_dialog.glade
M	ui/set_background_slideshow_dialog.glade
M	ui/shotwell.glade

commit ad0ad8f38226196a1c24dcb6f498072d2d1ef543
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Feb 20 20:57:43 2015 +0100

    Updated Czech translation

M	po/cs.po

commit 23f79a90cf69e0fce4bdfbdd20eaae189f637b13
Author: Wolfgang Steitz <wolfer7@web.de>
Date:	Tue Feb 17 12:35:02 2015 -0800

    Use newer comparators in sidebar code: Bug #719284

M	src/events/Branch.vala
M	src/sidebar/Branch.vala

commit 8de7e7d623ee9fe94121df6bce83a2107232f249
Author: Wolfgang Steitz <wolfer7@web.de>
Date:	Tue Feb 17 12:32:30 2015 -0800

    Remove icon closed string, follow-state for hover effect: Bug #719284

M	src/Resources.vala
M	src/camera/Branch.vala
M	src/events/Branch.vala
M	src/folders/Folders.vala
M	src/sidebar/Entry.vala
M	src/sidebar/Tree.vala

commit 961f3d1fec14691675ef686d6af6165e07658867
Author: Jim Nelson <jim@yorba.org>
Date:	Tue Feb 17 11:49:02 2015 -0800

    Fix split string in Gallery web connector: Bug #744539

M	plugins/shotwell-publishing-extras/GalleryConnector.vala

commit 6a9cef11283a2918e250e0277445d09adb805d6f
Author: Jim Nelson <jim@yorba.org>
Date:	Tue Feb 17 11:38:12 2015 -0800

    Missing semicolon in kn .desktop string

M	po/kn.po

commit d031376722b68fc4d7289e7c300a400b31cb626a
Author: Wolfgang Steitz <wolfer7@web.de>
Date:	Tue Feb 17 11:36:13 2015 -0800

    Remove a portion of the Gtk.Stock symbols: Bug #719188

M	src/AppWindow.vala
M	src/CollectionPage.vala
M	src/Dialogs.vala
M	src/MediaPage.vala
M	src/PhotoPage.vala
M	src/Resources.vala
M	src/SlideshowPage.vala
M	src/camera/ImportPage.vala
M	src/direct/DirectPhotoPage.vala
M	src/editing_tools/EditingTools.vala
M	src/editing_tools/StraightenTool.vala
M	src/library/LibraryWindow.vala
M	src/library/OfflinePage.vala
M	src/library/TrashPage.vala
M	src/searches/SavedSearchDialog.vala

commit 2d90358d3ab7509189b58eef4c76b897f46d2b06
Author: Stas Solovey <whats_up@tut.by>
Date:	Mon Feb 16 12:03:45 2015 +0000

    Updated Russian translation

M	po/ru.po

commit e0e9539e24dba53a20365cecdd4fabe29f2749b5
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Sat Feb 14 21:25:36 2015 +0000

    Updated French translation

M	po/fr.po

commit a5d5ea20caf8032b52c73e284849c9bb512c4708
Author: Wolfgang Steitz <wolfer7@web.de>
Date:	Fri Feb 13 16:53:33 2015 -0800

    Use icon names, not GLib.ThemedIcons, in sidebar: Bug #719284

    Geary went this way a while back, this moves the technique into
    Shotwell.

M	src/camera/Branch.vala
M	src/camera/CameraTable.vala
M	src/camera/ImportPage.vala
M	src/events/Branch.vala
M	src/folders/Branch.vala
M	src/folders/Folders.vala
M	src/library/Branch.vala
M	src/library/FlaggedBranch.vala
M	src/library/ImportQueueBranch.vala
M	src/library/LastImportBranch.vala
M	src/library/OfflineBranch.vala
M	src/library/TrashBranch.vala
M	src/searches/Branch.vala
M	src/sidebar/Entry.vala
M	src/sidebar/Tree.vala
M	src/sidebar/common.vala
M	src/tags/Branch.vala

commit e2198219afc43cb806dbf21b11b5da76c12c7101
Author: Jim Nelson <jim@yorba.org>
Date:	Wed Feb 11 15:48:33 2015 -0800

    Revert "Use Gtk.Stack instead of Gtk.Notebook in LibraryWindow:
    Bug #744289"

    This reverts commit be4dc326d7238f72b0db978ec6e594f628f7cecb.

    Problems while editing photos were detected after original commit.
    Patch needs more work before accepting.

M	src/library/LibraryWindow.vala

commit eedaf5b326319ca6755122e3bbe8b135e0dbfe6d
Author: Stas Solovey <whats_up@tut.by>
Date:	Wed Feb 11 22:10:39 2015 +0000

    Updated Russian translation

M	po/ru.po

commit 6e3f877e7e42421440150be00c7cdf8abe36237e
Author: Wolfgang Steitz <wolfer7@web.de>
Date:	Tue Feb 10 14:35:27 2015 -0800

    Use Gtk.Revealer with search bar: Bug #744291

M	src/SearchFilter.vala
M	src/library/LibraryWindow.vala

commit be4dc326d7238f72b0db978ec6e594f628f7cecb
Author: Wolfgang Steitz <wolfer7@web.de>
Date:	Tue Feb 10 14:31:48 2015 -0800

    Use Gtk.Stack instead of Gtk.Notebook in LibraryWindow: Bug #744289

M	src/library/LibraryWindow.vala

commit f1c52dc49c587b648016de6971ce2631941074b3
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Tue Feb 10 11:47:17 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit 8995d2ecbfb49267748e0df25d8f855ffd03ef75
Author: Stas Solovey <whats_up@tut.by>
Date:	Mon Feb 9 22:38:23 2015 +0000

    Updated Russian translation

M	po/ru.po

commit 44c4e5494be314e555d77c6d17cbc618b94e70c3
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Feb 8 23:13:50 2015 +0100

    Updated Czech translation

M	po/cs.po

commit ae433abbecca1a553ed071122200cb2cd667b703
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Feb 8 14:23:43 2015 +0100

    Updated Polish translation

M	po/pl.po

commit 7437c953f761e0c93b98ba0d8191aa3bb7c84255
Author: Jim Nelson <jim@yorba.org>
Date:	Fri Feb 6 13:43:33 2015 -0800

    Update copyright to 2015

M	INSTALL
M	NEWS
M	README
M	chkver
M	configure
M	debian/copyright
M	help/C/Makefile
M	misc/shotwell.appdata.xml
M	mkunit
M	mkvala
M	plugins/common/RESTSupport.vala
M	plugins/common/Resources.vala
M	plugins/common/SqliteSupport.vala
M	plugins/common/VersionNumber.vala
M	plugins/shotwell-data-imports/FSpotDatabase.vala
M	plugins/shotwell-data-imports/FSpotDatabaseBehavior.vala
M	plugins/shotwell-data-imports/FSpotDatabaseTable.vala
M	plugins/shotwell-data-imports/FSpotImporter.vala
M	plugins/shotwell-data-imports/FSpotMetaTable.vala
M	plugins/shotwell-data-imports/FSpotPhotoTagsTable.vala
M	plugins/shotwell-data-imports/FSpotPhotoVersionsTable.vala
M	plugins/shotwell-data-imports/FSpotPhotosTable.vala
M	plugins/shotwell-data-imports/FSpotRollsTable.vala
M	plugins/shotwell-data-imports/FSpotTableBehavior.vala
M	plugins/shotwell-data-imports/FSpotTagsTable.vala
M	plugins/shotwell-data-imports/shotwell-data-imports.vala
M	plugins/shotwell-publishing-extras/shotwell-publishing-extras.vala
M	plugins/shotwell-publishing/FacebookPublishing.vala
M	plugins/shotwell-publishing/FlickrPublishing.vala
M	plugins/shotwell-publishing/PicasaPublishing.vala
M	plugins/shotwell-publishing/PiwigoPublishing.vala
M	plugins/shotwell-publishing/YouTubePublishing.vala
M	plugins/shotwell-publishing/shotwell-publishing.vala
M	plugins/shotwell-transitions/BlindsEffect.vala
M	plugins/shotwell-transitions/ChessEffect.vala
M	plugins/shotwell-transitions/CircleEffect.vala
M	plugins/shotwell-transitions/CirclesEffect.vala
M	plugins/shotwell-transitions/ClockEffect.vala
M	plugins/shotwell-transitions/CrumbleEffect.vala
M	plugins/shotwell-transitions/FadeEffect.vala
M	plugins/shotwell-transitions/SlideEffect.vala
M	plugins/shotwell-transitions/SquaresEffect.vala
M	plugins/shotwell-transitions/StripesEffect.vala
M	plugins/shotwell-transitions/shotwell-transitions.vala
M	samples/simple-plugin/README
M	samples/simple-plugin/simple-plugin.vala
M	settings-migrator/shotwell-settings-migrator
M	src/AppDirs.vala
M	src/AppWindow.vala
M	src/Application.vala
M	src/BatchImport.vala
M	src/Box.vala
M	src/CheckerboardLayout.vala
M	src/CollectionPage.vala
M	src/ColorTransformation.vala
M	src/CommandManager.vala
M	src/Commands.vala
M	src/CustomComponents.vala
M	src/Debug.vala
M	src/DesktopIntegration.vala
M	src/Dialogs.vala
M	src/Dimensions.vala
M	src/DirectoryMonitor.vala
M	src/Event.vala
M	src/Exporter.vala
M	src/International.vala
M	src/LibraryFiles.vala
M	src/LibraryMonitor.vala
M	src/MediaDataRepresentation.vala
M	src/MediaInterfaces.vala
M	src/MediaMetadata.vala
M	src/MediaMonitor.vala
M	src/MediaPage.vala
M	src/MediaViewTracker.vala
M	src/MetadataWriter.vala
M	src/Orientation.vala
M	src/Page.vala
M	src/Photo.vala
M	src/PhotoMonitor.vala
M	src/PhotoPage.vala
M	src/PixbufCache.vala
M	src/Printing.vala
M	src/Properties.vala
M	src/Resources.vala
M	src/Screensaver.vala
M	src/SearchFilter.vala
M	src/SlideshowPage.vala
M	src/SortedList.vala
M	src/Tag.vala
M	src/Thumbnail.vala
M	src/ThumbnailCache.vala
M	src/TimedQueue.vala
M	src/Tombstone.vala
M	src/UnityProgressBar.vala
M	src/Upgrades.vala
M	src/VideoMetadata.vala
M	src/VideoMonitor.vala
M	src/VideoSupport.vala
M	src/camera/Branch.vala
M	src/camera/Camera.vala
M	src/camera/CameraTable.vala
M	src/camera/GPhoto.vala
M	src/camera/ImportPage.vala
M	src/config/Config.vala
M	src/config/ConfigurationInterfaces.vala
M	src/config/GSettingsEngine.vala
M	src/core/Alteration.vala
M	src/core/ContainerSourceCollection.vala
M	src/core/Core.vala
M	src/core/DataCollection.vala
M	src/core/DataObject.vala
M	src/core/DataSet.vala
M	src/core/DataSource.vala
M	src/core/DataSourceTypes.vala
M	src/core/DataView.vala
M	src/core/DataViewTypes.vala
M	src/core/DatabaseSourceCollection.vala
M	src/core/SourceCollection.vala
M	src/core/SourceHoldingTank.vala
M	src/core/SourceInterfaces.vala
M	src/core/Tracker.vala
M	src/core/ViewCollection.vala
M	src/core/util.vala
M	src/data_imports/DataImportJob.vala
M	src/data_imports/DataImportSource.vala
M	src/data_imports/DataImports.vala
M	src/data_imports/DataImportsPluginHost.vala
M	src/data_imports/DataImportsUI.vala
M	src/db/DatabaseTable.vala
M	src/db/Db.vala
M	src/db/EventTable.vala
M	src/db/PhotoTable.vala
M	src/db/SavedSearchDBTable.vala
M	src/db/TagTable.vala
M	src/db/TombstoneTable.vala
M	src/db/VersionTable.vala
M	src/db/VideoTable.vala
M	src/direct/Direct.vala
M	src/direct/DirectPhoto.vala
M	src/direct/DirectPhotoPage.vala
M	src/direct/DirectView.vala
M	src/direct/DirectWindow.vala
M	src/editing_tools/EditingTools.vala
M	src/editing_tools/StraightenTool.vala
M	src/events/Branch.vala
M	src/events/EventDirectoryItem.vala
M	src/events/EventPage.vala
M	src/events/Events.vala
M	src/events/EventsDirectoryPage.vala
M	src/folders/Branch.vala
M	src/folders/Folders.vala
M	src/folders/Page.vala
M	src/library/Branch.vala
M	src/library/FlaggedBranch.vala
M	src/library/FlaggedPage.vala
M	src/library/ImportQueueBranch.vala
M	src/library/ImportQueuePage.vala
M	src/library/LastImportBranch.vala
M	src/library/LastImportPage.vala
M	src/library/Library.vala
M	src/library/LibraryWindow.vala
M	src/library/OfflineBranch.vala
M	src/library/OfflinePage.vala
M	src/library/TrashBranch.vala
M	src/library/TrashPage.vala
M	src/main.vala
M	src/photos/BmpSupport.vala
M	src/photos/GRaw.vala
M	src/photos/GdkSupport.vala
M	src/photos/JfifSupport.vala
M	src/photos/PhotoFileAdapter.vala
M	src/photos/PhotoFileFormat.vala
M	src/photos/PhotoFileSniffer.vala
M	src/photos/PhotoMetadata.vala
M	src/photos/Photos.vala
M	src/photos/PngSupport.vala
M	src/photos/RawSupport.vala
M	src/photos/TiffSupport.vala
